(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    117673,       2781]
NotebookOptionsPosition[     48822,       1316]
NotebookOutlinePosition[    115738,       2722]
CellTagsIndexPosition[    115644,       2716]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Error correction 3 qubit case",
 FontSlant->"Italic"]], "Title",
 CellChangeTimes->{{3.492806618285582*^9, 3.492806633174077*^9}},
 CellTags->"c:1"],

Cell[" Error Correction  Simplest case of only single Z-errors", "Subtitle",
 CellChangeTimes->{{3.492810938782113*^9, 3.492810940572364*^9}}],

Cell[TextData[{
 "Version: Jan-2011--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 7.0-8.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.489167453263467*^9, 3.489167474101137*^9}, {3.512218354372922*^9, 
  3.51221835576024*^9}, {3.512238522781186*^9, 3.512238532591263*^9}}],

Cell[TextData[{
 " \n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"[", "1", "]"}], " ", "Andrew", " ", "Steane", "  ", 
          "quant"}], "-", 
         RowBox[{
          RowBox[{"ph", "/", "0304016"}], "   ", "April", " ", "3"}]}], ",", 
        "2003"}], "\n", 
       RowBox[{"[", "2", "]"}], "  "}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1"]
}], "Abstract"],

Cell[TextData[ButtonBox["Click here to get the palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette.nb", None}]], "Text"],

Cell[TextData[StyleBox["Case I:  Only Z errors.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.49280666738899*^9, 3.492806682586589*^9}, {
  3.500491199474042*^9, 3.500491200424128*^9}},
 FontFamily->"Courier New"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], " ", 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4917425943682203`*^9, 3.4917426398034697`*^9}, {
  3.4924510887084227`*^9, 3.492451092017971*^9}},
 CellID->425297121],

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 FontFamily->"Courier New"],

Cell[TextData[{
 StyleBox[" S",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["et the number of qubits",
  FontWeight->"Bold"],
 StyleBox["   3 encoded+2 ancillia",
  FontFamily->"Helvetica",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
  3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
  3.492807242637725*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nq", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"na", "=", "2"}], ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"nq", "=", 
  RowBox[{"nq", "+", "na"}]}]}], "Input",
 CellChangeTimes->{{3.492452218538465*^9, 3.492452218746793*^9}, 
   3.492519637828005*^9, {3.492699310866206*^9, 3.4926993583207397`*^9}, {
   3.492806754664443*^9, 3.492806781238143*^9}, {3.49281038513057*^9, 
   3.4928103857834053`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Encode Three Qubits  Now use Hadamards to get | +++ > and | --> \
encoding",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{" ", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"nqset", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
    RowBox[{"initialKetsC", "[", "matr", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat3", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"C", ",", "CX", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"C", ",", "1", ",", "CX"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"H", ",", "H", ",", "H"}], "}"}]}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"encode3", "=", 
     RowBox[{"Circuit", "[", 
      RowBox[{"mat3", ",", 
       RowBox[{"{", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"encode3", ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\< One Qubit Encoding \>\"", ",", "18"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat5", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"C", ",", "CX", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"C", ",", "1", ",", "CX", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}]}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"encode5", "=", 
     RowBox[{"Circuit", "[", 
      RowBox[{"mat5", ",", 
       RowBox[{"{", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"encode5", ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{"\"\< One Qubit Encoding+ 2 Ancilla \>\"", ",", "18"}], 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat5E", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"C", ",", "CX", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"C", ",", "1", ",", "CX", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "1", ",", "Z", ",", "1", ",", "1"}], "}"}]}], 
       "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"encode5E", "=", 
     RowBox[{"Circuit", "[", 
      RowBox[{"mat5E", ",", 
       RowBox[{"{", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{"encode5E", ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\< One Qubit Encoding + 2 Ancilla + Error Z \>\"", ",", "18"}], 
       "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
    RowBox[{"initialKetsq", "[", "matr", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.493757200281439*^9, 3.493757237969617*^9}, {
   3.4937572895205297`*^9, 3.493757309291018*^9}, {3.493757350807509*^9, 
   3.493757351442051*^9}, 3.493805249864169*^9, {3.4938055262171507`*^9, 
   3.4938055508260403`*^9}, {3.493805582753765*^9, 3.49380575966317*^9}, {
   3.493805799540719*^9, 3.4938058741786833`*^9}, {3.493806061003455*^9, 
   3.4938061838144827`*^9}, {3.493806217716206*^9, 3.493806254938232*^9}, {
   3.493807954967091*^9, 3.4938080813769827`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqset", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
  RowBox[{"initialKetsC", "[", "matr", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mat5EZ", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"C", ",", "CX", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "1", ",", "CX", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "Z", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "1", ",", "1", ",", "CX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "C", ",", "1", ",", "CX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "C", ",", "1", ",", "1", ",", "CX"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "C", ",", "1", ",", "CX"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "M", ",", "M"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"BM", ",", "BML", ",", "BM", ",", "DBU", ",", "DBU"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "Z", ",", "1", ",", "1"}], "}"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"encode5EZ", "=", 
   RowBox[{"Circuit", "[", 
    RowBox[{"mat5EZ", ",", 
     RowBox[{"{", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"encode5EZ", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Encoding + Error Z + Detect + Measure + Correction \>\"", ",", 
      "14"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "850"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
  RowBox[{"initialKetsq", "[", "matr", "]"}]}]}], "Input",
 CellChangeTimes->{{3.493806422165085*^9, 3.49380661322204*^9}, 
   3.493806656854724*^9, {3.4938066989800262`*^9, 3.493806864400375*^9}, {
   3.4938069062285643`*^9, 3.4938069132127237`*^9}, {3.493807045842338*^9, 
   3.493807136653098*^9}, {3.493807184043273*^9, 3.493807204753083*^9}, 
   3.4938072405056143`*^9, {3.493807272153535*^9, 3.493807381040842*^9}, {
   3.493807433153166*^9, 3.4938075666288424`*^9}, {3.4938076780431757`*^9, 
   3.4938076955890923`*^9}, {3.493807815941701*^9, 3.493807858238851*^9}, {
   3.493808132282398*^9, 3.493808244852417*^9}, {3.493808288208963*^9, 
   3.493808330782608*^9}, {3.493808381358029*^9, 3.4938083854171886`*^9}, {
   3.4938307587867203`*^9, 3.493830759872501*^9}, {3.493980701755226*^9, 
   3.493980779826576*^9}}],

Cell[TextData[StyleBox[" Now Decode.",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
  3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
  3.492807242637725*^9}, {3.493848655039345*^9, 3.493848710972939*^9}, {
  3.493848767012134*^9, 3.493848770285345*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqset", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
  RowBox[{"initialKetsC", "[", "matr", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mat5EZ", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"C", ",", "CX", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "1", ",", "CX", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "Z", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "1", ",", "1", ",", "CX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "C", ",", "1", ",", "CX", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "C", ",", "1", ",", "1", ",", "CX"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "C", ",", "1", ",", "CX"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "1", ",", "M", ",", "M"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"BM", ",", "BML", ",", "BM", ",", "DBU", ",", "DBU"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "Z", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"H", ",", "H", ",", "H", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "1", ",", "CX", ",", "1", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"C", ",", "CX", ",", "1", ",", "1", ",", "1"}], "}"}]}], "}"}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"encode5EZ", "=", 
   RowBox[{"Circuit", "[", 
    RowBox[{"mat5EZ", ",", 
     RowBox[{"{", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"encode5EZ", ",", 
   RowBox[{"PlotLabel", "\[Rule]", 
    RowBox[{"Style", "[", 
     RowBox[{
     "\"\<Encoding+Error Z+Detect+Measure+Correction+Decode \>\"", ",", 
      "14"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"ImageSize", "\[Rule]", "950"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
  RowBox[{"initialKetsq", "[", "matr", "]"}]}]}], "Input",
 CellChangeTimes->{{3.493806422165085*^9, 3.49380661322204*^9}, 
   3.493806656854724*^9, {3.4938066989800262`*^9, 3.493806864400375*^9}, {
   3.4938069062285643`*^9, 3.4938069132127237`*^9}, {3.493807045842338*^9, 
   3.493807136653098*^9}, {3.493807184043273*^9, 3.493807204753083*^9}, 
   3.4938072405056143`*^9, {3.493807272153535*^9, 3.493807381040842*^9}, {
   3.493807433153166*^9, 3.4938075666288424`*^9}, {3.4938076780431757`*^9, 
   3.4938076955890923`*^9}, {3.493807815941701*^9, 3.493807858238851*^9}, {
   3.493808132282398*^9, 3.493808244852417*^9}, {3.493808288208963*^9, 
   3.493808330782608*^9}, {3.493808381358029*^9, 3.4938083854171886`*^9}, {
   3.493808442720117*^9, 3.4938084776427517`*^9}, {3.4938085390588493`*^9, 
   3.493808697878064*^9}, 3.493980885155342*^9, {3.49398092195618*^9, 
   3.493980930202073*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Encode Arbitray Qubit in | +++ > and | --> basis",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, {3.493848847099688*^9, 
   3.493848875785418*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi0", "=", "  ", 
   RowBox[{
    RowBox[{"\[Alpha]", "*", 
     RowBox[{"Ket", "[", "0", "]"}]}], "+", 
    RowBox[{"\[Beta]", "*", 
     RowBox[{"Ket", "[", "1", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psia3", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"psi0", "\[CircleTimes]", 
       RowBox[{"Ket", "[", "0", "]"}]}], ")"}], "\[CircleTimes]", 
     RowBox[{"Ket", "[", "0", "]"}]}], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "psia3", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psi3x", "=", 
   RowBox[{
    RowBox[{"CNOT", "[", 
     RowBox[{"3", ",", "1", ",", "3"}], "]"}], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"CNOT", "[", 
       RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", "psia3"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psi3", "=", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
       "\[ScriptCapitalH]", "\[CircleTimes]", " ", "\[ScriptCapitalH]"}], " ",
        ")"}], "\[CircleTimes]", "\[ScriptCapitalH]"}], ")"}], ".", 
    "psi3x"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "psi3", "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.492807264602682*^9, 3.492807327026979*^9}, {
   3.492807366504911*^9, 3.4928074532645493`*^9}, {3.49280748769403*^9, 
   3.4928075629909077`*^9}, {3.492810424161002*^9, 3.492810424747387*^9}, {
   3.49281104482628*^9, 3.492811116923478*^9}, {3.492811154526403*^9, 
   3.492811169563965*^9}, {3.492812819972876*^9, 3.492812843788189*^9}, 
   3.4928129353283033`*^9, {3.493850880129977*^9, 3.493850888564311*^9}, {
   3.504479201963799*^9, 3.504479224098274*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Check on Encoding  Three Qubits",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.493848888485664*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Check", " ", "on", " ", "Encoding", "  ", "Three", " ", "Qubits"}], " ", 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"CN", "=", 
     RowBox[{"CNOT", "[", 
      RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Op1", "[", 
     RowBox[{"\[ScriptCapitalH]", ",", "3", ",", 
      RowBox[{"Op1", "[", 
       RowBox[{"\[ScriptCapitalH]", ",", "2", ",", 
        RowBox[{"Op1", "[", 
         RowBox[{"\[ScriptCapitalH]", ",", "1", ",", 
          RowBox[{"Op2", "[", 
           RowBox[{"CN", ",", "1", ",", "3", ",", 
            RowBox[{"Op2", "[", 
             RowBox[{"CN", ",", "1", ",", "2", ",", 
              RowBox[{"Flatten", "[", "psia3", "]"}]}], "]"}]}], "]"}]}], 
         "]"}]}], "]"}]}], "]"}], "\[Equal]", 
    RowBox[{"Flatten", "[", "psi3", "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.4928075930542727`*^9, 3.49280759339045*^9}, {
  3.492812872978424*^9, 3.492812913481236*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Density Matrix--not used here.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, {3.493848901686743*^9, 
   3.4938489215104723`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
   "rho3", " ", "is", " ", "initial", " ", "encoded", " ", "3", " ", "qubit", 
    " ", "density", " ", "matrix"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"rho3", " ", "=", " ", 
    RowBox[{
     RowBox[{"psi3", " ", "\[CircleTimes]", 
      RowBox[{"Adj", "[", "psi3", "]"}]}], " ", "/.", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"Conjugate", "[", "\[Alpha]", "]"}], "\[Rule]", 
        SuperscriptBox["\[Alpha]", "*"]}], ",", " ", 
       RowBox[{
        RowBox[{"Conjugate", "[", "\[Beta]", "]"}], "\[Rule]", 
        SuperscriptBox["\[Beta]", "*"]}]}], "}"}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.492807607416786*^9, 3.49280762506603*^9}, {
  3.492807658667329*^9, 3.492807659116395*^9}, {3.4928104438609247`*^9, 
  3.492810574421212*^9}, {3.492812956841873*^9, 3.4928129610889893`*^9}, {
  3.4938489264735327`*^9, 3.4938489281748953`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " Noise",
 StyleBox[" Occurs in channel as Z operator acting once on Random qubit 1, 2 \
or 3",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, {3.493848901686743*^9, 
   3.493848991197887*^9}, {3.4938509751779623`*^9, 3.493850981600829*^9}, 
   3.4939806260637007`*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Noise", "[", 
     RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], " ", ":=", 
    RowBox[{
     SubscriptBox["\[Sigma]", "a"], "  ", "\[CircleTimes]", " ", 
     RowBox[{"(", " ", 
      RowBox[{
       SubscriptBox["\[Sigma]", "b"], " ", "\[CircleTimes]", 
       SubscriptBox["\[Sigma]", "c"]}], " ", ")"}]}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a", "=", "0"}], ";", 
    RowBox[{"b", "=", "0"}], ";", 
    RowBox[{"c", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"ipick", "=", 
    RowBox[{"RandomInteger", "[", 
     RowBox[{"{", 
      RowBox[{"0", ",", "3"}], "}"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ipick", "\[Equal]", "1"}], ",", 
      RowBox[{"a", "=", "3"}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ipick", "\[Equal]", "2"}], ",", 
      RowBox[{"b", "=", "3"}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"ipick", "\[Equal]", "3"}], ",", 
      RowBox[{"c", "=", "3"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"a", ",", "b", ",", "c"}], "]"}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"Noise", "[", 
     RowBox[{"a", ",", "b", ",", "c"}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
  3.493980626117086*^9, 3.4939806261474524`*^9}, {3.493989172562869*^9, 
  3.4939891753978024`*^9}, {3.494074777477181*^9, 3.494074778050166*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"psib3", "[", 
   RowBox[{"av_", ",", "bv_", ",", "cv_"}], "]"}], ":=", 
  RowBox[{"(", " ", 
   RowBox[{
    RowBox[{"Noise", "[", 
     RowBox[{"av", ",", "bv", ",", "cv"}], "]"}], ".", "psi3"}], 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.49281333950491*^9, 3.4928133752516117`*^9}, 
   3.492813445454774*^9, 3.4938490840492477`*^9, 3.4939806262184563`*^9, {
   3.493987849126176*^9, 3.4939878941947927`*^9}, {3.493988112410841*^9, 
   3.4939881185721817`*^9}, 3.493993075084278*^9}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " ",
 StyleBox[" Ancilla  bits |0>|0> added and then entangled with encoded three \
qubits\n   We use the operator (H",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{" ", "\[CircleTimes]"}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" 1).CNOT.(H",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{" ", "\[CircleTimes]"}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" 1) =(H",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{" ", "\[CircleTimes]"}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" 1).(|0><0|",
  FontWeight->"Bold"],
 Cell[BoxData["\[CircleTimes]"],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  SubscriptBox["\[Sigma]", "0"]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" + |1><1|",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{"\[CircleTimes]", " "}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{
   SubscriptBox["\[Sigma]", "x"], ")"}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 ".",
 StyleBox["(H",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{" ", "\[CircleTimes]"}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" 1)=  |+><+|",
  FontWeight->"Bold"],
 Cell[BoxData["\[CircleTimes]"],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  SubscriptBox["\[Sigma]", "0"]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 StyleBox[" + |-><-|",
  FontWeight->"Bold"],
 Cell[BoxData[
  RowBox[{"\[CircleTimes]", " "}]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 Cell[BoxData[
  SubscriptBox["\[Sigma]", "x"]],
  CellChangeTimes->{{3.493849008275818*^9, 3.493849008674827*^9}, {
   3.493980626117086*^9, 3.4939806261474524`*^9}},
  FontWeight->"Bold"],
 "\n  ",
 StyleBox[" to set the ancilla to detect the state of the three coded qubits.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, {3.493848901686743*^9, 
   3.493848991197887*^9}, {3.4938509751779623`*^9, 3.493850981600829*^9}, 
   3.4939806260637007`*^9, {3.493987454159643*^9, 3.493987612884306*^9}, {
   3.493987644386448*^9, 3.493987727642161*^9}, {3.49398776414522*^9, 
   3.493987780504951*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Using", " ", "CC"}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       StyleBox["|",
        FontWeight->"Bold"], 
       StyleBox[
        RowBox[{"+", 
         RowBox[{">", "<", "+"}]}],
        FontWeight->"Bold"], 
       StyleBox["|",
        FontWeight->"Bold"], "  ", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], 
        StyleBox[" ",
         FontWeight->"Bold"], 
        StyleBox["+",
         FontWeight->"Bold"]}], 
       StyleBox[" ",
        FontWeight->"Bold"], 
       StyleBox["|",
        FontWeight->"Bold"]}], 
      StyleBox["->",
       FontWeight->"Bold"], 
      RowBox[{
       RowBox[{
        StyleBox[
         RowBox[{"<", "-"}],
         FontWeight->"Bold"], 
        StyleBox["|",
         FontWeight->"Bold"], 
        StyleBox["  ",
         FontWeight->"Bold"], 
        RowBox[{
         SubscriptBox["\[Sigma]", "x"], "  ", "with", "\[IndentingNewLine]", 
         " ", "controls", " ", "on", " ", "12", " ", "pair"}]}], "\[Rule]", 
       " ", 
       RowBox[{
        RowBox[{
        "action", " ", "on", " ", "ancilla", " ", "1", " ", "and", 
         "\[IndentingNewLine]", "controls", " ", "on", " ", "23", " ", 
         "pair"}], " ", "\[Rule]", 
        RowBox[{
        "action", " ", "on", " ", "ancilla", " ", "2", "\[IndentingNewLine]", 
         "monitors", " ", "if", " ", "qubits", " ", "1"}]}]}]}], "=", 
     RowBox[{
      RowBox[{"2", " ", "and", " ", "qubits", " ", "2"}], "=", "3"}]}]}], " ",
    "*)"}], " ", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "rule", " ", "is", " ", "if", " ", "qubits", " ", "1"}], "=", 
     RowBox[{
      RowBox[{"2", " ", "then", " ", "ancilla1"}], "=", "0"}]}], ",", "  ", 
    RowBox[{
    "if", "  ", "qubits", " ", "1", " ", "not", " ", "equal", " ", "2"}], ",",
     " ", 
    RowBox[{
     RowBox[{"then", " ", "ancilla1"}], " ", "=", " ", "1"}]}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "rule", " ", "is", " ", "if", " ", "qubits", " ", "2"}], "=", 
     RowBox[{
      RowBox[{"3", " ", "then", " ", "ancilla2"}], "=", "0"}]}], ",", "  ", 
    RowBox[{
    "if", "  ", "qubits", " ", "2", " ", "not", " ", "equal", " ", "3"}], ",",
     " ", 
    RowBox[{
     RowBox[{"then", " ", "ancilla2"}], " ", "=", " ", "1"}]}], "  ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Hence", " ", "if", " ", "measurement", " ", "of", " ", "ancilla", " ", 
     "yields"}], " ", "|", 
    RowBox[{"00", ">", "  ", 
     RowBox[{"logical", " ", "qubits", " ", "are", " ", "unaltered"}]}]}], 
   " ", "*)"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "measurement", " ", "of", " ", "ancilla", " ", "yields"}], " ",
     "|", 
    RowBox[{"01", ">", "  ", 
     RowBox[{
     "logical", " ", "qubit3", " ", "needs", " ", "to", " ", "be", " ", 
      "restored", " ", "by", " ", "an", " ", "Z_", "3", " ", "operator"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "measurement", " ", "of", " ", "ancilla", " ", "yields"}], " ",
     "|", 
    RowBox[{"10", ">", "  ", 
     RowBox[{
     "logical", " ", "qubit1", " ", "needs", " ", "to", " ", "be", " ", 
      "restored", " ", "by", " ", "an", " ", "Z_", "1", " ", "operator"}]}]}],
    " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "If", " ", "measurement", " ", "of", " ", "ancilla", " ", "yields"}], " ",
     "|", 
    RowBox[{"11", ">", "  ", 
     RowBox[{
     "logical", " ", "qubit2", " ", "needs", " ", "to", " ", "be", " ", 
      "restored", " ", "by", " ", "an", " ", "Z_", "2", " ", "operator"}]}]}],
    " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.492807860230463*^9, 3.492807860978446*^9}, {
  3.4928106571765223`*^9, 3.4928107841726637`*^9}, {3.492810814785861*^9, 
  3.492810815936405*^9}, {3.4928131183296633`*^9, 3.492813126413838*^9}, {
  3.493851036516564*^9, 3.493851068653388*^9}, {3.493987803110395*^9, 
  3.493987804296672*^9}, {3.493992988705999*^9, 3.493993031464938*^9}, {
  3.493993164665165*^9, 3.493993165854066*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CC", "=", 
   RowBox[{
    RowBox[{
     StyleBox["(",
      FontWeight->"Bold"], 
     RowBox[{
      StyleBox["\[ScriptCapitalH]",
       FontWeight->"Bold"], " ", "\[CircleTimes]", 
      StyleBox[" ",
       FontWeight->"Bold"], 
      StyleBox[
       SubscriptBox["\[Sigma]", "0"],
       FontWeight->"Bold"]}], " ", 
     StyleBox[")",
      FontWeight->"Bold"]}], " ", ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"CNOT", "[", 
       RowBox[{"2", ",", "1", ",", "2"}], "]"}], ".", 
      StyleBox[
       RowBox[{"(", 
        RowBox[{
         StyleBox["\[ScriptCapitalH]",
          FontWeight->"Bold"], " ", "\[CircleTimes]", 
         StyleBox[" ",
          FontWeight->"Bold"], 
         StyleBox[
          SubscriptBox["\[Sigma]", "0"],
          FontWeight->"Bold"]}], " ", ")"}],
       FontWeight->"Bold"]}], " ", ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.493993096605606*^9, 3.4939931605649357`*^9}, {
   3.493993214818973*^9, 3.493993262917946*^9}, 3.4939937778909407`*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"entangleancilla", "=", " ", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"CC", "[", 
        RowBox[{"5", ",", "3", ",", "5"}], "]"}], ".", 
       RowBox[{"CC", "[", 
        RowBox[{"5", ",", "2", ",", "5"}], "]"}]}], ")"}], ".", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"CC", "[", 
        RowBox[{"5", ",", "2", ",", "4"}], "]"}], ".", 
       RowBox[{"CC", "[", 
        RowBox[{"5", ",", "1", ",", "4"}], "]"}]}], ")"}]}]}], ";"}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{
  3.492809833897973*^9, {3.492813281842279*^9, 3.492813286883779*^9}, 
   3.493989925938294*^9, 3.493989978200534*^9, {3.493993280380105*^9, 
   3.4939932859648247`*^9}, {3.493993747916676*^9, 3.493993763852775*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psia5", "[", 
   RowBox[{"av_", ",", "bv_", ",", "cv_"}], "]"}], " ", ":=", " ", 
  RowBox[{
   RowBox[{"psib3", "[", 
    RowBox[{"av", ",", "bv", ",", "cv"}], "]"}], "\[CircleTimes]", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Ket", "[", "0", "]"}], "\[CircleTimes]", 
     RowBox[{"Ket", "[", "0", "]"}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psix5", "[", 
   RowBox[{"av_", ",", "bv_", ",", "cv_"}], "]"}], ":=", 
  RowBox[{"Op2", "[", 
   RowBox[{"CC", ",", "3", ",", "5", ",", 
    RowBox[{"Op2", "[", 
     RowBox[{"CC", ",", "2", ",", "5", ",", 
      RowBox[{"Op2", "[", 
       RowBox[{"CC", ",", "2", ",", "4", ",", " ", 
        RowBox[{"Op2", "[", 
         RowBox[{"CC", ",", "1", ",", "4", ",", 
          RowBox[{"Flatten", "[", 
           RowBox[{"psia5", "[", 
            RowBox[{"av", ",", "bv", ",", "cv"}], "]"}], "]"}]}], "]"}]}], 
       "]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"psib5", "[", 
    RowBox[{"a", ",", "b", ",", "c"}], "]"}], "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", 
     RowBox[{"Simplify", "[", 
      RowBox[{"psix5", "[", 
       RowBox[{"a", ",", "b", ",", "c"}], "]"}], "]"}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.49281316615522*^9, 3.492813242305695*^9}, {
  3.4938491576759863`*^9, 3.493849160076219*^9}, {3.493989887902416*^9, 
  3.4939899019254723`*^9}, {3.493993300340345*^9, 3.493993390266053*^9}, {
  3.4939934760587273`*^9, 3.493993498293545*^9}, {3.49399358541914*^9, 
  3.493993591941681*^9}, {3.493993705355648*^9, 3.4939937058032627`*^9}, {
  3.504479236688146*^9, 3.504479240685122*^9}, {3.504480911266111*^9, 
  3.5044809215856752`*^9}, {3.5044809537149687`*^9, 3.504480956814316*^9}, {
  3.504481203765831*^9, 3.504481293310482*^9}, {3.504481441851222*^9, 
  3.504481512649103*^9}, {3.504481547952388*^9, 3.5044815578142767`*^9}, {
  3.5044815883134108`*^9, 3.5044816182810183`*^9}, {3.504481669465377*^9, 
  3.50448170887751*^9}, {3.5044817511900578`*^9, 3.5044817693009357`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "   ", 
   RowBox[{"Measure", " ", "Ancilla"}], "    ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"V", "=", 
     RowBox[{"psib5", "[", 
      RowBox[{"a", ",", "b", ",", "c"}], "]"}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "V", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Length", "[", "V", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"M", "=", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"test", "[", 
     RowBox[{"ii_", ",", "ij_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"MeasureKet", "[", 
       RowBox[{"V", ",", "M", ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "ij"}], "}"}]}], "]"}], "]"}], " ", "/.", 
     RowBox[{
      RowBox[{
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
      "2"}]}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.492808634293705*^9, 3.492808653383684*^9}, {
   3.492809917636641*^9, 3.492809944146777*^9}, {3.492813696931261*^9, 
   3.492813769766643*^9}, {3.492813801307549*^9, 3.49281394331619*^9}, 
   3.4938493830935802`*^9, {3.493849927032757*^9, 3.4938500939395037`*^9}, {
   3.493988228776767*^9, 3.493988311097131*^9}, 3.493988842975232*^9, 
   3.4939929422947283`*^9, {3.4939938680983553`*^9, 3.493993875434799*^9}, {
   3.494074572443211*^9, 3.494074589365286*^9}, 3.4940747163924217`*^9, {
   3.494074829009913*^9, 3.4940748402851553`*^9}, {3.4940759044814796`*^9, 
   3.494075925501596*^9}, 3.494076149454211*^9, {3.494076355055841*^9, 
   3.494076373239873*^9}, {3.50447925447577*^9, 3.5044792598340893`*^9}, 
   3.504481735826426*^9, 3.5044817907772512`*^9}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "To", " ", "Find", " ", "State", " ", "of", " ", "two", " ", "ancilla", "  ",
    "Want", " ", "to", " ", "know", " ", "value", " ", "of", " ", "qubits", 
   " ", "measured"}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.492809756335108*^9, 3.492809763669845*^9}, 
   3.494075841840358*^9}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{
   "Pick", " ", "Error", " ", "Correction", " ", "Operator", " ", "EQ"}], "=", 
   RowBox[{
   "Z", " ", "to", " ", "act", " ", "on", " ", "encoded", " ", "qubits"}]}], 
  " ", "*)"}]], "Input",
 CellChangeTimes->{{3.493849284287513*^9, 3.493849285249338*^9}, {
  3.494076416301228*^9, 3.494076421100773*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"test", "[", 
         RowBox[{"i", ",", "j"}], "]"}], "\[Equal]", 
        RowBox[{"ZeroT", "[", 
         RowBox[{"2", "^", "3"}], "]"}]}], ",", "\"\< \>\"", ",", 
       RowBox[{"Print", "[", 
        RowBox[{"i", ",", "j"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"ia1", "=", "i"}], ",", 
         RowBox[{"ia2", "=", "j"}]}], "}"}]}], "]"}], " ", ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "0", ",", "1"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Print", "[", 
    RowBox[{"ia1", ",", "ia2"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", 
    RowBox[{"test", "[", 
     RowBox[{"ia1", ",", "ia2"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ia1", "\[Equal]", "0"}], " ", "&&", " ", 
       RowBox[{"ia2", "\[Equal]", "0"}]}], ",", " ", 
      RowBox[{"EQ", "=", "  ", 
       RowBox[{"Noise", "[", 
        RowBox[{"0", ",", "0", ",", "0"}], "]"}]}], ",", "\"\<\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ia1", "\[Equal]", "0"}], " ", "&&", " ", 
       RowBox[{"ia2", "\[Equal]", "1"}]}], ",", " ", 
      RowBox[{"EQ", "=", "  ", 
       RowBox[{"Noise", "[", 
        RowBox[{"0", ",", "0", ",", "3"}], "]"}]}], ",", "\"\<\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ia1", "\[Equal]", "1"}], " ", "&&", " ", 
       RowBox[{"ia2", "\[Equal]", "0"}]}], ",", " ", 
      RowBox[{"EQ", "=", "  ", 
       RowBox[{"Noise", "[", 
        RowBox[{"3", ",", "0", ",", "0"}], "]"}]}], ",", "\"\<\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"ia1", "\[Equal]", "1"}], " ", "&&", " ", 
       RowBox[{"ia2", "\[Equal]", "1"}]}], ",", " ", 
      RowBox[{"EQ", "=", "  ", 
       RowBox[{"Noise", "[", 
        RowBox[{"0", ",", "3", ",", "0"}], "]"}]}], ",", "\"\<\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"EQ", 
    StyleBox[";",
     FontWeight->"Bold"]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.492808689833631*^9, 3.4928087141839857`*^9}, {
   3.492808880445804*^9, 3.492808902192979*^9}, {3.4928100178125687`*^9, 
   3.492810026036438*^9}, {3.492813664230159*^9, 3.492813677365617*^9}, {
   3.49384926549199*^9, 3.493849276101467*^9}, {3.4938497189176683`*^9, 
   3.493849791695285*^9}, {3.49388965179535*^9, 3.4938896873003387`*^9}, {
   3.493980625990663*^9, 3.493980625996438*^9}, {3.493988183511093*^9, 
   3.4939881975729523`*^9}, {3.493990073026905*^9, 3.4939900896867456`*^9}, {
   3.4939940546482077`*^9, 3.493994059448102*^9}, 3.4939942031706*^9, {
   3.494074394444227*^9, 3.494074441713986*^9}, {3.494075943355474*^9, 
   3.494075968630083*^9}, {3.494076093556542*^9, 3.4940761153049097`*^9}, {
   3.4940762754679623`*^9, 3.494076284151476*^9}, 3.4940763962180357`*^9}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{
   "Act", " ", "on", " ", "Original", " ", "Encoded", " ", "Three", " ", 
    "qubits"}], "-", 
   RowBox[{"Based", " ", "on", " ", "Ancilla", " ", "measurement"}]}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.492810317046562*^9, 3.4928103213341103`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"corrected", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"EQ", ".", 
      RowBox[{"test", "[", 
       RowBox[{"ia1", ",", "ia2"}], "]"}]}], ")"}], " ", "/.", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
     "2"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{"DForm", "[", "%", "]"}], "]"}], "/.", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
   "2"}]}]}], "Input",
 CellChangeTimes->{{3.492808792508584*^9, 3.49280879809348*^9}, {
   3.492810045985943*^9, 3.49281004685891*^9}, {3.492813635042697*^9, 
   3.492813655919338*^9}, {3.493849833404525*^9, 3.493849853589394*^9}, {
   3.49385033254275*^9, 3.493850335329776*^9}, {3.4938524555441103`*^9, 
   3.493852464306199*^9}, {3.493889696006106*^9, 3.4938896974313173`*^9}, 
   3.493988201599163*^9, {3.493988346910471*^9, 3.49398835612049*^9}, 
   3.493990118199026*^9, {3.494074463989751*^9, 3.4940744680642567`*^9}, {
   3.494076483780121*^9, 3.494076484339921*^9}, {3.504479280476529*^9, 
   3.504479284410297*^9}, 3.504481820428252*^9, 3.504481855078458*^9}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "Decode", " ", "To", " ", "Recover", " ", "Original", " ", "State", " ", 
   "of", " ", "One", " ", "Qubit"}], "  ", "*)"}]], "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Decode", " ", "Three", " ", "Qubits"}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ia1", "\[Equal]", "0"}], " ", "&&", 
    RowBox[{"ia2", "\[Equal]", "0"}]}], ",", 
   RowBox[{"Print", "[", "\"\<No error occurred\>\"", "]"}], ","}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ia1", "\[Equal]", "0"}], " ", "&&", 
    RowBox[{"ia2", "\[Equal]", "1"}]}], ",", 
   RowBox[{"Print", "[", "\"\<Error occurred on qubit 3\>\"", "]"}], ","}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ia1", "\[Equal]", "1"}], " ", "&&", 
    RowBox[{"ia2", "\[Equal]", "0"}]}], ",", 
   RowBox[{"Print", "[", "\"\<Error occurred on qubit 1\>\"", "]"}], ","}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ia1", "\[Equal]", "1"}], " ", "&&", 
    RowBox[{"ia2", "\[Equal]", "1"}]}], ",", 
   RowBox[{"Print", "[", "\"\<Error occurred on qubit 2\>\"", "]"}], ","}], 
  "]"}], "\[IndentingNewLine]", "ipick", "\[IndentingNewLine]"}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.492808817358774*^9, 3.4928088377059317`*^9}, {
   3.492813497106524*^9, 3.492813558053557*^9}, {3.492813592467314*^9, 
   3.49281361484017*^9}, {3.493850418421393*^9, 3.493850421933557*^9}, {
   3.493850459453779*^9, 3.493850463662209*^9}, {3.493850525645802*^9, 
   3.4938505769314537`*^9}, {3.493850717785709*^9, 3.49385075944093*^9}, {
   3.4938897035277433`*^9, 3.4938897139887047`*^9}, {3.493988021798168*^9, 
   3.493988036097*^9}, {3.493988138999363*^9, 3.493988144762096*^9}, {
   3.493988208161438*^9, 3.493988214224123*^9}, {3.493988494889317*^9, 
   3.493988506699049*^9}, 3.493988550403308*^9, {3.493988626686335*^9, 
   3.493988631083231*^9}, {3.493988665074345*^9, 3.493988692297974*^9}, {
   3.493988780159326*^9, 3.4939887853591022`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"corrected2", "=", 
   RowBox[{
    RowBox[{
     StyleBox["(",
      FontWeight->"Bold"], 
     RowBox[{
      StyleBox["\[ScriptCapitalH]",
       FontWeight->"Bold"], " ", "\[CircleTimes]", 
      StyleBox[" ",
       FontWeight->"Bold"], 
      RowBox[{
       StyleBox["(",
        FontWeight->"Bold"], 
       RowBox[{
        StyleBox["\[ScriptCapitalH]",
         FontWeight->"Bold"], " ", "\[CircleTimes]", 
        StyleBox[" ",
         FontWeight->"Bold"], 
        StyleBox["\[ScriptCapitalH]",
         FontWeight->"Bold"]}], " ", 
       StyleBox[")",
        FontWeight->"Bold"]}]}], 
     StyleBox[")",
      FontWeight->"Bold"]}], 
    StyleBox[".",
     FontWeight->"Bold"], " ", "corrected"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DForm", "[", 
   StyleBox[" ",
    FontWeight->"Bold"], "%", "]"}], "  ", "/.", 
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
   "2"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{
  3.493988615391883*^9, {3.493988704733963*^9, 3.493988714059404*^9}, {
   3.4939887496869297`*^9, 3.493988790336297*^9}, 3.49398941648794*^9, {
   3.493989455222088*^9, 3.49398949118463*^9}, {3.493989526851178*^9, 
   3.49398955431031*^9}, 3.493989666424632*^9, 3.4939901310989523`*^9, 
   3.4939901698628483`*^9, {3.493990207626799*^9, 3.4939902092251863`*^9}, {
   3.4939902666343937`*^9, 3.4939903093182487`*^9}, {3.493990340901573*^9, 
   3.493990346510811*^9}, {3.493990441908094*^9, 3.493990446950474*^9}, 
   3.493990499513706*^9, 3.494074481564438*^9, {3.504479296701125*^9, 
   3.5044793022974577`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"psiout", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", " ", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], " ", "\[CircleTimes]", 
       RowBox[{"(", " ", 
        RowBox[{
         RowBox[{"Bra", "[", "0", "]"}], " ", "\[CircleTimes]", 
         RowBox[{"Bra", "[", "0", "]"}]}], " ", ")"}]}], ")"}], ".", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"CNOT", "[", 
        RowBox[{"3", ",", "1", ",", "2"}], "]"}], ".", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"CNOT", "[", 
          RowBox[{"3", ",", "1", ",", "3"}], "]"}], ".", "corrected2"}], 
        ")"}]}], ")"}]}], " ", "/.", 
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
      SuperscriptBox[
       RowBox[{"Abs", "[", 
        RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
     "2"}]}]}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"DForm", "[", 
    RowBox[{"Simplify", "[", 
     StyleBox[" ",
      FontWeight->"Bold"], "psiout", "]"}], "]"}], "  ", "/.", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"Abs", "[", 
       RowBox[{"\[Alpha]", "-", "\[Beta]"}], "]"}], "2"], "+", 
     SuperscriptBox[
      RowBox[{"Abs", "[", 
       RowBox[{"\[Alpha]", "+", "\[Beta]"}], "]"}], "2"]}], "\[Rule]", 
    "2"}]}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.493993932169395*^9, 3.493993958541222*^9}, {
   3.493994087783304*^9, 3.493994091444748*^9}, 3.494074498264968*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Original", " ", "State", " ", "Recovered"}], " ", "*)"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.475246563382484*^9, 3.475246564579317*^9}, {
  3.475427610994915*^9, 3.4754276364185247`*^9}}]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1172, 785},
WindowMargins->{{176, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingStartingPageNumber->15,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "MacintoshRoman"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 19.580426`8.04439712024133}, {15, 
    15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 
    16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 
    17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 
    20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 22, 22, 22, 22, 22, 
    22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
    23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 
    25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 
    27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 
    28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 
    29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 
    31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 
    32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 
    33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
    35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 
    36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 
    37, 37, 38, 38, 38}, Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit) (November 6, 2010)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions", "Title"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, ScriptMinSize -> 
          9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          ScriptMinSize -> 12, FontSize -> 16], 
         Cell[
          StyleData[All, "SlideShow"], PageWidth -> WindowWidth, 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowCellBracket -> False, ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellBracketOptions -> {"Margins" -> {1, 1}, "Widths" -> {0, 5}}, 
          ScriptMinSize -> 8, FontSize -> 11], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, ScriptMinSize -> 
          7, FontSize -> 10, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, 
          PageHeaderLines -> {True, True}, 
          PrintingOptions -> {
           "FacingPages" -> True, "FirstPageHeader" -> False}, 
          CellFrameLabelMargins -> 6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 11}, CounterIncrements -> 
             "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             34, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{0, 0}, {0, 0}}, 
             CellFrameMargins -> {{12, 10}, {24, 24}}, LineSpacing -> {1, 0}, 
             FontSize -> 46], 
            Cell[
             StyleData["Title", "Condensed"], CellMargins -> {{0, 0}, {0, 0}},
              FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], CellMargins -> {{0, 0}, {0, 0}}, 
             FontSize -> 24, FontTracking -> "Plain", Background -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphIndent -> -96, 
             CounterIncrements -> "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 18, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{0, 0}, {4, 0}}, 
             CellFrameMargins -> {{12, 10}, {12, 8}}, LineSpacing -> {1, 6}, 
             ParagraphIndent -> -157, FontSize -> 28], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -78, 
             FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -85, 
             FontSize -> 16, Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {30, 10}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Subsubtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}}, FontFamily -> "Helvetica", FontSize -> 14, 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsubtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 8}}, FontSize -> 12], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{9, 10}, {50, 10}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{6, 0}, {0, 1}}, CellDingbat -> 
             None, CellMargins -> {{12, Inherited}, {4, 24}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> 6, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 16, FontWeight -> "Bold", 
             FontColor -> RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{15, 10}, {14, 32}}, 
             CellFrameMargins -> {{8, 10}, {10, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, FontSize -> 14, FontTracking -> 
             "Plain", FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], 
             CellMargins -> {{12, Inherited}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 13, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{15, 10}, {12, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {4, 40}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[FilledSquare]", 
             CellMargins -> {{25, Inherited}, {8, 12}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 9}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {18, 28}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{22, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{21, 0}, {4, 20}}, FontSize -> 11]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12},
              CounterIncrements -> "Text", FontFamily -> "Times"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {4, 4}},
              LineSpacing -> {1, 1}, ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{9, 0}, {4, 4}}, 
             Hyphenation -> True, ParagraphSpacing -> {0, 6}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 6}, 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {2, 2}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{9, 0}, {4, 4}}, Hyphenation -> True, FontSize -> 
             7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Inert"], StyleMenuListing -> None, Background -> 
             RGBColor[0.870588, 0.905882, 0.972549]], 
            Cell[
             StyleData["Inert", "Printout"], StyleMenuListing -> None, 
             Background -> GrayLevel[1]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, Evaluatable -> True, 
             CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{5, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", FormatType -> InputForm, ShowStringCharacters -> True,
              NumberMarks -> True, 
             LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
             "Input", FontWeight -> "Bold", Background -> 
             RGBColor[1, 0.700008, 0.4]], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 10}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, Inherited}, {1, 4}}], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{44, 0}, {2, 6}},
              Background -> GrayLevel[0.900008]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["InlineInput"], Evaluatable -> True, CellGroupingRules -> 
             "InputGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, FormatType -> InputForm, 
             ShowStringCharacters -> True, NumberMarks -> True, 
             CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["InlineInput", "Presentation"], FontSize -> 18], 
            Cell[
             StyleData["InlineInput", "Condensed"]], 
            Cell[
             StyleData["InlineInput", "Printout"], FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontColor -> RGBColor[1, 0, 0]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{86, 20}, {10, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{86, 20}, {4, 4}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, FormatType -> 
             InputForm, CounterIncrements -> "Graphics", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             CellMargins -> {{86, 20}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             CellMargins -> {{52, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {175, 175}], 
            Cell[
             StyleData["Graphics", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {250, 250}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 11, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 8], 
            Cell[
             StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Unique Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {2, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16, FontSlant -> "Italic"], 
            Cell[
             StyleData["Author", "Presentation"], 
             CellMargins -> {{15, 10}, {4, 16}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 24], 
            Cell[
             StyleData["Author", "Condensed"], 
             CellMargins -> {{8, 10}, {1, 4}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}, FontSize -> 12], 
            Cell[
             StyleData["Author", "Printout"], 
             CellMargins -> {{9, 0}, {4, 12}}, ParagraphSpacing -> {0, 6}, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Copyright"], ShowCellBracket -> False, 
             CellMargins -> {{10, 10}, {40, 2}}, FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 4}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["Copyright", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 1}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Printout"], 
             CellMargins -> {{9, 0}, {72, 4}}, FontSize -> 7]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Example"], CellMargins -> {{12, 10}, {5, 12}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12}, 
             CounterIncrements -> "Example", FontFamily -> "Times", 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Example", "Presentation"], 
             CellMargins -> {{18, 10}, {8, 20}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Example", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Example", "Printout"], 
             CellMargins -> {{9, 0}, {4, 10}}, ParagraphSpacing -> {0, 6}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Definition"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Definition", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Definition", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Definition", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Definition", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Theorem"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Theorem", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Theorem", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Theorem", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Theorem", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseMain"], CellFrame -> {{6, 0}, {0, 1}}, 
             CellMargins -> {{12, Inherited}, {4, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[0.571389, 0.19675, 0.570504], 
             LineSpacing -> {1, 7}, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["ExerciseMain", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{18, 10}, {12, 32}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["ExerciseMain", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["ExerciseMain", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, CellFrameColor -> 
             GrayLevel[0.500008], FontSize -> 14, FontTracking -> "Plain", 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Exercise"], CellDingbat -> "\[FilledDownTriangle]", 
             CellMargins -> {{23, Inherited}, {4, 18}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Exercise", "Presentation"], 
             CellMargins -> {{28, 10}, {10, 34}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Exercise", "Condensed"], 
             CellMargins -> {{17, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Exercise", "Printout"], 
             CellFrame -> {{0, 0}, {0.5, 0}}, CellDingbat -> None, 
             CellMargins -> {{9, 0}, {6, 20}}, Hyphenation -> True, FontSize -> 
             11, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseText"], CellMargins -> {{62, 10}, {5, 5}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 8}, 
             CounterIncrements -> "ExerciseText", FontFamily -> "Times"], 
            Cell[
             StyleData["ExerciseText", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["ExerciseText", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 2}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["ExerciseText", "Printout"], 
             CellMargins -> {{54, 0}, {4, 4}}, Hyphenation -> True, 
             ParagraphSpacing -> {0, 6}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Formulas and Programming", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], CellMargins -> {{62, 10}, {2, 10}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             DefaultInputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
             True, HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 16}}, FontSize -> 18], 
            Cell[
             StyleData["DisplayFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["DisplayFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChemicalFormula"], CellMargins -> {{62, 10}, {2, 10}},
              DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", AutoSpacing -> False, 
             ScriptBaselineShifts -> {0.6, Automatic}, ScriptLevel -> 1, 
             SingleLetterItalics -> False, ZeroWidthTimes -> True], 
            Cell[
             StyleData["ChemicalFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 12}}, FontSize -> 18], 
            Cell[
             StyleData["ChemicalFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["ChemicalFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellMargins -> {{12, 10}, {Inherited, 6}}, 
             Hyphenation -> False, LanguageCategory -> "Formula", FontFamily -> 
             "Courier"], 
            Cell[
             StyleData["Program", "Presentation"], 
             CellMargins -> {{20, 30}, {4, 4}}, FontSize -> 18], 
            Cell[
             StyleData["Program", "Condensed"], 
             CellMargins -> {{8, 10}, {Inherited, 4}}, FontSize -> 9.5], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{9, 0}, {Inherited, 4}}, FontSize -> 9.5]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Automatic Numbering", "Section"], 
         Cell[
         "The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedEquation"], 
             CellMargins -> {{62, 10}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, CounterIncrements -> 
             "NumberedEquation", FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedEquation", "Presentation"], 
             CellMargins -> {{100, 10}, {6, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedEquation", "Condensed"], 
             CellMargins -> {{52, 10}, {Inherited, Inherited}}], 
            Cell[
             StyleData["NumberedEquation", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigure"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"]}]], None}}, CounterIncrements -> 
             "NumberedFigure", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedFigure", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigure", "Condensed"]], 
            Cell[
             StyleData["NumberedFigure", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedTable"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"]}]], None}}, TextAlignment -> 
             Center, CounterIncrements -> "NumberedTable", 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedTable", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedTable", "Condensed"]], 
            Cell[
             StyleData["NumberedTable", "Printout"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 6], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontWeight -> "Bold"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "SlideShow"]], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
         "The following styles are for linking automatically to the on-line \
help system.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MainBookLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
            Cell[
             StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["MainBookLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["MainBookLink", "SlideShow"]], 
            Cell[
             StyleData["MainBookLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["AddOnsLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
            Cell[
             StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["AddOnsLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["AddOnsLink", "SlideShow"]], 
            Cell[
             StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLink", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLinkText"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLinkText", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLinkText", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLinkText", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLinkText", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["GettingStartedLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
            Cell[
             StyleData["GettingStartedLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["GettingStartedLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["GettingStartedLink", "SlideShow"]], 
            Cell[
             StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DemosLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Demos", #]}]& )}], 
            Cell[
             StyleData["DemosLink", "SlideShow"]], 
            Cell[
             StyleData["DemosLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TourLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Tour", #]}]& )}], 
            Cell[
             StyleData["TourLink", "SlideShow"]], 
            Cell[
             StyleData["TourLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OtherInformationLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
            Cell[
             StyleData["OtherInformationLink", "Presentation"], FontSize -> 
             16], 
            Cell[
             StyleData["OtherInformationLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["OtherInformationLink", "SlideShow"]], 
            Cell[
             StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MasterIndexLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}], 
            Cell[
             StyleData["MasterIndexLink", "SlideShow"]], 
            Cell[
             StyleData["MasterIndexLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Slide Show Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowNavigationBar"], Editable -> False, 
             CellFrame -> True, CellMargins -> {{0, 0}, {3, 3}}, 
             CellElementSpacings -> {"CellMinHeight" -> 0.8125}, 
             CellGroupingRules -> {"SectionGrouping", 30}, CellFrameMargins -> 
             False, CellFrameColor -> GrayLevel[1], CellFrameLabelMargins -> 
             False, TextAlignment -> Center, CounterIncrements -> 
             "SlideShowNavigationBar", StyleMenuListing -> None, FontSize -> 
             10, Magnification -> 1, Background -> GrayLevel[0.8], 
             GridBoxOptions -> {
              BaselinePosition -> Center, 
               GridBoxAlignment -> {
                "Columns" -> {
                  Center, Center, Center, Center, Center, Center, Right, {
                   Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
                 "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {
                "Columns" -> {3.5, 3.5, 3.5, 3.5, 13, 5, {4}}, 
                 "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.]}, 
                   Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {
                   Offset[0.2], {
                    Offset[0.]}, 
                   Offset[0.2]}, "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Presentation"]], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, ShowCellBracket -> False, 
             CellMargins -> {{-1, -1}, {-1, -1}}, PageBreakAbove -> True, 
             CellFrameMargins -> {{1, 1}, {0, 0}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Printout"], 
             CellMargins -> {{18, 4}, {4, 4}}, LineSpacing -> {1, 3}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{0, 0}, {10, 0}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> {{12, 4}, {6, 12}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             18, FontWeight -> "Plain", FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.408011, 0.440726, 0.8]], 
            Cell[
             StyleData["SlideShowSection", "Presentation"], 
             CellFrameMargins -> {{18, 10}, {10, 16}}, FontSize -> 27], 
            Cell[
             StyleData["SlideShowSection", "SlideShow"], ShowCellBracket -> 
             False, PageBreakAbove -> True], 
            Cell[
             StyleData["SlideShowSection", "Printout"], 
             CellMargins -> {{18, 30}, {0, 30}}, CellFrameMargins -> 5, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideHyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontSize -> 26, FontColor -> 
             GrayLevel[0.400015], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
               ButtonMinHeight -> 0.85, ButtonNote -> None}], 
            Cell[
             StyleData["SlideHyperlink", "Presentation"], 
             CellMargins -> {{10, 10}, {8, 12}}, FontSize -> 36], 
            Cell[
             StyleData["SlideHyperlink", "SlideShow"]], 
            Cell[
             StyleData["SlideHyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOCLink"], 
             CellMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, ButtonStyleMenuListing -> Automatic, 
             FontFamily -> "Helvetica", 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 1.5, 
               ButtonNote -> ButtonData}], 
            Cell[
             StyleData["SlideTOCLink", "Presentation"], 
             CellMargins -> {{35, 10}, {4, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOCLink", "SlideShow"]], 
            Cell[
             StyleData["SlideTOCLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOC"], CellDingbat -> "\[Bullet]", 
             CellMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["SlideTOC", "Presentation"], 
             CellMargins -> {{25, 10}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOC", "SlideShow"], FontSize -> 14], 
            Cell[
             StyleData["SlideTOC", "Printout"], FontSize -> 10, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]]}, Open]]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Mac OS X x86 (32-bit) (November 6, 2010)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "b:5.0"->{
  Cell[3276, 102, 453, 14, 24, "Text",
   CellTags->"b:5.0"],
  Cell[4210, 131, 446, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[11438, 307, 404, 8, 22, "Text",
   CellTags->"b:5.0"],
  Cell[15211, 391, 470, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[17517, 456, 431, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[18997, 500, 454, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[20438, 539, 613, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[23129, 614, 3511, 96, 82, "Text",
   CellTags->"b:5.0"]},
 "c:1"->{
  Cell[545, 20, 172, 3, 50, "Title",
   CellTags->"c:1"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"b:5.0", 115049, 2693},
 {"c:1", 115562, 2710}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 172, 3, 50, "Title",
 CellTags->"c:1"],
Cell[720, 25, 142, 1, 34, "Subtitle"],
Cell[865, 28, 329, 8, 20, "Abstract"],
Cell[1197, 38, 1058, 33, 49, "Abstract"],
Cell[2258, 73, 148, 2, 22, "Text"],
Cell[2409, 77, 227, 4, 22, "Text"],
Cell[2639, 83, 541, 13, 105, "Input",
 CellID->425297121],
Cell[3183, 98, 90, 2, 46, "Input"],
Cell[3276, 102, 453, 14, 24, "Text",
 CellTags->"b:5.0"],
Cell[3732, 118, 475, 11, 75, "Input"],
Cell[4210, 131, 446, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[4659, 146, 3769, 92, 270, "Input"],
Cell[8431, 240, 3004, 65, 150, "Input"],
Cell[11438, 307, 404, 8, 22, "Text",
 CellTags->"b:5.0"],
Cell[11845, 317, 3363, 72, 165, "Input"],
Cell[15211, 391, 470, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[15706, 408, 1808, 46, 135, "Input",
 InitializationCell->True],
Cell[17517, 456, 431, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[17951, 471, 1043, 27, 75, "Input"],
Cell[18997, 500, 454, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[19454, 515, 981, 22, 60, "Input"],
Cell[20438, 539, 613, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[21054, 558, 1548, 40, 135, "Input"],
Cell[22605, 600, 521, 12, 44, "Input"],
Cell[23129, 614, 3511, 96, 82, "Text",
 CellTags->"b:5.0"],
Cell[26643, 712, 4286, 121, 186, "Input"],
Cell[30932, 835, 1045, 33, 44, "Input"],
Cell[31980, 870, 785, 21, 44, "Input"],
Cell[CellGroupData[{
Cell[32790, 895, 2135, 47, 90, "Input"],
Cell[CellGroupData[{
Cell[34950, 946, 2048, 47, 154, "Input"],
Cell[37001, 995, 341, 7, 44, "Input"],
Cell[37345, 1004, 367, 9, 44, "Input"],
Cell[37715, 1015, 3266, 81, 180, "Input"],
Cell[40984, 1098, 320, 8, 44, "Input"],
Cell[41307, 1108, 1521, 37, 66, "Input"],
Cell[42831, 1147, 183, 4, 44, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[43053, 1156, 108, 2, 44, "Input"],
Cell[43164, 1160, 1852, 40, 120, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[45041, 1204, 1812, 50, 79, "Input"],
Cell[46856, 1256, 1580, 46, 82, "Input"]
}, Open  ]],
Cell[48451, 1305, 114, 2, 44, "Input"],
Cell[48568, 1309, 250, 5, 60, "Input"]
}
]
*)

(* End of internal cache information *)
