(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     56269,       1731]
NotebookOptionsPosition[     39982,       1212]
NotebookOutlinePosition[     49286,       1503]
CellTagsIndexPosition[     48715,       1478]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Grover searching algorithms
QCWAVE Version\
\>", "Title",
 CellChangeTimes->{{3.483348331209618*^9, 3.4833483382105503`*^9}},
 CellTags->"c:1"],

Cell["\<\
Searching for one or two items on a database
June 2010
This is the QWave Version\
\>", "Subtitle",
 CellChangeTimes->{{3.483142191478677*^9, 3.483142210608263*^9}, {
   3.483142288636158*^9, 3.48314231518083*^9}, 3.4833483442113943`*^9, {
   3.485554741252265*^9, 3.485554742237924*^9}, {3.512218235663975*^9, 
   3.5122182564484777`*^9}}],

Cell[TextData[{
 "Version: 14-June-2010--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 7.0-8.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.4831422162139997`*^9, 3.483142240513878*^9}, {3.483348349423558*^9, 
  3.483348350598344*^9}, {3.483455442474015*^9, 3.4834554447658978`*^9}, {
  3.483714535228368*^9, 3.483714536116153*^9}, {3.4855547277650633`*^9, 
  3.485554733412541*^9}, {3.512218220684988*^9, 3.512218223034409*^9}}],

Cell[TextData[ButtonBox["Click here to get the palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette.nb", None}]], "Text",
 CellChangeTimes->{{3.4833494693779287`*^9, 3.483349512304397*^9}, {
  3.483349645902364*^9, 3.483349664412229*^9}}],

Cell[CellGroupData[{

Cell["\<\
Grover Searching Algorithm-Single Marked Item.     To open double click on \
down arrow here-------------------------------->\
\>", "Section",
 CellChangeTimes->{{3.4833495266252947`*^9, 3.483349617163061*^9}, {
  3.5122182144384537`*^9, 3.512218215185557*^9}},
 FontFamily->"Times",
 CellTags->"c:2"],

Cell[CellGroupData[{

Cell["Step 1: Setting the conditions", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:3", "b:1.0.0"}],

Cell["\<\
Grover's search algorithm making use of states in subspace |x\
\[RightAngleBracket]. 
The space |y\[RightAngleBracket] is part of the search, but keeps the same \
state during 
the process and can therefore be suppressed.\
\>", "Text",
 CellChangeTimes->{{3.4832238005631857`*^9, 3.48322380164865*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.483223765028655*^9, 3.483223774576353*^9}, 
   3.483362604896703*^9, 3.483394707078663*^9},
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{"<<", "Notation`"}]], "Input"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", "is_", ")"}]}], "\[VerticalSeparator]", " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op1", "[", 
       RowBox[{"\[CapitalOmega]_", ",", "is_", ",", "\[CapitalPsi]_"}], "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.485212567905224*^9, 3.48521257676635*^9}, 3.485257485657078*^9, {
   3.485257613044483*^9, 3.4852576182442627`*^9}}],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", 
           RowBox[{"is1_", ",", "is2_"}], ")"}]}], "\[VerticalSeparator]", 
       " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op2", "[", 
       RowBox[{
        "\[CapitalOmega]_", ",", "is1_", ",", "is2_", ",", "\[CapitalPsi]_"}],
        "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.48459751792222*^9, 3.4845975449813433`*^9}}],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", 
           RowBox[{"is1_", ",", "is2_", ",", " ", "is3_"}], ")"}]}], 
       "\[VerticalSeparator]", " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op3", "[", 
       RowBox[{
        "\[CapitalOmega]_", ",", "is1_", ",", "is2_", ",", "is3_", ",", 
         "\[CapitalPsi]_"}], "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.48459751792222*^9, 3.4845975449813433`*^9}, {3.485354178598618*^9, 
   3.485354194586049*^9}}],

Cell[BoxData[{
 RowBox[{"?", "state1f"}], "\[IndentingNewLine]", 
 RowBox[{"?", "state2f"}], "\[IndentingNewLine]", 
 RowBox[{"?", "\[CapitalOmega]SET"}], "\[IndentingNewLine]", 
 RowBox[{"?", "\[CapitalOmega]ALL"}], "\[IndentingNewLine]", 
 RowBox[{"?", "MeterGraph"}], "\n", 
 RowBox[{"?", "AmpPlots"}]}], "Input",
 CellChangeTimes->{{3.483361845123324*^9, 3.4833618487411127`*^9}, {
  3.483362202794982*^9, 3.483362224881695*^9}, {3.483362285469307*^9, 
  3.483362300354889*^9}, {3.483455458369258*^9, 3.4834554741034718`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"figure", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"\"\<QDENSITY/drawings/Grover.png\>\"", ",", "\"\<PNG\>\""}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{"Show", "[", "figure", "]"}]}], "Input",
 CellTags->"b:1.0.0"],

Cell[TextData[{
 "Set the number of x  \n- ",
 Cell[BoxData[
  FormBox["nqx", TraditionalForm]]],
 " is the number of qubits of the unknown state"
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"nqx", " ", ">", "10"}], ",", 
   RowBox[{
   "Print", "[", "\"\<Check your nqx, it may take too long to compute\>\"", 
    "]"}], ","}], "]"}]}], "Input",
 CellChangeTimes->{{3.4832887705913687`*^9, 3.4832887723522177`*^9}, {
  3.483313601123489*^9, 3.483313612221304*^9}, {3.483313933721766*^9, 
  3.483313934021125*^9}, {3.4833140064483023`*^9, 3.483314007051137*^9}, {
  3.48331415079888*^9, 3.483314151196204*^9}, {3.483347181064599*^9, 
  3.4833471823497057`*^9}},
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nq", "=", "nqx"}], ";"}]], "Input",
 CellTags->"b:1.0.0"],

Cell["Total number of bits;  we suppress the y bit", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{"nbits", "=", 
  RowBox[{"2", "^", "nq"}]}]], "Input",
 CellTags->"b:1.0.0"],

Cell["In the figure we depict the full searching circuit.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell["Initialize all n qubits ( x and y qubits)  to Zero State", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell[TextData[{
 StyleBox["NOTE: The state  |0\[RightAngleBracket] is the array \
(1,0,0,0,...,0) in the nq bit space",
  FontSize->12],
 "\n",
 StyleBox["Here ",
  FontSize->12],
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["\[Psi]", "0"]}], TraditionalForm]]],
 StyleBox["  is the density matrix in the |x\[RightAngleBracket]  space",
  FontSize->12],
 " "
}], "SmallText",
 CellChangeTimes->{{3.48322386352146*^9, 3.4832238874828987`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell["   psi0=N[Table[KroneckerDelta[i, 1],{i, 1, nbits}]];", "Input",
 CellChangeTimes->{{3.4832239280365133`*^9, 3.483224205088406*^9}, {
   3.483224255486409*^9, 3.483224336101881*^9}, 3.483224376112109*^9, {
   3.4832244062719717`*^9, 3.483224514812241*^9}, 3.483224561326647*^9},
 CellTags->"b:1.0.0"],

Cell[TextData[{
 "Prepare State By Hadamarding all x qubits,  Since |y\[RightAngleBracket]  \
remains as ",
 Cell[BoxData[
  FractionBox["1", 
   SqrtBox["2"]]]],
 "( |0\[RightAngleBracket] - |1\[RightAngleBracket] ), the |y\
\[RightAngleBracket] space can be suppressed"
}], "Text",
 CellChangeTimes->{{3.483224578002042*^9, 3.483224582575276*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell["\<\
Prepare the x qubits in equi-weighted state by Hadamarding all of them using \
HALL\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{"Generate", " ", "the", "  ", "state", "  ", 
  RowBox[{"psi1", " ", "--"}], "see", " ", "later"}]], "Text",
 CellChangeTimes->{{3.483224600163004*^9, 3.483224606000803*^9}, {
  3.48334801301283*^9, 3.4833480153553953`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Building the Grover operator", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:4", "b:1.0.1"}],

Cell["\<\
Prepare the Grover operator G as the \"inversion about the mean\" times the \
Oracle
The Oracle defines an arbitrary single marked state as indicated by the \
function f.
When acting in just the |x\[RightAngleBracket] space, the Grover Oracle G \
changes the sign of the marked state.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell[BoxData[
 RowBox[{"nx", "=", 
  RowBox[{"2", "^", "nqx"}]}]], "Input",
 CellTags->"b:1.0.1"],

Cell[BoxData[
 RowBox[{"Generate", " ", "the", "  ", "marked", " ", "state", " ", 
  "randomly", " ", "and", " ", "include", " ", "in", " ", "the", " ", 
  "Oracle"}]], "Text",
 CellChangeTimes->{{3.483224685575652*^9, 3.4832246861262827`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{"ReplacePart", "[", 
    RowBox[{
     RowBox[{"ZeroT", "[", "nx", "]"}], ",", "1", ",", 
     RowBox[{"xpick", "=", 
      RowBox[{"RandomInteger", "[", 
       RowBox[{"{", 
        RowBox[{"1", ",", "nx"}], "}"}], "]"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"markit", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "f"]}], ";"}]}], "Input",
 CellTags->"b:1.0.1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"OracleG", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"markit", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "*", 
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.4832872592632217`*^9, 3.483313923783935*^9},
 CellTags->"b:1.0.1"],

Cell[TextData[{
 "phaseinvert is the (2 |0\[RightAngleBracket]\[LeftAngleBracket]0| - I)  \
phase inversion matrix  in the ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["n", "x"], TraditionalForm]]],
 " space "
}], "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell["\<\
Put the above together to form Inversion about the mean: Invmean \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"HALLW", "[", "state_", "]"}], ":=", 
   RowBox[{"\[CapitalOmega]ALL", "[", 
    RowBox[{"\[ScriptCapitalH]", ",", "state"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Proj0", "[", "state_", "]"}], ":=", 
   RowBox[{"\[CapitalOmega]ALL", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], "+", " ", 
        RowBox[{"s", "[", "3", "]"}]}], ")"}], "/", "2"}], ",", "state"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Invmean", "[", "state_", "]"}], ":=", 
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"HALLW", " ", "[", 
     RowBox[{"Proj0", "[", " ", 
      RowBox[{"HALLW", "[", "state", "]"}], "  ", "]"}], " ", "]"}]}], "-", 
   "state"}]}]}], "Input",
 CellChangeTimes->{{3.483302177168313*^9, 3.483302289191983*^9}, {
   3.4833023339418383`*^9, 3.483302546422535*^9}, {3.4833128419238567`*^9, 
   3.483312849232148*^9}, {3.483312880899564*^9, 3.483312882895002*^9}, {
   3.4833129823851357`*^9, 3.4833130025821123`*^9}, 3.483313719834014*^9, {
   3.483347763366363*^9, 3.4833477809502077`*^9}, 3.483347992889365*^9, {
   3.483348481848504*^9, 3.483348484113592*^9}, {3.484480309739624*^9, 
   3.484480340823443*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"psi1", "=", 
   RowBox[{"HALLW", "[", "psi0", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.483224610413796*^9, 3.483224648428008*^9}, {
  3.483348047001471*^9, 3.483348069999586*^9}},
 CellTags->"b:1.0.0"],

Cell["Then the Grover operator reads:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell["G=Invmean[OracleG.psi1];", "Input",
 CellChangeTimes->{{3.483313013456563*^9, 3.48331307234286*^9}, {
   3.4833137581473017`*^9, 3.483313779894102*^9}, 3.4833139197088537`*^9},
 CellTags->"b:1.0.1"],

Cell["Apply G  nG Times  to obtain the final state  psiF [ nG ]  ", "Text",
 CellChangeTimes->{{3.483224713425012*^9, 3.483224718949555*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell["\<\
psiF[0] = N[psi1];
psiF[nG_] := psiF[nG] = Invmean[OracleG.psiF[nG-1]]\
\>", "Input",
 CellChangeTimes->{{3.483224725299025*^9, 3.483224763386929*^9}, {
  3.4832249332766047`*^9, 3.483224955661686*^9}, {3.483313243570142*^9, 
  3.483313244506428*^9}, {3.4833132772056828`*^9, 3.48331334258127*^9}, {
  3.4833137920189753`*^9, 3.483313803556525*^9}},
 CellTags->"b:1.0.1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: Apply the Grover operator a certain number of times", \
"Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:5", "b:1.0.2"}],

Cell["\<\
The Grover operator, G, must be applied a number of times which 
is estimated here:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.2"],

Cell[BoxData[
 RowBox[{"ntry", "=", 
  RowBox[{
   RowBox[{"IntegerPart", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Length", "[", "f", "]"}], "]"}], "]"}], "-", "1"}]}]], "Input",
 CellTags->"b:1.0.2"],

Cell["Get final density matrix after ntry iterations.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"psiF", "[", "ntry", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.48322477788807*^9, 3.483224778900762*^9}, {
  3.483313379701782*^9, 3.4833134087345324`*^9}, {3.4833135256074944`*^9, 
  3.483313527345332*^9}, {3.483313813008657*^9, 3.483313817807537*^9}},
 CellTags->"b:1.0.2"],

Cell[BoxData[
 RowBox[{"MatrixQ", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", "Z", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.504534148693388*^9, 3.5045341705863037`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Analyze results ", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:6", "b:1.0.3"}],

Cell["Look at results", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"probsearch", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", "  ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Z", "[", 
        RowBox[{"[", " ", "i", "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{3.483225060727604*^9, 3.483313423272457*^9, 
  3.483313828784095*^9},
 CellTags->"b:1.0.3"],

Cell["\<\
We can plot the possible outcomes of the search with their probabilities:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{"DForm", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", "Z", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.483225201690351*^9, 3.483225203600747*^9}, {
   3.483313441835288*^9, 3.483313448481925*^9}, {3.483313510134898*^9, 
   3.483313511807311*^9}, 3.483313831833654*^9, 3.504534182038931*^9}],

Cell[BoxData[
 RowBox[{"Plot1", "=", 
  RowBox[{"ListPlot", "[", 
   RowBox[{"probsearch", ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Item", " ", "number"}], ",", "Probability"}], "}"}]}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "0.025`", "]"}]}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1.`"}], "}"}]}]}], "]"}]}]], "Input",
 CellTags->{"ListPlot", "b:1.0.3"}],

Cell["Isolate the maximum probability:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{"Max", "[", "probsearch", "]"}], "]"}]], "Input",
 CellTags->"b:1.0.3"],

Cell["\<\
And get the position corresponding to the maximum probability:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{"grover", " ", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Position", "[", 
    RowBox[{"probsearch", ",", 
     RowBox[{"Max", "[", "probsearch", "]"}]}], "]"}], "]"}]}]], "Input",
 CellTags->{"Ordering", "b:1.0.3"}],

Cell["Compare to the \"unknown\" marked state as stored in f ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"[", "s", "]"}], "]"}], "==", "1"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<marked item is number=\>\"", ",", "s", ",", 
        "\"\<    \n          Grover search found=\>\"", ",", "grover"}], 
       "]"}], ",", "\"\<\>\""}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "1", ",", 
     RowBox[{"Length", "[", "f", "]"}]}], "}"}]}], "]"}]], "Input",
 CellTags->"b:1.0.3"],

Cell[BoxData[
 RowBox[{"AmpPlots", "[", "Z", "]"}]], "Input",
 CellChangeTimes->{{3.483349055065287*^9, 3.4833490654748287`*^9}}],

Cell[BoxData[
 RowBox[{"MeterGraph", "[", 
  RowBox[{"Flatten", "[", "Z", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.483349141377983*^9, 3.4833491438384027`*^9}, {
  3.504534316987624*^9, 3.504534327722209*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.475246563382484*^9, 3.475246564579317*^9}, {
  3.475427610994915*^9, 3.4754276364185247`*^9}}],

Cell[TextData[{
 "Last Version: 18-Aug-2005\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"Lov", ".", " ", "K", ".", " ", "Grover"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "79"}], 
         " ", 
         RowBox[{"(", "1997", ")"}], " ", "325"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        RowBox[{"Sect", ".", " ", "8"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1"]
}], "Abstract",
 CellTags->"b:1.0.3"]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Grover Searching Algorithm-Two Marked Items.      To open double click on \
down arrow here-------------------------------->\
\>", "Section",
 CellChangeTimes->{{3.483349566864108*^9, 3.483349576399888*^9}, 
   3.483349628653681*^9, {3.5122182162357473`*^9, 3.512218216634574*^9}},
 FontFamily->"Times",
 CellTags->"c:7"],

Cell[CellGroupData[{

Cell["Step 1: Setting the conditions", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:8", "b:1.1.0"}],

Cell["\<\
Grover's search algorithm making use of states in subspace |x\
\[RightAngleBracket]. 
The space |y\[RightAngleBracket] is part of the search, but keeps the same \
state during 
the process and can therefore be suppressed.\
\>", "Text",
 CellChangeTimes->{{3.4832257628283873`*^9, 3.483225763913184*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.483223765028655*^9, 3.483223774576353*^9}},
 CellTags->"b:1.0.0"],

Cell[BoxData[
 RowBox[{"<<", "Notation`"}]], "Input"],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", "is_", ")"}]}], "\[VerticalSeparator]", " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op1", "[", 
       RowBox[{"\[CapitalOmega]_", ",", "is_", ",", "\[CapitalPsi]_"}], "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.485212567905224*^9, 3.48521257676635*^9}, 3.485257485657078*^9, {
   3.485257613044483*^9, 3.4852576182442627`*^9}}],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", 
           RowBox[{"is1_", ",", "is2_"}], ")"}]}], "\[VerticalSeparator]", 
       " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op2", "[", 
       RowBox[{
        "\[CapitalOmega]_", ",", "is1_", ",", "is2_", ",", "\[CapitalPsi]_"}],
        "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.48459751792222*^9, 3.4845975449813433`*^9}}],

Cell[BoxData[
 RowBox[{"Notation", "[", 
  RowBox[{
   TemplateBox[{RowBox[{
       RowBox[{"\[CapitalOmega]_", 
         RowBox[{"(", 
           RowBox[{"is1_", ",", "is2_", ",", " ", "is3_"}], ")"}]}], 
       "\[VerticalSeparator]", " ", 
       RowBox[{"\[CapitalPsi]_", " ", ">", " "}]}]},
    "NotationTemplateTag"], " ", "\[DoubleLongRightArrow]", " ", 
   TemplateBox[{RowBox[{"Op3", "[", 
       RowBox[{
        "\[CapitalOmega]_", ",", "is1_", ",", "is2_", ",", "is3_", ",", 
         "\[CapitalPsi]_"}], "]"}]},
    "NotationTemplateTag"]}], "]"}]], "Input",
 CellChangeTimes->{{3.484481941629139*^9, 3.4844819521168337`*^9}, {
   3.48448201467864*^9, 3.484482056789565*^9}, {3.4844821663415728`*^9, 
   3.484482209326398*^9}, {3.484482285567144*^9, 3.484482287739581*^9}, {
   3.4844823982050943`*^9, 3.4844824033546543`*^9}, {3.4844824379165*^9, 
   3.484482444879705*^9}, 3.484485655535245*^9, {3.484485940273974*^9, 
   3.484485945970231*^9}, {3.484486025673448*^9, 3.484486028384008*^9}, {
   3.484490737140375*^9, 3.484490757014222*^9}, {3.484513357785305*^9, 
   3.484513361719208*^9}, {3.484513663442782*^9, 3.484513664297163*^9}, 
   3.484513702273531*^9, 3.4845137326126633`*^9, 3.484513781383169*^9, {
   3.48459751792222*^9, 3.4845975449813433`*^9}, {3.485354178598618*^9, 
   3.485354194586049*^9}}],

Cell[BoxData[
 RowBox[{"?", "QDENSITY`Qdensity`*"}]], "Input",
 CellTags->"b:1.1.0"],

Cell["\<\
Set the number of x  
- nqx is the number of qubits of the unknown state\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nqx", "=", "6"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"nqx", " ", ">", "10"}], ",", 
   RowBox[{
   "Print", "[", "\"\<Check your nqx, it may take too long to compute\>\"", 
    "]"}], ","}], "]"}]}], "Input",
 CellChangeTimes->{{3.483348132337377*^9, 3.4833481330759087`*^9}},
 CellTags->"b:1.1.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"nq", "=", "nqx"}], ";"}]], "Input",
 CellTags->"b:1.1.0"],

Cell["Total number of bits;  we suppress the y bit", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[BoxData[
 RowBox[{"n", "=", 
  RowBox[{"2", "^", "nq"}]}]], "Input",
 CellTags->"b:1.1.0"],

Cell["In the figure we depict the full searching circuit.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell["Initialize all n qubits ( x and y qubits)  to Zero State", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[TextData[{
 StyleBox["NOTE: the | 0  \[RightAngleBracket] state is the array \
(1,0,0,0,...,0) in the nq bit space",
  FontSize->12],
 "\n",
 StyleBox["Here  psi0  is the initial state in the | x \[RightAngleBracket]  \
space",
  FontSize->12],
 " "
}], "SmallText",
 CellChangeTimes->{{3.483225803203137*^9, 3.483225822100107*^9}, 
   3.48555469987803*^9},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"psi0", "=", 
   RowBox[{"N", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"i", ",", "1"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4832258261022673`*^9, 3.483225841189559*^9}},
 CellTags->"b:1.1.0"],

Cell[TextData[{
 "Prepare State By Hadamarding all x qubits. Since |y\[RightAngleBracket]  \
remains as ",
 Cell[BoxData[
  FractionBox["1", 
   SqrtBox["2"]]]],
 "( |0\[RightAngleBracket] - |1\[RightAngleBracket] ), the |y\
\[RightAngleBracket] space can be suppressed"
}], "Text",
 CellChangeTimes->{{3.483225850563395*^9, 3.4832258555754623`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell["\<\
Prepare the x qubits in equi-weighted state by Hadamarding all of them using \
HALL\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"],

Cell[BoxData[
 RowBox[{"Generate", " ", "the", "  ", "state", "  ", 
  RowBox[{"psi1", " ", "--"}], "see", " ", "later"}]], "Text",
 CellChangeTimes->{{3.4832258650767927`*^9, 3.483225871901705*^9}, {
  3.483348114113552*^9, 3.4833481165114326`*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.0"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 2: Prepare the Grover operator", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:9", "b:1.1.1"}],

Cell["\<\
Prepare the Grover operator G as the \"inversion about the mean\" times the \
Oracle.
The Oracle defines an arbitrary set of two marked states as indicated by the \
function f.
When acting in just the | x \[RightAngleBracket] space, the Grover OracleG \
changes the sign of the marked states.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1"],

Cell[BoxData[
 RowBox[{"nx", "=", 
  RowBox[{"2", "^", "nqx"}]}]], "Input",
 CellTags->"b:1.1.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"f", "=", 
   RowBox[{"ReplacePart", "[", 
    RowBox[{
     RowBox[{"ZeroT", "[", "nx", "]"}], ",", "1", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xpick1", "=", 
         RowBox[{"RandomInteger", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "nx"}], "}"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"xpick2", "=", 
         RowBox[{"RandomInteger", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "nx"}], "}"}], "]"}]}], "}"}]}], "}"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"markit", "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "f"]}], ";"}]}], "Input",
 CellChangeTimes->{{3.483226174554595*^9, 3.483226177814624*^9}},
 CellTags->"b:1.1.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"OracleG", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"markit", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "*", 
      RowBox[{"KroneckerDelta", "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nx"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 CellTags->"b:1.1.1"],

Cell["\<\
phaseinvert is the (2 | 0 \[RightAngleBracket] \[LeftAngleBracket]  0 | - I ) \
 phase inversion matrix in the nqx space \
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.1"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"HALLW", "[", "state_", "]"}], ":=", 
   RowBox[{"\[CapitalOmega]ALL", "[", 
    RowBox[{"\[ScriptCapitalH]", ",", "state"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Proj0", "[", "state_", "]"}], ":=", 
   RowBox[{"\[CapitalOmega]ALL", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], "+", " ", 
        RowBox[{"s", "[", "3", "]"}]}], ")"}], "/", "2"}], ",", "state"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Invmean", "[", "state_", "]"}], ":=", 
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"HALLW", " ", "[", 
     RowBox[{"Proj0", "[", " ", 
      RowBox[{"HALLW", "[", "state", "]"}], "  ", "]"}], " ", "]"}]}], "-", 
   "state"}]}]}], "Input",
 CellChangeTimes->{{3.483302177168313*^9, 3.483302289191983*^9}, {
   3.4833023339418383`*^9, 3.483302546422535*^9}, {3.4833128419238567`*^9, 
   3.483312849232148*^9}, {3.483312880899564*^9, 3.483312882895002*^9}, {
   3.4833129823851357`*^9, 3.4833130025821123`*^9}, 3.483313719834014*^9, {
   3.483347763366363*^9, 3.4833477809502077`*^9}, 3.483347948815522*^9, {
   3.483348511364139*^9, 3.483348515189239*^9}, {3.484480444676737*^9, 
   3.4844804713741827`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"psi1", "=", 
   RowBox[{"HALLW", "[", "psi0", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.483224610413796*^9, 3.483224648428008*^9}, {
  3.483348047001471*^9, 3.483348069999586*^9}},
 CellTags->"b:1.0.0"],

Cell["Then the Grover operator reads:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.0.1"],

Cell["G=Invmean[OracleG.psi1];", "Input",
 CellChangeTimes->{{3.483313013456563*^9, 3.48331307234286*^9}, {
   3.4833137581473017`*^9, 3.483313779894102*^9}, 3.4833139197088537`*^9},
 CellTags->"b:1.0.1"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 3: Apply the Grover Operator ntry times", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:10", "b:1.1.2"}],

Cell["\<\
Apply G   nG Times to obtain the final state  psiF [ nG ]. The definition is 
done recursively:  \
\>", "Text",
 CellChangeTimes->{{3.483225939238964*^9, 3.483225944400378*^9}},
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2"],

Cell["\<\
psiF[0] = N[psi1];
psiF[nG_] := psiF[nG] = Invmean[OracleG.psiF[nG-1]]\
\>", "Input",
 CellChangeTimes->{{3.483224725299025*^9, 3.483224763386929*^9}, {
  3.4832249332766047`*^9, 3.483224955661686*^9}, {3.483313243570142*^9, 
  3.483313244506428*^9}, {3.4833132772056828`*^9, 3.48331334258127*^9}, {
  3.4833137920189753`*^9, 3.483313803556525*^9}},
 CellTags->"b:1.0.1"],

Cell["\<\
The number of times we apply the Grover operator is defined here:\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2"],

Cell[BoxData[
 RowBox[{"ntry", "=", 
  RowBox[{
   RowBox[{"IntegerPart", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{"Length", "[", "f", "]"}], "]"}], "]"}], "-", "4"}]}]], "Input",
 CellTags->"b:1.1.2"],

Cell["Get final density matrix after ntry iterations.", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Z", "=", 
   RowBox[{"psiF", "[", "ntry", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.483226049516552*^9, 3.4832260506059303`*^9}, 
   3.483226085891385*^9, 3.483348221775983*^9},
 CellTags->"b:1.1.2"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Step 4: Analyze results", "Subsection",
 CellFrame->True,
 FontFamily->"Times",
 CellTags->{"c:11", "b:1.1.3"}],

Cell["\<\
Take Trace for Projective Measurements using Tr  [ | n \[RightAngleBracket]\
\[LeftAngleBracket] n |  \[Rho] ] = \[LeftAngleBracket] n | \[Rho] | n \
\[RightAngleBracket] directly.\
\>", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3"],

Cell["Look at results", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"probsearch", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", "  ", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Z", "[", 
        RowBox[{"[", " ", "i", "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", "nx"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.4832259947396917`*^9, 3.483225995502301*^9}, 
   3.483226089177785*^9, 3.483348229754889*^9},
 CellTags->"b:1.1.3"],

Cell["Plot the possible results with their probabilities:", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"probsearch", ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"PointSize", "[", "0.025`", "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1.`"}], "}"}]}]}], "]"}]], "Input",
 CellTags->{"ListPlot", "b:1.1.3"}],

Cell[BoxData[
 RowBox[{"DForm", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", "Z", "}"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.483225201690351*^9, 3.483225203600747*^9}, 
   3.483226204491027*^9, 3.483348235236834*^9, {3.5045344289014673`*^9, 
   3.504534441690999*^9}}],

Cell["Find the highest probabilities from the table", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{"val", "=", 
  RowBox[{"Max", "[", "probsearch", "]"}]}]], "Input",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{"grover", " ", "=", 
  RowBox[{"Flatten", "[", 
   RowBox[{"Position", "[", 
    RowBox[{"probsearch", ",", 
     RowBox[{"_", "?", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"val", "-", ".01"}], ")"}], "<", "#", "<", 
         RowBox[{"(", 
          RowBox[{"val", "+", ".01"}], ")"}]}], "&"}], ")"}]}]}], "]"}], 
   "]"}]}]], "Input",
 CellTags->{"Ordering", "b:1.1.3"}],

Cell["Compare to the \"unknown\"  marked state as stored in f ", "Text",
 FontFamily->"Helvetica",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"f", "[", 
        RowBox[{"[", "s", "]"}], "]"}], "==", "1"}], ",", 
      RowBox[{"Print", "[", 
       RowBox[{
       "\"\<marked item is number=\>\"", ",", "s", ",", 
        "\"\<    \n          Grover search found=\>\"", ",", "grover"}], 
       "]"}], ",", "\"\<\>\""}], "]"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "1", ",", 
     RowBox[{"Length", "[", "f", "]"}]}], "}"}]}], "]"}]], "Input",
 CellTags->"b:1.1.3"],

Cell[BoxData[
 RowBox[{"AmpPlots", "[", "Z", "]"}]], "Input",
 CellChangeTimes->{{3.483349055065287*^9, 3.4833490654748287`*^9}}],

Cell[BoxData[
 RowBox[{"MeterGraph", "[", 
  RowBox[{"Flatten", "[", "Z", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.483349141377983*^9, 3.4833491438384027`*^9}, {
  3.504534483213502*^9, 3.504534488597694*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.475246563382484*^9, 3.475246564579317*^9}, {
  3.475427610994915*^9, 3.4754276364185247`*^9}}],

Cell[TextData[{
 "Last Version: 18-Aug-2005\n",
 Cell[BoxData[
  FormBox[GridBox[{
     {
      RowBox[{"References", ":"}], 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"[", "1", "]"}], " ", 
         RowBox[{"Lov", ".", " ", "K", ".", " ", "Grover"}]}], ",", " ", 
        RowBox[{
         RowBox[{"Phys", ".", " ", "Rev", ".", " ", "Lett", ".", " ", "79"}], 
         " ", 
         RowBox[{"(", "1997", ")"}], " ", "325"}]}], "\n", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "2", "]"}], " ", "QDENSITY", " ", "manual"}], ",", " ", 
        RowBox[{"Sect", ".", " ", "8"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
      "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}], TraditionalForm]], 
  "DefinitionBox",
  GridBoxOptions->{
  GridBoxDividers->{
   "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
    "RowsIndexed" -> {}},
  GridBoxSpacings->{"Columns" -> {
      Offset[0.27999999999999997`], {
       Offset[0.5599999999999999]}, 
      Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
      Offset[0.2], {
       Offset[0.16]}, 
      Offset[0.2]}, "RowsIndexed" -> {}}},
  CellTags->"S5.1.1"]
}], "Abstract",
 CellTags->"b:1.1.3"]
}, Open  ]]
}, Closed]]
},
WindowToolbars->{},
WindowSize->{1257, 690},
WindowMargins->{{145, Automatic}, {Automatic, 90}},
PrintingStartingPageNumber->39,
PrintingPageRange->{Automatic, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "WindowsANSI"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 20.212814`8.058201763306208}, {39, 
    39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 39, 40, 40, 40, 40, 40, 40, 40, 
    40, 40, 40, 40, 40, 40, 40, 40, 40, 40, 41, 41, 41, 41, 41, 41, 41, 41, 
    41, 41, 41, 41, 41, 41, 41, 41, 41, 41, 42, 42, 42, 42, 42, 42, 42, 42, 
    42, 42, 42, 42, 42, 42, 42, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 43, 
    43, 43, 43, 43, 43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 
    44, 44, 44, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45, 45}, 
    Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit) (November 6, 2010)",
StyleDefinitions->"Classroom.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[545, 20, 153, 5, 95, "Title",
   CellTags->"c:1"]},
 "c:2"->{
  Cell[1830, 57, 311, 7, 51, "Section",
   CellTags->"c:2"]},
 "c:3"->{
  Cell[2166, 68, 123, 3, 57, "Subsection",
   CellTags->{"c:3", "b:1.0.0"}]},
 "b:1.0.0"->{
  Cell[2166, 68, 123, 3, 57, "Subsection",
   CellTags->{"c:3", "b:1.0.0"}],
  Cell[2292, 73, 360, 9, 76, "Text",
   CellTags->"b:1.0.0"],
  Cell[2655, 84, 393, 8, 75, "Input",
   CellTags->"b:1.0.0"],
  Cell[3051, 94, 84, 2, 44, "Input",
   CellTags->"b:1.0.0"],
  Cell[7542, 188, 251, 7, 60, "Input",
   CellTags->"b:1.0.0"],
  Cell[7796, 197, 206, 7, 49, "Text",
   CellTags->"b:1.0.0"],
  Cell[8005, 206, 620, 14, 60, "Input",
   CellTags->"b:1.0.0"],
  Cell[8628, 222, 92, 3, 44, "Input",
   CellTags->"b:1.0.0"],
  Cell[8723, 227, 108, 2, 22, "Text",
   CellTags->"b:1.0.0"],
  Cell[8834, 231, 99, 3, 44, "Input",
   CellTags->"b:1.0.0"],
  Cell[8936, 236, 115, 2, 22, "Text",
   CellTags->"b:1.0.0"],
  Cell[9054, 240, 120, 2, 22, "Text",
   CellTags->"b:1.0.0"],
  Cell[9177, 244, 505, 17, 45, "SmallText",
   CellTags->"b:1.0.0"],
  Cell[9685, 263, 306, 4, 44, "Input",
   CellTags->"b:1.0.0"],
  Cell[9994, 269, 397, 11, 34, "Text",
   CellTags->"b:1.0.0"],
  Cell[10394, 282, 155, 5, 22, "Text",
   CellTags->"b:1.0.0"],
  Cell[10552, 289, 295, 6, 22, "Text",
   CellTags->"b:1.0.0"],
  Cell[14456, 414, 243, 6, 44, "Input",
   CellTags->"b:1.0.0"],
  Cell[22506, 679, 345, 7, 75, "Input",
   CellTags->"b:1.0.0"],
  Cell[32967, 979, 243, 6, 44, "Input",
   CellTags->"b:1.0.0"]},
 "c:4"->{
  Cell[10884, 300, 129, 3, 57, "Subsection",
   CellTags->{"c:4", "b:1.0.1"}]},
 "b:1.0.1"->{
  Cell[10884, 300, 129, 3, 57, "Subsection",
   CellTags->{"c:4", "b:1.0.1"}],
  Cell[11016, 305, 356, 9, 76, "Text",
   CellTags->"b:1.0.1"],
  Cell[11375, 316, 97, 3, 44, "Input",
   CellTags->"b:1.0.1"],
  Cell[11475, 321, 292, 6, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[11770, 329, 460, 15, 63, "Input",
   CellTags->"b:1.0.1"],
  Cell[12233, 346, 521, 15, 44, "Input",
   CellTags->"b:1.0.1"],
  Cell[12757, 363, 269, 9, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[13029, 374, 137, 4, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[14702, 422, 95, 2, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[14800, 426, 204, 3, 44, "Input",
   CellTags->"b:1.0.1"],
  Cell[15007, 431, 189, 3, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[15199, 436, 381, 8, 57, "Input",
   CellTags->"b:1.0.1"],
  Cell[33213, 987, 95, 2, 22, "Text",
   CellTags->"b:1.0.1"],
  Cell[33311, 991, 204, 3, 44, "Input",
   CellTags->"b:1.0.1"],
  Cell[33931, 1012, 381, 8, 57, "Input",
   CellTags->"b:1.0.1"]},
 "c:5"->{
  Cell[15617, 449, 154, 4, 57, "Subsection",
   CellTags->{"c:5", "b:1.0.2"}]},
 "b:1.0.2"->{
  Cell[15617, 449, 154, 4, 57, "Subsection",
   CellTags->{"c:5", "b:1.0.2"}],
  Cell[15774, 455, 155, 5, 49, "Text",
   CellTags->"b:1.0.2"],
  Cell[15932, 462, 205, 6, 44, "Input",
   CellTags->"b:1.0.2"],
  Cell[16140, 470, 111, 2, 22, "Text",
   CellTags->"b:1.0.2"],
  Cell[16254, 474, 337, 7, 44, "Input",
   CellTags->"b:1.0.2"]},
 "c:6"->{
  Cell[16819, 492, 117, 3, 57, "Subsection",
   CellTags->{"c:6", "b:1.0.3"}]},
 "b:1.0.3"->{
  Cell[16819, 492, 117, 3, 57, "Subsection",
   CellTags->{"c:6", "b:1.0.3"}],
  Cell[16939, 497, 79, 2, 22, "Text",
   CellTags->"b:1.0.3"],
  Cell[17021, 501, 451, 14, 44, "Input",
   CellTags->"b:1.0.3"],
  Cell[17475, 517, 145, 4, 22, "Text",
   CellTags->"b:1.0.3"],
  Cell[17954, 531, 492, 13, 44, "Input",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[18449, 546, 96, 2, 22, "Text",
   CellTags->"b:1.0.3"],
  Cell[18548, 550, 115, 3, 44, "Input",
   CellTags->"b:1.0.3"],
  Cell[18666, 555, 134, 4, 22, "Text",
   CellTags->"b:1.0.3"],
  Cell[18803, 561, 241, 6, 44, "Input",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[19047, 569, 119, 2, 22, "Text",
   CellTags->"b:1.0.3"],
  Cell[19169, 573, 569, 17, 60, "Input",
   CellTags->"b:1.0.3"],
  Cell[20343, 609, 1268, 37, 49, "Abstract",
   CellTags->"b:1.0.3"]},
 "ListPlot"->{
  Cell[17954, 531, 492, 13, 44, "Input",
   CellTags->{"ListPlot", "b:1.0.3"}],
  Cell[36110, 1088, 311, 8, 44, "Input",
   CellTags->{"ListPlot", "b:1.1.3"}]},
 "Ordering"->{
  Cell[18803, 561, 241, 6, 44, "Input",
   CellTags->{"Ordering", "b:1.0.3"}],
  Cell[36938, 1115, 448, 14, 44, "Input",
   CellTags->{"Ordering", "b:1.1.3"}]},
 "c:7"->{
  Cell[21660, 652, 331, 7, 31, "Section",
   CellTags->"c:7"]},
 "c:8"->{
  Cell[22016, 663, 123, 3, 57, "Subsection",
   CellTags->{"c:8", "b:1.1.0"}]},
 "b:1.1.0"->{
  Cell[22016, 663, 123, 3, 57, "Subsection",
   CellTags->{"c:8", "b:1.1.0"}],
  Cell[22142, 668, 361, 9, 76, "Text",
   CellTags->"b:1.1.0"],
  Cell[26725, 767, 84, 2, 44, "Input",
   CellTags->"b:1.1.0"],
  Cell[26812, 771, 144, 5, 49, "Text",
   CellTags->"b:1.1.0"],
  Cell[26959, 778, 373, 10, 60, "Input",
   CellTags->"b:1.1.0"],
  Cell[27335, 790, 92, 3, 44, "Input",
   CellTags->"b:1.1.0"],
  Cell[27430, 795, 108, 2, 22, "Text",
   CellTags->"b:1.1.0"],
  Cell[27541, 799, 95, 3, 44, "Input",
   CellTags->"b:1.1.0"],
  Cell[27639, 804, 115, 2, 22, "Text",
   CellTags->"b:1.1.0"],
  Cell[27757, 808, 120, 2, 22, "Text",
   CellTags->"b:1.1.0"],
  Cell[27880, 812, 410, 13, 43, "SmallText",
   CellTags->"b:1.1.0"],
  Cell[28293, 827, 390, 12, 44, "Input",
   CellTags->"b:1.1.0"],
  Cell[28686, 841, 398, 11, 34, "Text",
   CellTags->"b:1.1.0"],
  Cell[29087, 854, 155, 5, 22, "Text",
   CellTags->"b:1.1.0"],
  Cell[29245, 861, 298, 6, 22, "Text",
   CellTags->"b:1.1.0"]},
 "c:9"->{
  Cell[29580, 872, 128, 3, 57, "Subsection",
   CellTags->{"c:9", "b:1.1.1"}]},
 "b:1.1.1"->{
  Cell[29580, 872, 128, 3, 57, "Subsection",
   CellTags->{"c:9", "b:1.1.1"}],
  Cell[29711, 877, 364, 9, 76, "Text",
   CellTags->"b:1.1.1"],
  Cell[30078, 888, 97, 3, 44, "Input",
   CellTags->"b:1.1.1"],
  Cell[30178, 893, 798, 25, 63, "Input",
   CellTags->"b:1.1.1"],
  Cell[30979, 920, 500, 16, 60, "Input",
   CellTags->"b:1.1.1"],
  Cell[31482, 938, 193, 5, 22, "Text",
   CellTags->"b:1.1.1"]},
 "c:10"->{
  Cell[33552, 999, 138, 3, 57, "Subsection",
   CellTags->{"c:10", "b:1.1.2"}]},
 "b:1.1.2"->{
  Cell[33552, 999, 138, 3, 57, "Subsection",
   CellTags->{"c:10", "b:1.1.2"}],
  Cell[33693, 1004, 235, 6, 49, "Text",
   CellTags->"b:1.1.2"],
  Cell[34315, 1022, 137, 4, 22, "Text",
   CellTags->"b:1.1.2"],
  Cell[34455, 1028, 205, 6, 44, "Input",
   CellTags->"b:1.1.2"],
  Cell[34663, 1036, 111, 2, 22, "Text",
   CellTags->"b:1.1.2"],
  Cell[34777, 1040, 240, 6, 44, "Input",
   CellTags->"b:1.1.2"]},
 "c:11"->{
  Cell[35054, 1051, 117, 3, 57, "Subsection",
   CellTags->{"c:11", "b:1.1.3"}]},
 "b:1.1.3"->{
  Cell[35054, 1051, 117, 3, 57, "Subsection",
   CellTags->{"c:11", "b:1.1.3"}],
  Cell[35174, 1056, 252, 6, 22, "Text",
   CellTags->"b:1.1.3"],
  Cell[35429, 1064, 79, 2, 22, "Text",
   CellTags->"b:1.1.3"],
  Cell[35511, 1068, 478, 14, 44, "Input",
   CellTags->"b:1.1.3"],
  Cell[35992, 1084, 115, 2, 22, "Text",
   CellTags->"b:1.1.3"],
  Cell[36110, 1088, 311, 8, 44, "Input",
   CellTags->{"ListPlot", "b:1.1.3"}],
  Cell[36711, 1106, 109, 2, 22, "Text",
   CellTags->"b:1.1.3"],
  Cell[36823, 1110, 112, 3, 44, "Input",
   CellTags->"b:1.1.3"],
  Cell[36938, 1115, 448, 14, 44, "Input",
   CellTags->{"Ordering", "b:1.1.3"}],
  Cell[37389, 1131, 120, 2, 22, "Text",
   CellTags->"b:1.1.3"],
  Cell[37512, 1135, 569, 17, 60, "Input",
   CellTags->"b:1.1.3"],
  Cell[38686, 1171, 1268, 37, 49, "Abstract",
   CellTags->"b:1.1.3"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 41226, 1242},
 {"c:2", 41295, 1245},
 {"c:3", 41367, 1248},
 {"b:1.0.0", 41459, 1251},
 {"c:4", 42761, 1292},
 {"b:1.0.1", 42855, 1295},
 {"c:5", 43848, 1326},
 {"b:1.0.2", 43942, 1329},
 {"c:6", 44290, 1340},
 {"b:1.0.3", 44384, 1343},
 {"ListPlot", 45223, 1368},
 {"Ordering", 45399, 1373},
 {"c:7", 45570, 1378},
 {"c:8", 45644, 1381},
 {"b:1.1.0", 45738, 1384},
 {"c:9", 46735, 1415},
 {"b:1.1.1", 46829, 1418},
 {"c:10", 47244, 1431},
 {"b:1.1.2", 47339, 1434},
 {"c:11", 47758, 1447},
 {"b:1.1.3", 47854, 1450}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 153, 5, 95, "Title",
 CellTags->"c:1"],
Cell[701, 27, 349, 8, 76, "Subtitle"],
Cell[1053, 37, 484, 10, 20, "Abstract"],
Cell[1540, 49, 265, 4, 22, "Text"],
Cell[CellGroupData[{
Cell[1830, 57, 311, 7, 51, "Section",
 CellTags->"c:2"],
Cell[CellGroupData[{
Cell[2166, 68, 123, 3, 57, "Subsection",
 CellTags->{"c:3", "b:1.0.0"}],
Cell[2292, 73, 360, 9, 76, "Text",
 CellTags->"b:1.0.0"],
Cell[2655, 84, 393, 8, 75, "Input",
 CellTags->"b:1.0.0"],
Cell[3051, 94, 84, 2, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[3138, 98, 53, 1, 44, "Input"],
Cell[3194, 101, 1239, 21, 55, "Input"],
Cell[4436, 124, 1242, 24, 55, "Input"],
Cell[5681, 150, 1325, 25, 55, "Input"],
Cell[7009, 177, 530, 9, 120, "Input"],
Cell[7542, 188, 251, 7, 60, "Input",
 CellTags->"b:1.0.0"],
Cell[7796, 197, 206, 7, 49, "Text",
 CellTags->"b:1.0.0"],
Cell[8005, 206, 620, 14, 60, "Input",
 CellTags->"b:1.0.0"],
Cell[8628, 222, 92, 3, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[8723, 227, 108, 2, 22, "Text",
 CellTags->"b:1.0.0"],
Cell[8834, 231, 99, 3, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[8936, 236, 115, 2, 22, "Text",
 CellTags->"b:1.0.0"],
Cell[9054, 240, 120, 2, 22, "Text",
 CellTags->"b:1.0.0"],
Cell[9177, 244, 505, 17, 45, "SmallText",
 CellTags->"b:1.0.0"],
Cell[9685, 263, 306, 4, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[9994, 269, 397, 11, 34, "Text",
 CellTags->"b:1.0.0"],
Cell[10394, 282, 155, 5, 22, "Text",
 CellTags->"b:1.0.0"],
Cell[10552, 289, 295, 6, 22, "Text",
 CellTags->"b:1.0.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10884, 300, 129, 3, 57, "Subsection",
 CellTags->{"c:4", "b:1.0.1"}],
Cell[11016, 305, 356, 9, 76, "Text",
 CellTags->"b:1.0.1"],
Cell[11375, 316, 97, 3, 44, "Input",
 CellTags->"b:1.0.1"],
Cell[11475, 321, 292, 6, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[11770, 329, 460, 15, 63, "Input",
 CellTags->"b:1.0.1"],
Cell[12233, 346, 521, 15, 44, "Input",
 CellTags->"b:1.0.1"],
Cell[12757, 363, 269, 9, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[13029, 374, 137, 4, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[13169, 380, 1284, 32, 75, "Input"],
Cell[14456, 414, 243, 6, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[14702, 422, 95, 2, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[14800, 426, 204, 3, 44, "Input",
 CellTags->"b:1.0.1"],
Cell[15007, 431, 189, 3, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[15199, 436, 381, 8, 57, "Input",
 CellTags->"b:1.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15617, 449, 154, 4, 57, "Subsection",
 CellTags->{"c:5", "b:1.0.2"}],
Cell[15774, 455, 155, 5, 49, "Text",
 CellTags->"b:1.0.2"],
Cell[15932, 462, 205, 6, 44, "Input",
 CellTags->"b:1.0.2"],
Cell[16140, 470, 111, 2, 22, "Text",
 CellTags->"b:1.0.2"],
Cell[16254, 474, 337, 7, 44, "Input",
 CellTags->"b:1.0.2"],
Cell[16594, 483, 188, 4, 44, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16819, 492, 117, 3, 57, "Subsection",
 CellTags->{"c:6", "b:1.0.3"}],
Cell[16939, 497, 79, 2, 22, "Text",
 CellTags->"b:1.0.3"],
Cell[17021, 501, 451, 14, 44, "Input",
 CellTags->"b:1.0.3"],
Cell[17475, 517, 145, 4, 22, "Text",
 CellTags->"b:1.0.3"],
Cell[17623, 523, 328, 6, 44, "Input"],
Cell[17954, 531, 492, 13, 44, "Input",
 CellTags->{"ListPlot", "b:1.0.3"}],
Cell[18449, 546, 96, 2, 22, "Text",
 CellTags->"b:1.0.3"],
Cell[18548, 550, 115, 3, 44, "Input",
 CellTags->"b:1.0.3"],
Cell[18666, 555, 134, 4, 22, "Text",
 CellTags->"b:1.0.3"],
Cell[18803, 561, 241, 6, 44, "Input",
 CellTags->{"Ordering", "b:1.0.3"}],
Cell[19047, 569, 119, 2, 22, "Text",
 CellTags->"b:1.0.3"],
Cell[19169, 573, 569, 17, 60, "Input",
 CellTags->"b:1.0.3"],
Cell[19741, 592, 129, 2, 44, "Input"],
Cell[19873, 596, 214, 4, 44, "Input"],
Cell[20090, 602, 250, 5, 60, "Input"],
Cell[20343, 609, 1268, 37, 49, "Abstract",
 CellTags->"b:1.0.3"]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[21660, 652, 331, 7, 31, "Section",
 CellTags->"c:7"],
Cell[CellGroupData[{
Cell[22016, 663, 123, 3, 57, "Subsection",
 CellTags->{"c:8", "b:1.1.0"}],
Cell[22142, 668, 361, 9, 76, "Text",
 CellTags->"b:1.1.0"],
Cell[22506, 679, 345, 7, 75, "Input",
 CellTags->"b:1.0.0"],
Cell[22854, 688, 53, 1, 44, "Input"],
Cell[22910, 691, 1239, 21, 55, "Input"],
Cell[24152, 714, 1242, 24, 55, "Input"],
Cell[25397, 740, 1325, 25, 55, "Input"],
Cell[26725, 767, 84, 2, 44, "Input",
 CellTags->"b:1.1.0"],
Cell[26812, 771, 144, 5, 49, "Text",
 CellTags->"b:1.1.0"],
Cell[26959, 778, 373, 10, 60, "Input",
 CellTags->"b:1.1.0"],
Cell[27335, 790, 92, 3, 44, "Input",
 CellTags->"b:1.1.0"],
Cell[27430, 795, 108, 2, 22, "Text",
 CellTags->"b:1.1.0"],
Cell[27541, 799, 95, 3, 44, "Input",
 CellTags->"b:1.1.0"],
Cell[27639, 804, 115, 2, 22, "Text",
 CellTags->"b:1.1.0"],
Cell[27757, 808, 120, 2, 22, "Text",
 CellTags->"b:1.1.0"],
Cell[27880, 812, 410, 13, 43, "SmallText",
 CellTags->"b:1.1.0"],
Cell[28293, 827, 390, 12, 44, "Input",
 CellTags->"b:1.1.0"],
Cell[28686, 841, 398, 11, 34, "Text",
 CellTags->"b:1.1.0"],
Cell[29087, 854, 155, 5, 22, "Text",
 CellTags->"b:1.1.0"],
Cell[29245, 861, 298, 6, 22, "Text",
 CellTags->"b:1.1.0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29580, 872, 128, 3, 57, "Subsection",
 CellTags->{"c:9", "b:1.1.1"}],
Cell[29711, 877, 364, 9, 76, "Text",
 CellTags->"b:1.1.1"],
Cell[30078, 888, 97, 3, 44, "Input",
 CellTags->"b:1.1.1"],
Cell[30178, 893, 798, 25, 63, "Input",
 CellTags->"b:1.1.1"],
Cell[30979, 920, 500, 16, 60, "Input",
 CellTags->"b:1.1.1"],
Cell[31482, 938, 193, 5, 22, "Text",
 CellTags->"b:1.1.1"],
Cell[31678, 945, 1286, 32, 75, "Input"],
Cell[32967, 979, 243, 6, 44, "Input",
 CellTags->"b:1.0.0"],
Cell[33213, 987, 95, 2, 22, "Text",
 CellTags->"b:1.0.1"],
Cell[33311, 991, 204, 3, 44, "Input",
 CellTags->"b:1.0.1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33552, 999, 138, 3, 57, "Subsection",
 CellTags->{"c:10", "b:1.1.2"}],
Cell[33693, 1004, 235, 6, 49, "Text",
 CellTags->"b:1.1.2"],
Cell[33931, 1012, 381, 8, 57, "Input",
 CellTags->"b:1.0.1"],
Cell[34315, 1022, 137, 4, 22, "Text",
 CellTags->"b:1.1.2"],
Cell[34455, 1028, 205, 6, 44, "Input",
 CellTags->"b:1.1.2"],
Cell[34663, 1036, 111, 2, 22, "Text",
 CellTags->"b:1.1.2"],
Cell[34777, 1040, 240, 6, 44, "Input",
 CellTags->"b:1.1.2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35054, 1051, 117, 3, 57, "Subsection",
 CellTags->{"c:11", "b:1.1.3"}],
Cell[35174, 1056, 252, 6, 22, "Text",
 CellTags->"b:1.1.3"],
Cell[35429, 1064, 79, 2, 22, "Text",
 CellTags->"b:1.1.3"],
Cell[35511, 1068, 478, 14, 44, "Input",
 CellTags->"b:1.1.3"],
Cell[35992, 1084, 115, 2, 22, "Text",
 CellTags->"b:1.1.3"],
Cell[36110, 1088, 311, 8, 44, "Input",
 CellTags->{"ListPlot", "b:1.1.3"}],
Cell[36424, 1098, 284, 6, 44, "Input"],
Cell[36711, 1106, 109, 2, 22, "Text",
 CellTags->"b:1.1.3"],
Cell[36823, 1110, 112, 3, 44, "Input",
 CellTags->"b:1.1.3"],
Cell[36938, 1115, 448, 14, 44, "Input",
 CellTags->{"Ordering", "b:1.1.3"}],
Cell[37389, 1131, 120, 2, 22, "Text",
 CellTags->"b:1.1.3"],
Cell[37512, 1135, 569, 17, 60, "Input",
 CellTags->"b:1.1.3"],
Cell[38084, 1154, 129, 2, 44, "Input"],
Cell[38216, 1158, 214, 4, 44, "Input"],
Cell[38433, 1164, 250, 5, 60, "Input"],
Cell[38686, 1171, 1268, 37, 49, "Abstract",
 CellTags->"b:1.1.3"]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
