(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    326003,       7479]
NotebookOptionsPosition[    246770,       5707]
NotebookOutlinePosition[    317380,       7222]
CellTagsIndexPosition[    317234,       7214]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["One qubit subject to random errors\nwith parallel \
multiverse version.\nSimulates error correction",
 FontSlant->"Italic"]], "Title",
 CellChangeTimes->{{3.492806618285582*^9, 3.492806633174077*^9}, {
  3.4939943752442827`*^9, 3.493994400790002*^9}, {3.49407708965654*^9, 
  3.494077110901979*^9}, {3.4941603453643*^9, 3.4941603718074207`*^9}, {
  3.494241061557054*^9, 3.4942410655927343`*^9}, {3.500485250481453*^9, 
  3.5004852697081003`*^9}},
 CellTags->"c:1"],

Cell["    Dec 2010 ", "Subtitle",
 CellChangeTimes->{{3.4942410718803663`*^9, 3.494241075592243*^9}, {
  3.5004852746916933`*^9, 3.500485278676985*^9}}],

Cell[TextData[{
 "Version: Jan-2011--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 7.0-8.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
   3.489167453263467*^9, 3.489167474101137*^9}, {3.512218354372922*^9, 
   3.51221835576024*^9}, 3.51223856692834*^9}],

Cell[TextData[ButtonBox["Click here to get the palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette.nb", None}]], "Text"],

Cell[TextData[StyleBox["Case I:  Only single qubit  errors.",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.49280666738899*^9, 3.492806682586589*^9}, {
  3.497212164217536*^9, 3.497212167939413*^9}},
 FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Getting Kernels Started",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.4380164724409447`*^9, 3.438016476270412*^9}, {
  3.438016514512711*^9, 3.438016522205989*^9}}],

Cell["\<\
In the evaluation menu, you can find the status of all your currently running \
kernels, as well as configure new ones, through the Parallel Kernel Status \
and Parallel Kernel Configuration menu items, respectively:\
\>", "Text",
 CellChangeTimes->{{3.437841974124*^9, 3.4378420319852448`*^9}}],

Cell[TextData[{
 "You can shut down the kernels with the ",
 StyleBox["CloseKernels[]",
  FontFamily->"Courier"],
 StyleBox[" command:",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.4378420647868032`*^9, 3.4378420879104967`*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["LaunchKernels[]",
  FontFamily->"Courier"],
 StyleBox[" command will explicitly launch all kernels that you have \
configured on your system",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.437841903753237*^9, 3.4378419554507647`*^9}, {
  3.4378420357789183`*^9, 3.437842036152274*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LaunchKernels", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.4947991480797777`*^9, {3.495385174354279*^9, 3.495385175204328*^9}}],

Cell["You can see a list of the running kernels:", "MathCaption",
 CellChangeTimes->{{3.4378420465580997`*^9, 3.437842057754449*^9}}],

Cell[BoxData[
 RowBox[{"Kernels", "[", "]"}]], "Input",
 CellChangeTimes->{{3.437842059559795*^9, 3.4378420617887697`*^9}}]
}, Open  ]],

Cell["\<\
Set up number of processors nprocs  use $KernelCount to include remote kernels\
\>", "MathCaption",
 CellChangeTimes->{{3.4378420465580997`*^9, 3.437842057754449*^9}, 
   3.4946782354493847`*^9}],

Cell[BoxData[
 RowBox[{"nprocs", "=", "$KernelCount"}]], "Input",
 CellChangeTimes->{{3.438618048960599*^9, 3.4386180519334373`*^9}, {
   3.438618121691539*^9, 3.4386181402489443`*^9}, 3.4386963128318157`*^9, {
   3.495385185104375*^9, 3.495385186141102*^9}}],

Cell[TextData[{
 "You can now setup Qdensity and QCWave on all the Kernels",
 StyleBox[":",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.4378420647868032`*^9, 3.4378420879104967`*^9}, {
  3.474736121218618*^9, 3.474736141389122*^9}, {3.494234199221211*^9, 
  3.494234205870905*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ParallelNeeds", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ParallelNeeds", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4917425943682203`*^9, 3.4917426398034697`*^9}, {
  3.4947664217720346`*^9, 3.494766436919654*^9}},
 CellID->425297121],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "Set", " ", "up", " ", "processor", " ", "ip0", " ", "for", " ", 
   "processor", " ", "ID"}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.438618342745201*^9, 3.438618372365713*^9}, {
  3.438642528472526*^9, 3.438642537149721*^9}, {3.4948693259162397`*^9, 
  3.494869348426427*^9}}],

Cell[BoxData[{
 RowBox[{"ParallelEvaluate", "[", "$KernelID", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ip0", "=", 
  RowBox[{
   RowBox[{"ParallelEvaluate", "[", "$KernelID", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ip0", "+", "nprocs", "-", "1"}]}], "Input",
 CellChangeTimes->{{3.4747394288772*^9, 3.474739451000877*^9}, {
  3.474739508423588*^9, 3.4747395103105593`*^9}, {3.474813260709779*^9, 
  3.474813489498263*^9}, {3.474813525185297*^9, 3.474813533659933*^9}, {
  3.474813594435273*^9, 3.474813606499097*^9}, {3.474814074386547*^9, 
  3.474814083696747*^9}, {3.491861734901787*^9, 3.491861735800363*^9}, {
  3.494685881507721*^9, 3.4946858861679497`*^9}, {3.4946977841987534`*^9, 
  3.4946977885833693`*^9}, {3.494863775267818*^9, 3.494863789824148*^9}, {
  3.494863831089025*^9, 3.49486384269028*^9}, {3.4948693646287737`*^9, 
  3.4948693652891073`*^9}}],

Cell["\<\
Single  qubit storage case
Consider a state a | 0 > + b | 1 >  subject to errors
Just trying to store that state.
Do errors on various processors.
Then generate ensemble average density matrix\
\>", "Subsection",
 CellFrame->True,
 CellChangeTimes->{{3.491570824339962*^9, 3.4915708247366962`*^9}, 
   3.4916656416582127`*^9, {3.491683151861877*^9, 3.491683153234818*^9}, {
   3.491830688267021*^9, 3.491830694774911*^9}, {3.491830917303151*^9, 
   3.491831026625505*^9}, {3.4918617823491497`*^9, 3.491861832447604*^9}, {
   3.494160555234477*^9, 3.494160628958004*^9}, 3.49418351449654*^9, {
   3.494234268533813*^9, 3.4942342729835367`*^9}, {3.4948628403810253`*^9, 
   3.4948628437416143`*^9}},
 FontFamily->"Times",
 CellTags->{"c:6", "b:5.1.2"}],

Cell["\<\
Sample single  qubit circuit
On Master no noise
On other processors circuit shows various noise cases\
\>", "Subsection",
 CellFrame->True,
 CellChangeTimes->{{3.491570824339962*^9, 3.4915708247366962`*^9}, 
   3.4916656416582127`*^9, {3.491683151861877*^9, 3.491683153234818*^9}, {
   3.491830688267021*^9, 3.491830694774911*^9}, {3.491830917303151*^9, 
   3.491831026625505*^9}, {3.4918617823491497`*^9, 3.491861832447604*^9}, {
   3.494160555234477*^9, 3.494160628958004*^9}, 3.49418351449654*^9, {
   3.494234268533813*^9, 3.4942342729835367`*^9}, {3.4948628403810253`*^9, 
   3.49486289337845*^9}, {3.497691245998835*^9, 3.4976912529126263`*^9}},
 FontFamily->"Times",
 CellTags->{"c:6", "b:5.1.2"}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{
    RowBox[{
    "Turned", " ", "off", "  ", "see", " ", "later", " ", "for", " ", 
     "actual", " ", "case", " ", "run", " ", "\[IndentingNewLine]", "nqset"}],
     "=", "1"}], ";", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
    RowBox[{
     RowBox[{
      RowBox[{"initialKetsC", "[", "matr", "]"}], "\[IndentingNewLine]", 
      "mat0"}], "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "BM", "}"}], ",", 
        RowBox[{"{", "1", "}"}], ",", 
        RowBox[{"{", "1", "}"}]}], "}"}], "]"}]}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"encode0", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat0", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat1", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "X", "}"}], ",", 
       RowBox[{"{", "Z", "}"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"encode1", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat1", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat2", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "Y", "}"}], ",", 
       RowBox[{"{", "X", "}"}], ",", 
       RowBox[{"{", "Z", "}"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"encode2", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat2", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat3", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "1", "}"}], ",", 
       RowBox[{"{", "Y", "}"}], ",", 
       RowBox[{"{", "1", "}"}]}], "}"}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"encode3", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat3", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"encode0", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< One Qubit No Noise on Master \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], " ", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode1", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< One Qubit Noise on Processor 1 \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode2", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< One Qubit Noise on Processor 2 \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode3", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< One Qubit Noise on Processor .... \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"initialKets", "[", "matr_", "]"}]}], ":=", 
    RowBox[{"initialKetsq", "[", "matr", "]"}]}]}], " ", 
  "\[IndentingNewLine]", "*)"}]], "Input",
 CellChangeTimes->{{3.493757200281439*^9, 3.493757237969617*^9}, {
   3.4937572895205297`*^9, 3.493757309291018*^9}, {3.493757350807509*^9, 
   3.493757351442051*^9}, 3.493805249864169*^9, {3.4938055262171507`*^9, 
   3.4938055508260403`*^9}, {3.493805582753765*^9, 3.49380575966317*^9}, {
   3.493805799540719*^9, 3.4938058741786833`*^9}, {3.493805998192298*^9, 
   3.4938060066903267`*^9}, {3.4938062992403183`*^9, 3.493806352737567*^9}, {
   3.4941610247518587`*^9, 3.49416108819816*^9}, 3.49419042031912*^9, {
   3.494688292496334*^9, 3.4946882955951757`*^9}, 3.494856798318976*^9, {
   3.49486190026408*^9, 3.4948624626327267`*^9}, 3.494862496460649*^9, {
   3.494862540024458*^9, 3.4948626028581743`*^9}, {3.49486265080289*^9, 
   3.494862657395893*^9}, {3.494862704449649*^9, 3.4948627832981243`*^9}, {
   3.4993657238748283`*^9, 3.499365729279026*^9}, {3.500485321748241*^9, 
   3.500485375859542*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup density matrix for pure state for all processors\n  \
Includes check that state is a matrix--needed for tensor product definition",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.494321159991131*^9, 3.4943211792635403`*^9}, {3.494868404497671*^9, 
   3.494868450613071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Rho]", "[", "state_", "]"}], 
  StyleBox[
   RowBox[{":", 
    StyleBox["=",
     FontSize->12]}]], 
  StyleBox[" ",
   FontSize->12], 
  RowBox[{
   StyleBox["Module",
    FontSize->12], 
   StyleBox["[",
    FontSize->12], 
   StyleBox[" ",
    FontSize->12], 
   RowBox[{
    StyleBox[
     RowBox[{"{", 
      RowBox[{"rho", ",", " ", "stat"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"stat", "=", "state"}],
      FontSize->12], 
     StyleBox[";",
      FontSize->12], 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MatrixQ", "[", "stat", "]"}], "\[Equal]", "True"}], ",", 
       RowBox[{"rho", "=", 
        RowBox[{
         StyleBox["stat",
          FontSize->12], " ", "\[CircleTimes]", " ", 
         StyleBox[
          RowBox[{"Adj", "[", "stat", "]"}],
          FontSize->12]}]}], 
       StyleBox[",",
        FontSize->12], 
       RowBox[{"rho", "=", 
        RowBox[{
         RowBox[{"{", 
          StyleBox["stat",
           FontSize->12], 
          StyleBox["}",
           FontSize->12]}], " ", "\[CircleTimes]", " ", 
         StyleBox[
          RowBox[{"Adj", "[", 
           RowBox[{"{", "stat", "}"}], "]"}],
          FontSize->12]}]}]}], "  ", "]"}], ";", "  ", "rho"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DistributeDefinitions", "[", 
  RowBox[{"{", "\[Rho]", "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.494321336154468*^9, 3.494321336788484*^9}, {
   3.494862923734084*^9, 3.494862952756681*^9}, {3.494864762332388*^9, 
   3.494864782792903*^9}, {3.494864878782111*^9, 3.49486488521845*^9}, 
   3.494865811840151*^9, {3.494866044428823*^9, 3.494866049499946*^9}, {
   3.494866113916251*^9, 3.49486613897621*^9}, {3.4948662083039627`*^9, 
   3.4948662647279778`*^9}, {3.494866322129393*^9, 3.494866358852591*^9}, {
   3.4948664688428593`*^9, 3.494866490835557*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " New FidelityB Method  Using Eigenvalues of rho1.rho2 "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.494321159991131*^9, 3.4943211792635403`*^9}, {3.494868404497671*^9, 
   3.494868450613071*^9}, {3.495383360363735*^9, 3.495383397213029*^9}, {
   3.499696779863474*^9, 3.499696788597869*^9}, 3.499721188075543*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FidelityB", "[", 
   RowBox[{
    RowBox[{"O_", "?", "MatrixQ"}], ",", 
    RowBox[{"P_", "?", "MatrixQ"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "[", 
        RowBox[{
         RowBox[{"O", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
       RowBox[{"SQB", "=", 
        RowBox[{"SetAccuracy", "[", 
         RowBox[{
          RowBox[{"O", ".", "P"}], ",", "20"}], "]"}]}], ",", 
       RowBox[{"SQB", "=", 
        RowBox[{"O", ".", "P"}]}]}], "]"}], ";", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "[", 
        RowBox[{
         RowBox[{"O", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
       RowBox[{"FideB", "=", 
        RowBox[{"SetAccuracy", "[", 
         RowBox[{
          RowBox[{"Sqrt", "[", 
           RowBox[{"Eigenvalues", "[", "SQB", "]"}], "]"}], ",", "20"}], 
         "]"}]}], ",", 
       RowBox[{"FideB", "=", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"Eigenvalues", "[", "SQB", "]"}], "]"}]}]}], "]"}], ";", 
     "\n", 
     RowBox[{"Re", "[", 
      RowBox[{"Tr", "[", "FideB", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.495305113557213*^9, 3.495305113779478*^9}, {
   3.495311978326344*^9, 3.495311982497341*^9}, {3.495369613354203*^9, 
   3.4953696180294847`*^9}, 3.495383355067608*^9, {3.495385838746525*^9, 
   3.4953858393816023`*^9}, {3.499251907179097*^9, 3.499251908739435*^9}, {
   3.499251942190864*^9, 3.499251942677472*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Setup initial qubit  ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"nq", "=", "1"}]], "Input",
 CellChangeTimes->{{3.495888299013968*^9, 3.4958883002551947`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial | 0 >  state  icase=1",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.495382667702323*^9, 3.495382671174032*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi0", "=", 
   RowBox[{"Ket", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.494235174126033*^9, 
   3.494235331826366*^9}, {3.494275837852777*^9, 3.494275838362171*^9}, 
   3.494277556428405*^9, {3.494865084847228*^9, 3.494865134133802*^9}, {
   3.494865873001933*^9, 3.4948658738243313`*^9}, {3.49486628490898*^9, 
   3.494866300453661*^9}, 3.495383426411764*^9, 3.495389818274323*^9}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial | + >  state  icase=3",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.495382676937559*^9, 3.4953826811115*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psip", "=", "  ", 
   RowBox[{"KetX", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.4942353564807997`*^9, 
   3.494235370073514*^9}, {3.494275469663225*^9, 3.494275481036162*^9}, {
   3.494275565126511*^9, 3.4942755825238132`*^9}, {3.494275846574936*^9, 
   3.49427584745072*^9}, 3.494277563107408*^9, {3.494865178723888*^9, 
   3.494865230285015*^9}, {3.494865271437023*^9, 3.4948653214347486`*^9}, {
   3.49486589042686*^9, 3.4948658912244062`*^9}, {3.4953834370423317`*^9, 
   3.495383501651581*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup pure Initial random state = \[Alpha] | 0 > + \[Beta] | 1 >  \
 icase=2 ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.495382687150352*^9, 3.495382690499488*^9}, {3.497691986163385*^9, 
   3.497691988526462*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"psir", "=", "RandomKet1"}], "\[IndentingNewLine]", 
   RowBox[{"DForm", "[", "%", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.4942353564807997`*^9, 
   3.494235370073514*^9}, {3.4942354047264137`*^9, 3.494235467799439*^9}, {
   3.4942758551993923`*^9, 3.49427585586265*^9}, {3.494277571239499*^9, 
   3.4942775772637377`*^9}, {3.4948653368614883`*^9, 3.494865369872417*^9}, {
   3.4948659108404016`*^9, 3.4948659117378902`*^9}, {3.494865970239695*^9, 
   3.4948659768749743`*^9}, {3.494866390017522*^9, 3.494866445253191*^9}, {
   3.494866522218334*^9, 3.494866522940604*^9}, {3.495383463310479*^9, 
   3.495383465726843*^9}, {3.495383507573616*^9, 3.495383507940385*^9}, {
   3.496013687932557*^9, 3.496013780265551*^9}, {3.4960138401179132`*^9, 
   3.496013882975271*^9}, {3.496013918435444*^9, 3.496013923386014*^9}, 
   3.496014052265396*^9, {3.496014207342532*^9, 3.496014261538275*^9}, {
   3.496014447800304*^9, 3.496014451751133*^9}, {3.4960145237114067`*^9, 
   3.496014528349296*^9}, {3.4960499959023123`*^9, 3.496050006903798*^9}, {
   3.496050361266821*^9, 3.496050375126967*^9}, {3.4965048221244717`*^9, 
   3.496504826498809*^9}, {3.496506132151732*^9, 3.49650613332276*^9}, 
   3.500327885765036*^9, {3.50448300366718*^9, 3.504483015337986*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["Initial pure random state = \[Alpha] | 0 > + \[Beta] | 1 >--look \
at coefficients   ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, 3.4946978419189177`*^9, {
   3.497691978214367*^9, 3.4976919797641373`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"\[Alpha]", "=", 
  RowBox[{
   RowBox[{"Bra", "[", "0", "]"}], ".", "psir"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Beta]", "=", 
  RowBox[{
   RowBox[{"Bra", "[", "1", "]"}], ".", "psir"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Abs", "[", "\[Alpha]", "]"}], "^", "2"}], "+", 
  RowBox[{
   RowBox[{"Abs", "[", "\[Beta]", "]"}], "^", "2"}]}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", " ", 
  RowBox[{
   RowBox[{"Adj", "[", "psir", "]"}], ".", "psir"}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.492807264602682*^9, 3.492807327026979*^9}, {
   3.492807366504911*^9, 3.4928074532645493`*^9}, {3.49280748769403*^9, 
   3.4928075629909077`*^9}, {3.492810424161002*^9, 3.492810424747387*^9}, 
   3.493852588827669*^9, 3.494161383447719*^9, {3.494161421238412*^9, 
   3.49416156459883*^9}, {3.49417084708389*^9, 3.494170871919129*^9}, {
   3.494170953646809*^9, 3.494170966394895*^9}, {3.4941730307223873`*^9, 
   3.494173099185758*^9}, {3.494182822896158*^9, 3.49418283418182*^9}, {
   3.494183352672758*^9, 3.494183353121208*^9}, {3.4941834381117764`*^9, 
   3.4941834717952623`*^9}, {3.4941835733087273`*^9, 3.494183582353105*^9}, {
   3.494183653324485*^9, 3.494183662933527*^9}, {3.494235481455099*^9, 
   3.49423551853916*^9}, {3.4942402191079817`*^9, 3.494240224905298*^9}, 
   3.494240296794969*^9, {3.494240427883011*^9, 3.494240441918215*^9}, 
   3.494241131501761*^9, {3.496014605921238*^9, 3.496014608685313*^9}, {
   3.500327907953802*^9, 3.500327912763345*^9}, {3.504483054941846*^9, 
   3.5044830559884853`*^9}}]
}, Open  ]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Evaluate statef and density matrix of statef, after nv \
applications of operator s[ic]^n  to initial state= initstate\n on each \
processor, where Pauli components is ic=RandomInteger[{1, 3}], and power of \
Pauli n is random--0 or 1.\n Select initial state here initstate = psir, for \
example",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494869415551115*^9, 3.494869450063298*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"icase", "=", "1"}], 
  "                                                    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{
     "Select", " ", "initial", " ", "state", " ", "case", "  ", "icase"}], 
     "=", "1"}], ",", "2", ",", "3"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Acase", "=", 
   RowBox[{"{", 
    RowBox[{"psi0", ",", "psir", ",", "psip"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initstate", "=", 
   RowBox[{"Acase", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Psi]", "=", "  ", "initstate"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "\[Psi]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]", "[", "\[Psi]", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"Tr", "[", 
    RowBox[{"\[Rho]", "[", "\[Psi]", "]"}], "]"}],
   FontSize->12], 
  StyleBox["\[Equal]",
   FontSize->12], "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{
    StyleBox["Tr",
     FontSize->12], 
    StyleBox["[",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"\[Rho]", "[", "\[Psi]", "]"}],
      FontSize->12], 
     StyleBox[" ",
      FontSize->12], 
     StyleBox[".",
      FontSize->12], 
     RowBox[{"\[Rho]", "[", "\[Psi]", "]"}]}], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["\[Equal]",
   FontSize->12], "1"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  StyleBox[
   RowBox[{
    RowBox[{"Chop", "[", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"s", "[", "i", "]"}], ")"}], ".", 
       RowBox[{"\[Rho]", "[", "\[Psi]", "]"}]}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
   FontSize->12], 
  StyleBox["]",
   FontSize->12]}], "\[IndentingNewLine]", 
 RowBox[{"DistributeDefinitions", "[", 
  RowBox[{"{", "initstate", "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.495383544017717*^9, 3.495383596690431*^9}, 
   3.495383683752605*^9, {3.495916389595089*^9, 3.4959163911681023`*^9}, {
   3.495995021779642*^9, 3.495995022052362*^9}, {3.495995304453535*^9, 
   3.495995316956221*^9}, {3.4967643884880037`*^9, 3.496764418443882*^9}, {
   3.4967646932197866`*^9, 3.496764693794044*^9}, {3.497120451956526*^9, 
   3.497120452360455*^9}, {3.497213444984708*^9, 3.49721344546938*^9}, {
   3.497691274767568*^9, 3.4976912954186163`*^9}, 3.497694127460494*^9, {
   3.500329848859117*^9, 3.5003298544070044`*^9}, {3.500329921958987*^9, 
   3.500329925182188*^9}, {3.50033011053979*^9, 3.500330129732012*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Assume 20% errors distributed over nprocs  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"errors", "=", ".2"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eps", "=", 
   RowBox[{"errors", "/", "nprocs"}]}], "                        ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "probability", " ", "of", " ", "noise", " ", "in", " ", "each", " ", 
    "noisy", " ", "channel"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"prob", "=", 
  RowBox[{"1", "-", " ", 
   RowBox[{"eps", "*", "nprocs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"nmax", "=", "15", "                                               ", 
  RowBox[{"(*", " ", 
   RowBox[{"Set", " ", "number", " ", "of", " ", "repeats"}], " ", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.494240823139206*^9, 3.4942408261183434`*^9}, {
   3.4942409124334917`*^9, 3.494240921693565*^9}, 3.4942410057710333`*^9, {
   3.4942764766545687`*^9, 3.494276544889174*^9}, 3.494278674104209*^9, 
   3.494279066166169*^9, {3.494280280144734*^9, 3.4942803293928556`*^9}, {
   3.494515699896285*^9, 3.4945157066431026`*^9}, {3.49451598422097*^9, 
   3.494515984619083*^9}, {3.4945167249589853`*^9, 3.494516735594625*^9}, {
   3.4948695354542503`*^9, 3.49486953594088*^9}, {3.4948704149807673`*^9, 
   3.494870415180703*^9}, {3.494870467880206*^9, 3.494870521768282*^9}, 
   3.49538515111705*^9, {3.4958879064147*^9, 3.495887909573526*^9}, {
   3.496014770271083*^9, 3.496014771515738*^9}, 3.497637320625354*^9, {
   3.497637620647458*^9, 3.497637620846881*^9}, {3.4976913070158052`*^9, 
   3.497691410102317*^9}, 3.498247475346264*^9, {3.500328043916437*^9, 
   3.500328044101153*^9}, {3.5003306188977737`*^9, 3.5003306194187517`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Generate sequence of hits on one qubit and associated \
operators---these are distributed over the processors",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.4965060321626577`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " ",
 StyleBox["following produces random X,Y,Z errors  \n    set:hits=\n         \
RandomInteger[{1,1}] for X only;\n         RandomInteger[{2,2}] for Y only;\n \
         RandomInteger[{3,3}] for Z only; and\n         RandomInteger[{1,3}] \
for random X,Y & Z \n         RandomInteger[{0,3}] for random 1,X,Y & Z.\n    \
     User can generate other cases.\n         We could also use: \n         \
RandomInteger[{1,4}] for random X,Y & Z  and a random rotation UE1   \n       \
    ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494869415551115*^9, 3.494869450063298*^9}, {3.495916201205608*^9, 
   3.495916225178462*^9}, {3.496500466543766*^9, 3.496500484993314*^9}, {
   3.496506051515377*^9, 3.496506058987205*^9}, {3.4976914339639053`*^9, 
   3.497691603663495*^9}, {3.500330155564034*^9, 3.500330191066124*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"hits", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"RandomInteger", "[", 
          RowBox[{"{", 
           RowBox[{"1", ",", "3"}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", "nmax", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "hits"}]}]], "Input",
 CellChangeTimes->{{3.496756632273157*^9, 3.496756633272275*^9}, {
   3.4967566639744177`*^9, 3.4967568709960938`*^9}, {3.496756917274529*^9, 
   3.496757013387244*^9}, 3.4967575494507523`*^9, {3.4967581850257387`*^9, 
   3.496758248600315*^9}, {3.496761982591157*^9, 3.496762002038625*^9}, {
   3.496762033829275*^9, 3.496762036363659*^9}, {3.496762076076763*^9, 
   3.496762177289051*^9}, {3.496762208268404*^9, 3.496762212803981*^9}, 
   3.496762260668214*^9, {3.496763943919454*^9, 3.4967639470873413`*^9}, {
   3.4967643011449747`*^9, 3.496764301404866*^9}, {3.496764560293414*^9, 
   3.496764560593334*^9}, {3.497120052067539*^9, 3.497120053951667*^9}, {
   3.49763763351392*^9, 3.497637634046999*^9}, {3.500328061164214*^9, 
   3.5003280617014093`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Display the noise operators acting on each processor for each of \
the nmax times",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.4965060321626577`*^9}, {3.497691682777525*^9, 3.4976918008255033`*^9}, {
   3.4980501437467613`*^9, 3.49805020629405*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"Hitdisplay", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"Replace", "[", 
       RowBox[{"hits", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "\[Rule]", "X"}], ",", 
          RowBox[{"2", "\[Rule]", "Y"}], ",", 
          RowBox[{"3", "\[Rule]", "Z"}], ",", 
          RowBox[{"4", "\[Rule]", "BML"}], ",", 
          RowBox[{"0", "\[Rule]", "1"}]}], "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Do", "[", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<ip=\>\"", ",", "i", ",", "\"\<  \>\"", ",", 
       RowBox[{"Hitdisplay", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.498049645635261*^9, 3.498050049159769*^9}, {
  3.498050086198988*^9, 3.498050086909449*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{"set", " ", "the", " ", "single", " ", "qubit", " ", 
    RowBox[{"matrix", "--"}], "user", " ", "can", " ", "change"}], " ", 
   "*)"}], "\[IndentingNewLine]", " ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"ss", "[", "0", "]"}], "=", 
     RowBox[{"s", "[", "0", "]"}]}], " ", ";"}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"ss", "[", "1", "]"}], "=", 
     RowBox[{"s", "[", "1", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ss", "[", "2", "]"}], "=", 
     RowBox[{"s", "[", "2", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ss", "[", "3", "]"}], "=", 
     RowBox[{"s", "[", "3", "]"}]}], " ", ";"}], "     ", 
   RowBox[{"(*", "  ", 
    RowBox[{
    "These", " ", "set", " ", "the", " ", "operators", " ", "as", " ", "the", 
     " ", "Pauli", " ", "matrices"}], " ", "*)"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.500328866392672*^9, 3.500328870865419*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Turned", " ", "off", "\[IndentingNewLine]", " ", "Wigner", " ", 
     "Rotation", " ", 
     RowBox[{"Function", "--"}], "used", " ", "to", " ", "represent", " ", 
     "a", "   ", "rotation", "  ", "with", " ", "Euler", " ", "angles", " ", 
     "a"}], ",", "b", ",", "c"}], "  ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UE1", "[", 
      RowBox[{"a_", ",", "b_", ",", "c_"}], "]"}], ":=", 
     RowBox[{
      RowBox[{"MatrixExp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], " ", "a", " ", 
        RowBox[{
         RowBox[{"s", "[", "3", "]"}], "/", "2"}]}], "]"}], ".", 
      RowBox[{"(", "\[NoBreak]", GridBox[{
         {
          RowBox[{"Cos", "[", 
           RowBox[{"b", "/", "2"}], "]"}], 
          RowBox[{"-", 
           RowBox[{"Sin", "[", 
            RowBox[{"b", "/", "2"}], "]"}]}]},
         {
          RowBox[{"Sin", "[", 
           RowBox[{"b", "/", "2"}], "]"}], 
          RowBox[{"Cos", "[", 
           RowBox[{"b", "/", "2"}], "]"}]}
        }], "\[NoBreak]", ")"}], ".", 
      RowBox[{"MatrixExp", "[", 
       RowBox[{
        RowBox[{"-", "I"}], " ", "c", " ", 
        RowBox[{
         RowBox[{"s", "[", "3", "]"}], "/", "2"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", "  ", 
    RowBox[{"Set", " ", 
     RowBox[{"ss", "[", "4", "]"}], " ", "as", " ", "the", " ", "Unitary", 
     " ", "rotation", " ", "matrix"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "  ", 
    RowBox[{
     RowBox[{"i4select", " ", "=", "0"}], ",", "  ", 
     RowBox[{
     "Fixed", " ", "random", " ", "unitary", " ", "rotation", " ", 
      "matrix"}]}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"(*", "  ", 
    RowBox[{
     RowBox[{"i4select", " ", "=", "0"}], ",", "  ", 
     RowBox[{
     "Variable", " ", "random", " ", "unitary", " ", "rotation", " ", 
      "matrix"}]}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"i4select", "=", 
     RowBox[{
      RowBox[{"1", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i4select", "\[Equal]", "0"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ss", "[", "4", "]"}], "  ", "=", 
          RowBox[{"UE1", "[", 
           RowBox[{
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"2", "  ", "Pi"}]}], "}"}], "]"}], ",", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", " ", "Pi"}], "}"}], "]"}], ",", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"2", "  ", "Pi"}]}], "}"}], "]"}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ss", "[", "4", "]"}], ":=", 
          RowBox[{"UE1", "[", 
           RowBox[{
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"2", "  ", "Pi"}]}], "}"}], "]"}], ",", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", " ", "Pi"}], "}"}], "]"}], ",", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"2", "  ", "Pi"}]}], "}"}], "]"}]}], "]"}]}]}], "]"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"ss", "[", "4", "]"}], "\[IndentingNewLine]", 
       RowBox[{"ss", "[", "4", "]"}], "\[IndentingNewLine]", 
       RowBox[{"ss", "[", "4", "]"}]}], "\[Equal]", 
      RowBox[{
       RowBox[{"ss", "[", "4", "]"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"i4select", "\[Equal]", "0"}], ",", 
         RowBox[{
         "Print", "[", "\"\< Fixed random unitary rotation matrix case\>\"", 
          "]"}], ",", " ", 
         RowBox[{
         "Print", "[", " ", 
          "\"\< Variable random unitary rotation matrix case\>\"", " ", 
          "]"}]}], "   ", "]"}]}]}]}], "\[IndentingNewLine]", " ", 
    "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.497213109544182*^9, 3.497213293342977*^9}, {
   3.4972146905090647`*^9, 3.497214756032043*^9}, {3.4972169218803473`*^9, 
   3.497216933948268*^9}, {3.497288086291628*^9, 3.497288149413479*^9}, {
   3.497289935129508*^9, 3.4972899677788258`*^9}, {3.497293005815218*^9, 
   3.497293040498558*^9}, {3.497371594211834*^9, 3.497371613258511*^9}, {
   3.4973719587997503`*^9, 3.49737219845863*^9}, {3.4973722377487164`*^9, 
   3.4973723051188717`*^9}, {3.497372367599409*^9, 3.497372373183412*^9}, {
   3.497372452224902*^9, 3.497372452437955*^9}, {3.4973724967721252`*^9, 
   3.497372539369987*^9}, {3.49737261729867*^9, 3.497372632469924*^9}, 
   3.497458664663566*^9, 3.497458738977158*^9, {3.497637131630937*^9, 
   3.497637135852684*^9}, {3.497637531204466*^9, 3.49763753563918*^9}, {
   3.497692008707378*^9, 3.497692019305822*^9}, {3.500236828051091*^9, 
   3.500236829747223*^9}, {3.500236867011257*^9, 3.500236902490037*^9}, {
   3.500485443023353*^9, 3.500485451553392*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Set up algorithm operators--in this case using Hadamard at step 1 \
and step 3--with noise  *)",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.4965060321626577`*^9}, {3.497691682777525*^9, 3.4976918008255033`*^9}, {
   3.4980501437467613`*^9, 3.49805020629405*^9}, {3.500330216581246*^9, 
   3.5003302689158077`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"OPSET0", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", "\[Rule]", 
        RowBox[{"s", "[", "0", "]"}]}], "}"}]}], " ", "]"}]}], " ", 
   RowBox[{"(*", "  ", 
    RowBox[{"No", " ", "algorithm"}], " ", "*)"}], " ", "\[IndentingNewLine]",
    " ", 
   RowBox[{
    RowBox[{"OPSETHad1", "=", 
     RowBox[{"ReplacePart", "[", 
      RowBox[{
       RowBox[{"Table", "[", " ", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], ",", 
         RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", "\[Rule]", "\[ScriptCapitalH]"}], "}"}]}], " ", "]"}]}], 
    " ", ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"Hadamard", "  ", "at", " ", "step", " ", "1", " ", "algorithm"}],
     " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{
    RowBox[{"OPSETHad3", "=", 
     RowBox[{"ReplacePart", "[", 
      RowBox[{
       RowBox[{"Table", "[", " ", 
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], ",", 
         RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"3", "\[Rule]", "\[ScriptCapitalH]"}], "}"}]}], " ", "]"}]}], 
    " ", ";"}], 
   RowBox[{"(*", " ", 
    RowBox[{"Hadamard", "  ", "at", " ", "step", " ", "3", " ", "algorithm"}],
     " ", "*)"}], "\[IndentingNewLine]", " ", 
   RowBox[{"OPSETHad13", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", " ", 
       RowBox[{
        RowBox[{"s", "[", "0", "]"}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "\[ScriptCapitalH]"}], ",", 
        RowBox[{"3", "\[Rule]", "\[ScriptCapitalH]"}]}], "}"}]}], " ", "]"}], 
    " ", 
    RowBox[{"(*", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Hadamard", "  ", "at", " ", "steps", " ", "1"}], " ", "&"}], 
      " ", "3", " ", "algorithm"}], " ", "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.4993647257935953`*^9, 3.499364744454376*^9}, {
   3.499364811407997*^9, 3.4993648116715918`*^9}, {3.4993648488668118`*^9, 
   3.499364890240953*^9}, {3.499364944582324*^9, 3.499364977907482*^9}, 
   3.49936502219632*^9, {3.4993650727854156`*^9, 3.499365166287236*^9}, {
   3.49936541002389*^9, 3.499365410621653*^9}, {3.499365532361596*^9, 
   3.499365532634253*^9}, {3.500327426408964*^9, 3.50032749561756*^9}, {
   3.500327534783738*^9, 3.500327572088135*^9}, {3.50032817268819*^9, 
   3.5003282167017517`*^9}, {3.500328272503098*^9, 3.5003282819401608`*^9}, 
   3.500328890116404*^9, {3.5003291360916557`*^9, 3.500329151693528*^9}, {
   3.500329248617345*^9, 3.500329252604331*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"iALG", "=", "4"}], "  ", 
   RowBox[{"(*", "   ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "4", " ", "picks", " ", "OPSETHad12", "  ", "Hadamards", " ", "at", " ",
        "steps", " ", "1"}], " ", "&"}], " ", "3"}], "  ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"OpSET", "=", 
     RowBox[{"{", " ", 
      RowBox[{
      "OPSET0", ",", " ", "OPSETHad1", ",", "OPSETHad3", ",", "OPSETHad13"}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"OpSET", "[", 
    RowBox[{"[", "iALG", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"OPA", "[", "i_", "]"}], ":=", 
    RowBox[{
     RowBox[{"OpSET", "[", 
      RowBox[{"[", "iALG", "]"}], "]"}], "[", 
     RowBox[{"[", "i", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5003282973671713`*^9, 3.500328302677463*^9}, {
   3.500328354305846*^9, 3.5003283636904087`*^9}, 3.500328524042612*^9, {
   3.5003291678943577`*^9, 3.5003293052327414`*^9}, {3.500329338148217*^9, 
   3.500329338479553*^9}, 3.500330286119631*^9}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Check on algorithm operators--in this case using Hadamard at step \
1 and step 3 *)",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.4965060321626577`*^9}, {3.497691682777525*^9, 3.4976918008255033`*^9}, {
   3.4980501437467613`*^9, 3.49805020629405*^9}, {3.500330216581246*^9, 
   3.5003302689158077`*^9}, {3.5003303034944572`*^9, 3.5003303161916513`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"OPA", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "4", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "nmax", "]"}]}], "Input",
 CellChangeTimes->{{3.5003293447286673`*^9, 3.500329371002742*^9}, 
   3.500330289602212*^9}]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Display sequence of hits on one qubit---these hits are \
distributed over the processors  and then another set of hits occur\nempty \
box (BM) signifies no hit\nbox with label (BML) signifies hit with random \
rotation",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.496505995136351*^9}, {3.496615261794373*^9, 3.4966152786833057`*^9}, {
   3.497692093776763*^9, 3.4976921598759193`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"hits", " "}], "\[IndentingNewLine]", 
 RowBox[{"hits", "[", 
  RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"mathits", "=", 
  RowBox[{"Transpose", "[", " ", 
   RowBox[{"Replace", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"hits", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "X"}], ",", 
       RowBox[{"2", "\[Rule]", "Y"}], ",", 
       RowBox[{"3", "\[Rule]", "Z"}], ",", 
       RowBox[{"4", "\[Rule]", "BML"}], ",", 
       RowBox[{"0", "\[Rule]", "BM"}]}], "}"}], ",", 
     RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"cir", "[", "i_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Circuit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mathits", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\< Hit 1 on Processor\>\"", ",", "i"}], "}"}], ",", 
        "18"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "250"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mat1", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", "  ", 
     RowBox[{"{", "BM", "}"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"cir", "[", "0", "]"}], "=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Circuit", "[", 
       RowBox[{"mat1", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\< No Hit on Processor\>\"", ",", "0"}], "}"}], ",", 
         "18"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"cir", "[", "i", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "nprocs"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", "   ", 
   RowBox[{"Here", " ", "O", 
    RowBox[{"(", "M", ")"}], " ", "denotes", " ", "use", " ", "of", " ", "a", 
    " ", "rotation", " ", "Unitary", " ", "matrix", " ", "on", " ", "a", " ", 
    "single", " ", "qubit"}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.496504943326274*^9, 3.496505039412764*^9}, {
   3.496505099779029*^9, 3.496505118625988*^9}, {3.496505583854644*^9, 
   3.4965056211775*^9}, {3.496505653367011*^9, 3.496505697243153*^9}, {
   3.4965738899347553`*^9, 3.49657389629421*^9}, {3.496573992838872*^9, 
   3.496574065456688*^9}, {3.496574141210359*^9, 3.496574167439905*^9}, {
   3.4965742270847473`*^9, 3.49657430201928*^9}, {3.4965748203858423`*^9, 
   3.496574827755837*^9}, {3.49659307011712*^9, 3.49659308610085*^9}, {
   3.496594626216771*^9, 3.496594672636257*^9}, {3.496594743980582*^9, 
   3.496594763241221*^9}, {3.496594794517994*^9, 3.496594795977439*^9}, {
   3.496613286123097*^9, 3.496613296358976*^9}, 3.496613350111458*^9, {
   3.496613586684084*^9, 3.496613587310359*^9}, {3.496613646323782*^9, 
   3.496613768634726*^9}, {3.496613811537271*^9, 3.496613922096334*^9}, {
   3.496613981652013*^9, 3.4966140618343067`*^9}, {3.496614094852242*^9, 
   3.4966141731003237`*^9}, {3.4966142225502443`*^9, 3.496614234862183*^9}, {
   3.496615066165094*^9, 3.4966150891117687`*^9}, {3.496615154124977*^9, 
   3.496615159762154*^9}, 3.496615308652122*^9, {3.496752482121711*^9, 
   3.4967525193071327`*^9}, 3.496752597510605*^9, {3.496756522901535*^9, 
   3.496756566361581*^9}, {3.496761381167039*^9, 3.496761397388748*^9}, {
   3.496761430855541*^9, 3.496761432118702*^9}, 3.4967641429702053`*^9, {
   3.497138279976165*^9, 3.4971383327253647`*^9}, {3.4971383789034843`*^9, 
   3.497138393625677*^9}, {3.497138441552794*^9, 3.497138442613385*^9}, 
   3.4971385263907757`*^9, {3.49721220975496*^9, 3.4972122552410192`*^9}, 
   3.49721355492117*^9, {3.497637803990856*^9, 3.497637809138297*^9}, {
   3.497637899466076*^9, 3.4976379175907784`*^9}, 3.500328712233693*^9}],

Cell[BoxData[{
 RowBox[{"hits", "[", 
  RowBox[{"[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mathits", "=", 
   RowBox[{"Transpose", "[", " ", 
    RowBox[{"Replace", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"hits", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", "X"}], ",", 
        RowBox[{"2", "\[Rule]", "Y"}], ",", 
        RowBox[{"3", "\[Rule]", "Z"}], ",", 
        RowBox[{"4", "\[Rule]", "BML"}], ",", 
        RowBox[{"0", "->", "BM"}]}], "}"}], ",", 
      RowBox[{"{", "2", "}"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"cir", "[", "i_", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Circuit", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"mathits", "[", 
         RowBox[{"[", "i", "]"}], "]"}], "}"}], ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<Hit 2 on Processor\>\"", ",", "i"}], "}"}], ",", "18"}],
        "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "250"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mat1", "=", 
   RowBox[{"Transpose", "[", 
    RowBox[{"{", "  ", 
     RowBox[{"{", "BM", "}"}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"cir", "[", "0", "]"}], "=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Circuit", "[", 
       RowBox[{"mat1", ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\< No Hit on Processor\>\"", ",", "0"}], "}"}], ",", 
         "18"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"cir", "[", "i", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "0", ",", "nprocs"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4966151023645687`*^9, 3.496615168874755*^9}, {
   3.496615215577157*^9, 3.496615234137936*^9}, 3.4966152917636013`*^9, {
   3.496752618724287*^9, 3.496752630131585*^9}, 3.496760843932619*^9, {
   3.496761448995266*^9, 3.496761456203329*^9}, 3.496764137760078*^9, {
   3.4971385402909937`*^9, 3.497138540826016*^9}, 3.497138573728712*^9, {
   3.497637930690611*^9, 3.4976379349621153`*^9}, {3.497638019540086*^9, 
   3.4976380703014812`*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Generate operators for use by processors",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{"hits", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ops", "[", "nt_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"ss", ",", 
     RowBox[{"hits", "[", 
      RowBox[{"[", "nt", "]"}], "]"}]}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"OP", "[", "nt", "]"}], "=", 
     RowBox[{"ops", "[", "nt", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"OP", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OP", "[", "1", "]"}], " "}]}], "Input",
 CellChangeTimes->{{3.49416277065478*^9, 3.494162794224424*^9}, {
   3.49417073772342*^9, 3.494170822956599*^9}, {3.494170894459161*^9, 
   3.494170894870469*^9}, {3.494170938496368*^9, 3.494170940368669*^9}, {
   3.494172770740006*^9, 3.4941728906354713`*^9}, 3.494173233548181*^9, {
   3.49417332107367*^9, 3.494173388536109*^9}, {3.494173545446604*^9, 
   3.494173563558818*^9}, {3.494173627475403*^9, 3.494173648896472*^9}, {
   3.4941736844209223`*^9, 3.49417368617166*^9}, {3.494173744736926*^9, 
   3.4941737521964893`*^9}, {3.494173982472283*^9, 3.4941739921221313`*^9}, {
   3.494174066412386*^9, 3.494174106937437*^9}, {3.4941905870069838`*^9, 
   3.494190592678314*^9}, {3.494190629831061*^9, 3.494190632503462*^9}, {
   3.494190927311035*^9, 3.494190938204857*^9}, {3.494238412916025*^9, 
   3.4942384282143583`*^9}, {3.4942400620932293`*^9, 3.49424006239151*^9}, 
   3.49424017935889*^9, {3.494240481094955*^9, 3.494240564518242*^9}, {
   3.494240659884009*^9, 3.494240734669097*^9}, {3.4942411688073893`*^9, 
   3.494241188866064*^9}, {3.494279011970008*^9, 3.494279012555831*^9}, {
   3.494280011046501*^9, 3.494280043755685*^9}, {3.494280226110653*^9, 
   3.494280227357388*^9}, {3.494437261793623*^9, 3.494437293134534*^9}, {
   3.494516769397023*^9, 3.494516781395734*^9}, {3.494689085026795*^9, 
   3.4946891051723337`*^9}, {3.494689336601584*^9, 3.49468936218606*^9}, {
   3.494689527588847*^9, 3.4946895711262627`*^9}, {3.494689609349737*^9, 
   3.4946896154595127`*^9}, {3.494690007874816*^9, 3.4946900477499933`*^9}, {
   3.4946903552029*^9, 3.494690373464164*^9}, {3.494690533853601*^9, 
   3.494690548274929*^9}, {3.4946905879526997`*^9, 3.4946905919501534`*^9}, {
   3.4946906299278812`*^9, 3.4946906523655443`*^9}, 3.4946906885911617`*^9, {
   3.4946907868657627`*^9, 3.4946907884385557`*^9}, {3.4946979569837513`*^9, 
   3.49469795722031*^9}, 3.494698008460985*^9, {3.494698296324444*^9, 
   3.4946983056978483`*^9}, {3.4947653514217463`*^9, 3.494765359606399*^9}, {
   3.494856426515624*^9, 3.4948564524901543`*^9}, {3.494856489778153*^9, 
   3.4948565363514347`*^9}, {3.494856621414098*^9, 3.494856759239958*^9}, {
   3.494856847442443*^9, 3.4948568482026377`*^9}, {3.494863070321773*^9, 
   3.4948631056708593`*^9}, {3.494868937716773*^9, 3.494868939325451*^9}, {
   3.494869128155241*^9, 3.4948691340902367`*^9}, {3.494870075307673*^9, 
   3.494870078146123*^9}, {3.4948707575603857`*^9, 3.49487081690792*^9}, {
   3.494870873586969*^9, 3.494870891884474*^9}, {3.49487100261266*^9, 
   3.4948710216836576`*^9}, {3.494871115574696*^9, 3.494871119771381*^9}, {
   3.494871253549794*^9, 3.494871306983831*^9}, 3.494871475112308*^9, {
   3.495370635809649*^9, 3.4953707868029222`*^9}, {3.495370902820114*^9, 
   3.495370938405271*^9}, {3.4953711051451883`*^9, 3.495371125478862*^9}, {
   3.4953714347879066`*^9, 3.495371435217848*^9}, {3.49537147533032*^9, 
   3.49537149725659*^9}, {3.495371528117509*^9, 3.495371528445044*^9}, {
   3.4953716894697657`*^9, 3.495371691191868*^9}, {3.49537700575069*^9, 
   3.495377057883614*^9}, {3.495377132085845*^9, 3.495377141383115*^9}, {
   3.495378993013692*^9, 3.495379063485567*^9}, {3.495379105274938*^9, 
   3.495379172736904*^9}, {3.495379316851654*^9, 3.495379324261878*^9}, {
   3.495379414977213*^9, 3.4953794610096607`*^9}, {3.4953827452940607`*^9, 
   3.495382782292512*^9}, {3.495382832508016*^9, 3.495382848854781*^9}, {
   3.4953828999696302`*^9, 3.4953829004051123`*^9}, 3.495383540968885*^9, {
   3.4953836183429832`*^9, 3.495383633292405*^9}, {3.495385280859687*^9, 
   3.495385296542768*^9}, {3.495385963993442*^9, 3.495385976691594*^9}, {
   3.495386014208441*^9, 3.4953860156796503`*^9}, {3.495386045721753*^9, 
   3.49538613108206*^9}, {3.4953861647822104`*^9, 3.495386308569124*^9}, {
   3.495386410346592*^9, 3.495386441747477*^9}, 3.49538647924783*^9, {
   3.4953865454794207`*^9, 3.495386737397354*^9}, {3.495386777207336*^9, 
   3.495386825031417*^9}, 3.495386906474539*^9, {3.495386955747382*^9, 
   3.495386986906959*^9}, {3.495387084346765*^9, 3.495387090720949*^9}, {
   3.495888869017643*^9, 3.4958888714427156`*^9}, {3.49588891547816*^9, 
   3.495888985565667*^9}, {3.4958890299426394`*^9, 3.4958890322652493`*^9}, {
   3.495890586021161*^9, 3.495890599118679*^9}, {3.495916053292841*^9, 
   3.495916175953679*^9}, {3.4959162095218363`*^9, 3.4959162117805634`*^9}, {
   3.495995321901293*^9, 3.495995323975334*^9}, {3.4965004526612263`*^9, 
   3.496500460786418*^9}, {3.49650051561239*^9, 3.496500529031987*^9}, {
   3.496500600772896*^9, 3.496500649820587*^9}, {3.4965007015361443`*^9, 
   3.496500749985518*^9}, {3.496500782870304*^9, 3.496500783332368*^9}, {
   3.4965023957458076`*^9, 3.4965023968835783`*^9}, {3.4965028643622513`*^9, 
   3.49650286468473*^9}, {3.496503894919446*^9, 3.49650390967362*^9}, {
   3.49650421691405*^9, 3.496504220173747*^9}, {3.496504406252282*^9, 
   3.4965044099984426`*^9}, {3.4965045677522707`*^9, 3.496504571162121*^9}, {
   3.4965048363377533`*^9, 3.496504849662174*^9}, 3.496505721828691*^9, {
   3.4967630937809362`*^9, 3.496763117985387*^9}, {3.4967632162567043`*^9, 
   3.496763232516168*^9}, {3.496763272955518*^9, 3.496763323903749*^9}, {
   3.496763554343915*^9, 3.4967637091534977`*^9}, {3.496763762794072*^9, 
   3.496763770503489*^9}, {3.4967639948305063`*^9, 3.496764006154397*^9}, {
   3.497089658583578*^9, 3.497089663731779*^9}, 3.4972133212809258`*^9, {
   3.497213365507457*^9, 3.49721336859315*^9}, {3.497213415744603*^9, 
   3.497213416842751*^9}, {3.497214492796441*^9, 3.4972144933824368`*^9}, {
   3.497284033816927*^9, 3.497284067929077*^9}, {3.497284184106477*^9, 
   3.497284220166984*^9}, {3.497284315883833*^9, 3.497284328680066*^9}, {
   3.4972843626581287`*^9, 3.497284404530755*^9}, {3.4972844667710857`*^9, 
   3.497284491193242*^9}, {3.4972900615577307`*^9, 3.497290088627632*^9}, {
   3.4973714288764467`*^9, 3.497371502485037*^9}, {3.497692277204484*^9, 
   3.497692278739739*^9}, {3.4976923378652477`*^9, 3.497692341103551*^9}, 
   3.500328762890914*^9}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"check", " ", "up", " ", "steps", " ", 
   RowBox[{
    RowBox[{"OP", "[", "1", "]"}], "[", 
    RowBox[{"[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Adj", "[", 
    RowBox[{
     RowBox[{"OP", "[", "1", "]"}], "[", 
     RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"OP", "[", "2", "]"}], "\[IndentingNewLine]", 
   RowBox[{"OP", "[", "2", "]"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.497371766512671*^9, 3.497371828064403*^9}, {
  3.497692291190359*^9, 3.4976923133902817`*^9}}],

Cell["If Idebug=1 Turn on debugging:  ", "MathCaption",
 CellChangeTimes->{{3.494946446916541*^9, 3.494946451263776*^9}, {
  3.494946682154512*^9, 3.49494671282662*^9}}],

Cell[BoxData[{
 RowBox[{"Idebug", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", " ", 
      RowBox[{"Tracers", " ", "\[Rule]", " ", 
       RowBox[{"{", "SendReceive", "}"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", 
      RowBox[{"TraceHandler", " ", "\[Rule]", " ", 
       RowBox[{"(", "\"\<Save\>\"", ")"}]}]}], "]"}], ","}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4949465438003683`*^9, 3.4949466171533813`*^9}, {
  3.498219287077449*^9, 3.498219287274788*^9}, {3.498247519666648*^9, 
  3.4982475201711283`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", 
    RowBox[{"hits", ",", "OP"}], "}"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.4973718471252413`*^9, 3.497371847318022*^9}, 
   3.4976923531159782`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Density matrix evolves on each processor with it particular noise \
scenario.\nAfter each step an ensembel average is formed and used as the \
initial sate for the subsequent set of hits  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"denE", "[", "0", "]"}], "=", 
  RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"denE", "[", "nv_", "]"}], ":=", 
  RowBox[{
   RowBox[{"denE", "[", "nv", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"prob", "*", 
       RowBox[{"denE", "[", 
        RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
      RowBox[{"eps", "*", 
       RowBox[{"WaitAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"ParallelSubmit", "[", 
           RowBox[{
            RowBox[{"{", "i", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"OP", "[", "nv", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"denE", "[", 
                RowBox[{"nv", "-", "1"}], "]"}], ".", 
               RowBox[{"Adj", "[", " ", 
                RowBox[{
                 RowBox[{"OP", "[", "nv", "]"}], "[", 
                 RowBox[{"[", "i", "]"}], "]"}], " ", "]"}]}], ")"}]}]}], " ",
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}], "]"}]}]}], 
     ")"}], ".", " ", 
    RowBox[{"(", 
     RowBox[{"Adj", "[", 
      RowBox[{"OPA", "[", "nv", "]"}], "]"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.496763792694566*^9, 
   3.496763802106386*^9}, {3.497290995884405*^9, 3.4972910228932858`*^9}, {
   3.497371859220502*^9, 3.497371865719393*^9}, 3.500327733617538*^9, 
   3.5003295076804447`*^9, {3.500331342361352*^9, 3.5003313567718887`*^9}, {
   3.500331471234221*^9, 3.500331474583988*^9}, {3.5003326701731358`*^9, 
   3.5003326818468933`*^9}, {3.500332768462654*^9, 3.500332804399489*^9}, {
   3.500372826292037*^9, 3.500372851162318*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form  note <0| denE   |0>  is at lower \
left corner.",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}, {3.5003303601537313`*^9, 3.500330429029579*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
   "Matrix", " ", "Plot", "  ", "Note", "  ", "origin", " ", "at", " ", 
    "upper", " ", "LHS"}], "   ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"creal", "[", "nm_", "]"}], ":=", 
     RowBox[{"MatrixPlot", "[", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}]}], " ", 
      "]"}]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cim", "[", "nm_", "]"}], ":=", 
     RowBox[{"MatrixPlot", "[", 
      RowBox[{
       RowBox[{"Im", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"GraphicsRow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"creal", "[", "i", "]"}], ",", 
         RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListAnimate", "[", "%", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.5035835993670387`*^9, 3.5035836084420652`*^9}, {3.503583696500198*^9, 
   3.503583703254157*^9}, {3.50358382690807*^9, 3.5035838554572783`*^9}, {
   3.503583929834236*^9, 3.5035839465549603`*^9}},
 CellID->2131832492],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
   "Alternate", " ", "Contour", " ", "Plot", "  ", "Note", "  ", "origin", 
    " ", "at", " ", "lower", " ", "LHS"}], "   ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{
     RowBox[{"creal", "[", "nm_", "]"}], ":=", 
     RowBox[{"ListContourPlot", "[", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
       RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cim", "[", "nm_", "]"}], ":=", 
     RowBox[{"ListContourPlot", "[", 
      RowBox[{
       RowBox[{"Im", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
       RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"GraphicsRow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"creal", "[", "i", "]"}], ",", 
         RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ListAnimate", "[", "%", "]"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.503583614266103*^9, 3.503583644579988*^9}, {3.503583896054229*^9, 
   3.503583918367854*^9}, {3.5035840263967237`*^9, 3.5035840306058197`*^9}},
 CellID->21267],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) check \
trace at  selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.500330444831482*^9, 
   3.500330449329584*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE", "[", "1", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE", "[", "2", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE", "[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE", "[", "nmax", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500329757720772*^9, 3.500329791292101*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
  3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
  3.499355664193726*^9}}],

Cell["If Idebug=1 Turn on debugging:", "MathCaption",
 CellChangeTimes->{{3.4949467574156513`*^9, 3.494946758665266*^9}, {
  3.4976934655932083`*^9, 3.497693465952642*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
   RowBox[{"TableForm", "[", 
    RowBox[{
     RowBox[{"TraceList", "[", "]"}], ",", 
     RowBox[{"TableDepth", " ", "->", " ", "2"}], ",", 
     RowBox[{"TableHeadings", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"\"\<Trigger\>\"", ",", "\"\<Event\>\""}], "}"}]}], 
       "}"}]}]}], "]"}], ","}], "]"}]], "Input",
 CellChangeTimes->{{3.4949466270302563`*^9, 3.49494663779139*^9}}],

Cell["If Idebug=1 Turn off debugging:", "MathCaption",
 CellChangeTimes->{{3.4949467574156513`*^9, 3.494946758665266*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"If", "[", " ", 
   RowBox[{
    RowBox[{"Idebug", "=", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", " ", 
      RowBox[{"Tracers", " ", "\[Rule]", " ", 
       RowBox[{"{", "}"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", " ", 
   RowBox[{
    RowBox[{"Idebug", "=", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", 
      RowBox[{"TraceHandler", " ", "\[Rule]", " ", 
       RowBox[{"(", "\"\<Print\>\"", ")"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.49494673089739*^9, 3.494946752942459*^9}, {
  3.4950456136740637`*^9, 3.495045621484417*^9}}],

Cell[TextData[StyleBox["Look at Polarizations at selected steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692590276593*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"POLPF", "[", "nv_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   StyleBox[
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"s", "[", "i", "]"}], ")"}], ".", 
        RowBox[{"denE", "[", "nv", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<======== nt =0 ======================\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"nt", "=", "0"}]}], "\[IndentingNewLine]", 
 RowBox[{"POLPF", "[", "nt", "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"denE", "[", "nt", "]"}], ".", 
     RowBox[{"denE", "[", "nt", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"POLPF", "[", "nt", "]"}], ".", 
  RowBox[{"POLPF", "[", "nt", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<======== nt =1 ======================\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"nt", "=", "1"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"POLPF", "[", "nt", "]"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"Chop", "[", 
   RowBox[{"Tr", "[", 
    RowBox[{
     RowBox[{"denE", "[", "nt", "]"}], ".", 
     RowBox[{"denE", "[", "nt", "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"POLPF", "[", "nt", "]"}], ".", 
  RowBox[{"POLPF", "[", "nt", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<======== nt =6 ======================\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"nt", "=", 
  RowBox[{"nmax", "-", "3"}]}], "\[IndentingNewLine]", 
 RowBox[{"POLPF", "[", "nt", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"denE", "[", "nt", "]"}], ".", 
    RowBox[{"denE", "[", "nt", "]"}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"POLPF", "[", "nt", "]"}], ".", 
   RowBox[{"POLPF", "[", "nt", "]"}]}], "  "}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", "\"\<======== nt =nmax ======================\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"nt", "=", "nmax"}], "\[IndentingNewLine]", 
 RowBox[{"POLPF", "[", "nt", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{
    RowBox[{"denE", "[", "nt", "]"}], ".", 
    RowBox[{"denE", "[", "nt", "]"}]}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"POLPF", "[", "nt", "]"}], ".", 
   RowBox[{"POLPF", "[", "nt", "]"}]}], "  ", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"POLP0", "=", 
   RowBox[{"POLPF", "[", "0", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495387729197234*^9, 3.495387734681443*^9}, {
  3.495389840212989*^9, 3.495389845989798*^9}, {3.495887848205488*^9, 
  3.4958878482722197`*^9}, {3.496400306846376*^9, 3.49640030955704*^9}, {
  3.496506084994113*^9, 3.4965061000838337`*^9}, {3.49713786043815*^9, 
  3.497137865831946*^9}, {3.4971381968862143`*^9, 3.497138220235124*^9}, {
  3.497191538801319*^9, 3.4971915444860992`*^9}, {3.497191606527783*^9, 
  3.497191726690578*^9}, {3.497637513502936*^9, 3.497637518236444*^9}}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Display initial and final Polarization vectors for single qubit\n \
 starting in a pure initial state and subject to errors   ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.4976926270642138`*^9, 
   3.49769265181459*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"av", "=", 
    RowBox[{"{", 
     RowBox[{"Red", ",", 
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "POLP0"}], "}"}], 
       "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"bv", "=", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"POLPF", "[", "60", "]"}]}], "}"}], "]"}]}], "}"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"cv", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"POLPF", "[", "100", "]"}]}], "}"}], "]"}]}], "}"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"av", ",", "bv", ",", "cv"}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PopupWindow", "[", 
         RowBox[{
          RowBox[{
          "Button", "[", "\"\<Compare polarizations--click here\>\"", "]"}], 
          ",", "#"}], "]"}], "&"}], ")"}]}]}], "]"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.494867727870942*^9, 3.494867736570022*^9}, {
  3.494867849372727*^9, 3.494867909334606*^9}, {3.49486826817771*^9, 
  3.494868270575214*^9}, {3.494869218203514*^9, 3.4948692199783573`*^9}, {
  3.494871212201182*^9, 3.494871217034082*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"av", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "POLP0"}], "}"}], 
      "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bv", "=", 
   RowBox[{"{", 
    RowBox[{"Sphere", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "  ", ".04"}], "]"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plot0", "[", "np_", "]"}], ":=", 
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"av", ",", "bv", ",", 
        RowBox[{"{", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"POLPF", "[", "np", "]"}]}], "}"}], "]"}], "}"}]}], "}"}],
       ",", 
      RowBox[{"ImageSize", "\[Rule]", "500"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Map", "[", 
   RowBox[{"plot0", ",", 
    RowBox[{"Range", "[", 
     RowBox[{"1", ",", "nmax", ",", "1"}], "]"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListAnimate", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.494276866940551*^9, 3.4942769281884117`*^9}, {
   3.49427740111581*^9, 3.49427747180373*^9}, {3.4942776241169024`*^9, 
   3.4942777108727283`*^9}, {3.494277867416295*^9, 3.494277927213951*^9}, {
   3.4942785988173237`*^9, 3.494278599293418*^9}, {3.494438106812636*^9, 
   3.494438108847288*^9}, {3.4944381803258247`*^9, 3.4944382699332542`*^9}, 
   3.4944390841896067`*^9, {3.494439135520074*^9, 3.494439345890506*^9}, {
   3.494439378375228*^9, 3.494439384060701*^9}, {3.494454003588603*^9, 
   3.494454009717636*^9}, {3.494524610587749*^9, 3.494524611423686*^9}, {
   3.494524650212845*^9, 3.494524699770535*^9}, {3.494524731889183*^9, 
   3.494524836061379*^9}, {3.494524866851424*^9, 3.494524893261972*^9}, {
   3.4945249367887897`*^9, 3.494524949426519*^9}, {3.4945253378161697`*^9, 
   3.494525533502933*^9}, {3.4945256042166758`*^9, 3.494525774402556*^9}, {
   3.494525814037311*^9, 3.494525845361929*^9}, {3.49467992731441*^9, 
   3.4946799318220882`*^9}, {3.494688264508417*^9, 3.494688265383964*^9}, {
   3.4947008858660603`*^9, 3.494700887841652*^9}, 3.4947021125582848`*^9, 
   3.49470586818433*^9, 3.4947062225600967`*^9, {3.494800844860025*^9, 
   3.494800856206389*^9}, {3.494867742085087*^9, 3.4948677489467983`*^9}, {
   3.496505873482212*^9, 3.496505891936109*^9}},
 CellID->1733570887],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity =\>\"", ",", 
   RowBox[{"Re", "[", 
    RowBox[{"FidelityB", "[", 
     RowBox[{
      RowBox[{"denE", "[", "0", "]"}], ",", 
      RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}]}], " ", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"Purity", "[", 
     RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495199587604671*^9, 3.4951996638892803`*^9}, {3.4951997532173223`*^9, 
   3.4951999049415827`*^9}, {3.495208997557293*^9, 3.495209016979753*^9}, {
   3.495209139314391*^9, 3.495209156943821*^9}, {3.495212758323049*^9, 
   3.495212760920166*^9}, {3.495224521415803*^9, 3.495224544766876*^9}, {
   3.495225671616219*^9, 3.495225717726474*^9}, 3.495225752691827*^9, {
   3.495225813304409*^9, 3.495225853327003*^9}, {3.4952259056424007`*^9, 
   3.4952259312027197`*^9}, {3.495226037181706*^9, 3.4952260538538837`*^9}, 
   3.49530350152936*^9, {3.495887848325262*^9, 3.495887848339428*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi+\>\"", ",", 
     "\"\<PsiR-Test\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE", "[", "i", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.495141960092395*^9, 
   3.495141979703484*^9}, {3.495142059456081*^9, 3.495142100706456*^9}, {
   3.495199487855076*^9, 3.495199516363948*^9}, {3.495199942831943*^9, 
   3.495199951604372*^9}, 3.495200008857607*^9, {3.4952004466636066`*^9, 
   3.495200462909317*^9}, 3.4952088520298433`*^9, {3.4952128916997957`*^9, 
   3.495212962635654*^9}, {3.495215094990451*^9, 3.495215100427023*^9}, {
   3.49521524854214*^9, 3.495215272391121*^9}, {3.495215723432747*^9, 
   3.495215742248632*^9}, {3.495215960336184*^9, 3.49521604611265*^9}, 
   3.495216376424021*^9, {3.495224376403467*^9, 3.495224416137032*^9}, {
   3.4952250849653873`*^9, 3.495225102432782*^9}, 3.495225205812263*^9, {
   3.495225244012205*^9, 3.495225251258906*^9}, {3.495225955104743*^9, 
   3.495225958328828*^9}, {3.495281090658483*^9, 3.495281093717545*^9}, {
   3.4952819676331167`*^9, 3.495281967917386*^9}, {3.4952842344970293`*^9, 
   3.4952842348446913`*^9}, {3.495284318409109*^9, 3.495284450621272*^9}, 
   3.495284485613636*^9, {3.4952845267740707`*^9, 3.495284551146998*^9}, {
   3.495284808611845*^9, 3.495284851082632*^9}, {3.49528493793608*^9, 
   3.495285047858371*^9}, {3.49528510149804*^9, 3.495285159731058*^9}, 
   3.495285200795356*^9, {3.49528534957242*^9, 3.4952853676204243`*^9}, {
   3.495285418560351*^9, 3.495285424844674*^9}, {3.49530351389007*^9, 
   3.4953035221642303`*^9}, {3.49530355420469*^9, 3.495303557888907*^9}, {
   3.4953053710694532`*^9, 3.495305375354546*^9}, {3.495305576011753*^9, 
   3.495305615300384*^9}, {3.495887848372353*^9, 3.495887848377862*^9}, {
   3.4958881474001293`*^9, 3.495888154263418*^9}, 3.497090651360447*^9, {
   3.4970907205286713`*^9, 3.4970907240335903`*^9}, 3.497213508256093*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.4952089078944387`*^9, 
   3.495208953478641*^9}, {3.495209606127068*^9, 3.495209630073695*^9}, {
   3.495212827348857*^9, 3.495212834695804*^9}, {3.495215133201866*^9, 
   3.495215137339095*^9}, {3.495215206154755*^9, 3.4952152372280693`*^9}, {
   3.49521536874459*^9, 3.495215379441617*^9}, {3.495215460381509*^9, 
   3.495215474541823*^9}, {3.495215582558172*^9, 3.49521558629237*^9}, 
   3.495215684243957*^9, {3.495215823547577*^9, 3.4952158727327213`*^9}, 
   3.495216373623508*^9, 3.495225301929319*^9, 3.495225598925127*^9, {
   3.495285241969222*^9, 3.495285253844757*^9}, {3.4953115419385567`*^9, 
   3.495311545497931*^9}, {3.495887848381168*^9, 3.495887848391912*^9}, {
   3.495888160925668*^9, 3.495888165842348*^9}, {3.496070030385357*^9, 
   3.4960700497171173`*^9}, 3.496482644787977*^9, {3.496505782229088*^9, 
   3.4965057844770603`*^9}, 3.497090655045446*^9, 3.497090772861899*^9, 
   3.497213504091164*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat6", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat5", ",", "dat6"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.4952127910241413`*^9, 
   3.495212818507793*^9}, {3.495215384254344*^9, 3.495215389178021*^9}, {
   3.495215616635469*^9, 3.4952156292927628`*^9}, 3.495215682458003*^9, {
   3.4952159119973593`*^9, 3.495215916994616*^9}, 3.495216370338541*^9, 
   3.495225294928844*^9, 3.495225592789659*^9, {3.495285258482171*^9, 
   3.495285268531568*^9}, {3.495311525610944*^9, 3.4953115376290503`*^9}, {
   3.495887848395203*^9, 3.495887848404827*^9}, {3.4958881709502*^9, 
   3.4958881789874783`*^9}, 3.497090658558374*^9, {3.4972134869336853`*^9, 
   3.4972134990929327`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9, {3.495284860706128*^9, 3.495284890356498*^9}, {
   3.49530357050132*^9, 3.4953035762629337`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"iEC", "=", "1"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"0", "  ", "stops"}], ",", " ", 
    RowBox[{
    "nonzero", " ", "go", " ", "on", " ", "to", " ", "error", " ", 
     "correction", " ", "steps"}]}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"iEC", "\[Equal]", "0"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"CloseKernels", "[", "]"}], ";", " ", 
      RowBox[{"Quit", "[", "]"}]}], "}"}], " ", ","}], " ", "]"}], 
  " "}]}], "Input",
 CellChangeTimes->{{3.50048471202919*^9, 3.5004847499155903`*^9}, {
  3.500484806981812*^9, 3.500484812678213*^9}, {3.500485007794156*^9, 
  3.5004850138168383`*^9}, {3.500485129124385*^9, 3.500485129778846*^9}, {
  3.5004851730934553`*^9, 3.500485201418906*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Repeat Process with simulated error correction (EC),  by which we \
mean that selected noise operators are set to unit operator s[0]  X errors \
off   double click right up arrow to open",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}, {
   3.500330496330843*^9, 3.500330571929626*^9}, {3.500371495610888*^9, 
   3.500371505996072*^9}, {3.500484601867663*^9, 3.5004846172137833`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "ss", "]"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
   "reset", " ", "noise", " ", "operators", " ", "as", " ", "a", " ", "way", 
    " ", "to", " ", "simulate", " ", "EC"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{"set", " ", "the", " ", "single", " ", "qubit", " ", 
    RowBox[{"matrix", "--"}], "user", " ", "can", " ", "change"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "0", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], " ", ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "1", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "X"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "2", "]"}], "=", 
    RowBox[{"s", "[", "2", "]"}]}], ";"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Y"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "3", "]"}], "=", 
    RowBox[{"s", "[", "3", "]"}]}], " ", ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Z"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", "off", "  ", 
     RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], "  ", "turn", " ", "on", " ", 
      RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
     RowBox[{"s", "[", "i", "]"}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.500328866392672*^9, 3.500328870865419*^9}, {
  3.5003309128217793`*^9, 3.5003309357820377`*^9}, {3.5003310654606113`*^9, 
  3.500331069906438*^9}, {3.500331200221654*^9, 3.500331264744377*^9}, {
  3.5003329820741863`*^9, 3.50033299444776*^9}, {3.500333116411603*^9, 
  3.500333122270935*^9}, {3.5003334753971567`*^9, 3.500333565272149*^9}, {
  3.500372009743245*^9, 3.500372010576458*^9}}],

Cell[BoxData[{"hits", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ops2", "[", "nt_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"ss", ",", 
     RowBox[{"hits", "[", 
      RowBox[{"[", "nt", "]"}], "]"}]}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"OP2", "[", "nt", "]"}], "=", 
     RowBox[{"ops2", "[", "nt", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.500331452046872*^9, 3.5003314568443203`*^9}, {
  3.500331549748176*^9, 3.500331553219899*^9}, {3.500333470350136*^9, 
  3.5003334708401937`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", "OP2", "}"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.4973718471252413`*^9, 3.497371847318022*^9}, 
   3.4976923531159782`*^9, {3.500331460369585*^9, 3.500331464669223*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Density matrix evolves on each processor with it particular noise \
scenario.\nAfter each step an ensembel average is formed and used as the \
initial sate for the subsequent set of hits  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"denE2", "[", "0", "]"}], "=", 
  RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"denE2", "[", "nv_", "]"}], ":=", 
  RowBox[{
   RowBox[{"denE2", "[", "nv", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"prob", "*", 
       RowBox[{"denE2", "[", 
        RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
      RowBox[{"eps", "*", 
       RowBox[{"WaitAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"ParallelSubmit", "[", 
           RowBox[{
            RowBox[{"{", "i", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"OP2", "[", "nv", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"denE2", "[", 
                RowBox[{"nv", "-", "1"}], "]"}], ".", 
               RowBox[{"Adj", "[", " ", 
                RowBox[{
                 RowBox[{"OP2", "[", "nv", "]"}], "[", 
                 RowBox[{"[", "i", "]"}], "]"}], " ", "]"}]}], ")"}]}]}], " ",
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}], "]"}]}]}], 
     ")"}], ".", " ", 
    RowBox[{"(", 
     RowBox[{"Adj", "[", 
      RowBox[{"OPA", "[", "nv", "]"}], "]"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.496763792694566*^9, 
   3.496763802106386*^9}, {3.497290995884405*^9, 3.4972910228932858`*^9}, {
   3.497371859220502*^9, 3.497371865719393*^9}, 3.500327733617538*^9, 
   3.5003295076804447`*^9, {3.500331342361352*^9, 3.5003313567718887`*^9}, {
   3.500331471234221*^9, 3.500331474583988*^9}, {3.5003326701731358`*^9, 
   3.5003326818468933`*^9}, {3.500332768462654*^9, 3.500332804399489*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form  note <0| denE   |0>  is at lower \
left corner.",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}, {3.5003303601537313`*^9, 3.500330429029579*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"creal", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"denE2", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cim", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Im", "[", 
      RowBox[{"denE2", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"GraphicsRow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creal", "[", "i", "]"}], ",", 
       RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListAnimate", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.500331360502164*^9, 3.500331362883295*^9}},
 CellID->1793255356],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500331366907505*^9, 3.500331373306738*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) check \
trace at  selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.500330444831482*^9, 
   3.500330449329584*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE2", "[", "1", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE2", "[", "2", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE2", "[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE2", "[", "nmax", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500329757720772*^9, 3.500329791292101*^9}, {3.500331376358115*^9, 
  3.500331385306431*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE2", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
   3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
   3.499355664193726*^9}, 3.500331765822489*^9}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE2", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}, 3.500331770137115*^9}],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity =\>\"", ",", 
   RowBox[{"Re", "[", 
    RowBox[{"FidelityB", "[", 
     RowBox[{
      RowBox[{"denE2", "[", "0", "]"}], ",", 
      RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}]}], " ", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"Purity", "[", 
     RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495199587604671*^9, 3.4951996638892803`*^9}, {3.4951997532173223`*^9, 
   3.4951999049415827`*^9}, {3.495208997557293*^9, 3.495209016979753*^9}, {
   3.495209139314391*^9, 3.495209156943821*^9}, {3.495212758323049*^9, 
   3.495212760920166*^9}, {3.495224521415803*^9, 3.495224544766876*^9}, {
   3.495225671616219*^9, 3.495225717726474*^9}, 3.495225752691827*^9, {
   3.495225813304409*^9, 3.495225853327003*^9}, {3.4952259056424007`*^9, 
   3.4952259312027197`*^9}, {3.495226037181706*^9, 3.4952260538538837`*^9}, 
   3.49530350152936*^9, {3.495887848325262*^9, 3.495887848339428*^9}, {
   3.500372427575163*^9, 3.500372431585981*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi+\>\"", ",", 
     "\"\<PsiR-Test\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE2", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE2", "[", "i", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.495141960092395*^9, 
   3.495141979703484*^9}, {3.495142059456081*^9, 3.495142100706456*^9}, {
   3.495199487855076*^9, 3.495199516363948*^9}, {3.495199942831943*^9, 
   3.495199951604372*^9}, 3.495200008857607*^9, {3.4952004466636066`*^9, 
   3.495200462909317*^9}, 3.4952088520298433`*^9, {3.4952128916997957`*^9, 
   3.495212962635654*^9}, {3.495215094990451*^9, 3.495215100427023*^9}, {
   3.49521524854214*^9, 3.495215272391121*^9}, {3.495215723432747*^9, 
   3.495215742248632*^9}, {3.495215960336184*^9, 3.49521604611265*^9}, 
   3.495216376424021*^9, {3.495224376403467*^9, 3.495224416137032*^9}, {
   3.4952250849653873`*^9, 3.495225102432782*^9}, 3.495225205812263*^9, {
   3.495225244012205*^9, 3.495225251258906*^9}, {3.495225955104743*^9, 
   3.495225958328828*^9}, {3.495281090658483*^9, 3.495281093717545*^9}, {
   3.4952819676331167`*^9, 3.495281967917386*^9}, {3.4952842344970293`*^9, 
   3.4952842348446913`*^9}, {3.495284318409109*^9, 3.495284450621272*^9}, 
   3.495284485613636*^9, {3.4952845267740707`*^9, 3.495284551146998*^9}, {
   3.495284808611845*^9, 3.495284851082632*^9}, {3.49528493793608*^9, 
   3.495285047858371*^9}, {3.49528510149804*^9, 3.495285159731058*^9}, 
   3.495285200795356*^9, {3.49528534957242*^9, 3.4952853676204243`*^9}, {
   3.495285418560351*^9, 3.495285424844674*^9}, {3.49530351389007*^9, 
   3.4953035221642303`*^9}, {3.49530355420469*^9, 3.495303557888907*^9}, {
   3.4953053710694532`*^9, 3.495305375354546*^9}, {3.495305576011753*^9, 
   3.495305615300384*^9}, {3.495887848372353*^9, 3.495887848377862*^9}, {
   3.4958881474001293`*^9, 3.495888154263418*^9}, 3.497090651360447*^9, {
   3.4970907205286713`*^9, 3.4970907240335903`*^9}, 3.497213508256093*^9, {
   3.50033180922078*^9, 3.5003318108590803`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE2", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.4952089078944387`*^9, 
   3.495208953478641*^9}, {3.495209606127068*^9, 3.495209630073695*^9}, {
   3.495212827348857*^9, 3.495212834695804*^9}, {3.495215133201866*^9, 
   3.495215137339095*^9}, {3.495215206154755*^9, 3.4952152372280693`*^9}, {
   3.49521536874459*^9, 3.495215379441617*^9}, {3.495215460381509*^9, 
   3.495215474541823*^9}, {3.495215582558172*^9, 3.49521558629237*^9}, 
   3.495215684243957*^9, {3.495215823547577*^9, 3.4952158727327213`*^9}, 
   3.495216373623508*^9, 3.495225301929319*^9, 3.495225598925127*^9, {
   3.495285241969222*^9, 3.495285253844757*^9}, {3.4953115419385567`*^9, 
   3.495311545497931*^9}, {3.495887848381168*^9, 3.495887848391912*^9}, {
   3.495888160925668*^9, 3.495888165842348*^9}, {3.496070030385357*^9, 
   3.4960700497171173`*^9}, 3.496482644787977*^9, {3.496505782229088*^9, 
   3.4965057844770603`*^9}, 3.497090655045446*^9, 3.497090772861899*^9, 
   3.497213504091164*^9, {3.5003318140455427`*^9, 3.500331815421035*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat6", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE2", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat5", ",", "dat6"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.4952127910241413`*^9, 
   3.495212818507793*^9}, {3.495215384254344*^9, 3.495215389178021*^9}, {
   3.495215616635469*^9, 3.4952156292927628`*^9}, 3.495215682458003*^9, {
   3.4952159119973593`*^9, 3.495215916994616*^9}, 3.495216370338541*^9, 
   3.495225294928844*^9, 3.495225592789659*^9, {3.495285258482171*^9, 
   3.495285268531568*^9}, {3.495311525610944*^9, 3.4953115376290503`*^9}, {
   3.495887848395203*^9, 3.495887848404827*^9}, {3.4958881709502*^9, 
   3.4958881789874783`*^9}, 3.497090658558374*^9, {3.4972134869336853`*^9, 
   3.4972134990929327`*^9}, {3.500331818645898*^9, 3.5003318202082157`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9, {3.495284860706128*^9, 3.495284890356498*^9}, {
   3.49530357050132*^9, 3.4953035762629337`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Repeat Process with simulated error correction (EC),  by which we \
mean that selected noise operators are set to unit operator s[0]   X & Y \
errors off  double click right up arrow to open",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}, {
   3.500330496330843*^9, 3.500330571929626*^9}, {3.500371509183474*^9, 
   3.5003715263719254`*^9}, {3.500484626815177*^9, 3.500484627665003*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "ss", "]"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
   "reset", " ", "noise", " ", "operators", " ", "as", " ", "a", " ", "way", 
    " ", "to", " ", "simulate", " ", "EC"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{"set", " ", "the", " ", "single", " ", "qubit", " ", 
    RowBox[{"matrix", "--"}], "user", " ", "can", " ", "change"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "0", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], " ", ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "1", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "X"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "2", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Y"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "3", "]"}], "=", 
    RowBox[{"s", "[", "3", "]"}]}], " ", ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Z"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", "off", "  ", 
     RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], "  ", "turn", " ", "on", " ", 
      RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
     RowBox[{"s", "[", "i", "]"}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.500328866392672*^9, 3.500328870865419*^9}, {
  3.5003309128217793`*^9, 3.5003309357820377`*^9}, {3.5003310654606113`*^9, 
  3.500331069906438*^9}, {3.500331200221654*^9, 3.500331264744377*^9}, {
  3.5003329820741863`*^9, 3.50033299444776*^9}, {3.500333116411603*^9, 
  3.500333122270935*^9}, {3.5003334753971567`*^9, 3.500333565272149*^9}}],

Cell[BoxData[{"hits", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ops3", "[", "nt_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"ss", ",", 
     RowBox[{"hits", "[", 
      RowBox[{"[", "nt", "]"}], "]"}]}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"OP3", "[", "nt", "]"}], "=", 
     RowBox[{"ops3", "[", "nt", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.500331452046872*^9, 3.5003314568443203`*^9}, {
  3.500331549748176*^9, 3.500331553219899*^9}, {3.500333470350136*^9, 
  3.5003334708401937`*^9}, {3.500372204701251*^9, 3.5003722142500896`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", "OP3", "}"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.4973718471252413`*^9, 3.497371847318022*^9}, 
   3.4976923531159782`*^9, {3.500331460369585*^9, 3.500331464669223*^9}, {
   3.500372218311275*^9, 3.500372218636615*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Density matrix evolves on each processor with it particular noise \
scenario.\nAfter each step an ensembel average is formed and used as the \
initial sate for the subsequent set of hits  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"denE3", "[", "0", "]"}], "=", 
  RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"denE3", "[", "nv_", "]"}], ":=", 
  RowBox[{
   RowBox[{"denE3", "[", "nv", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"prob", "*", 
       RowBox[{"denE3", "[", 
        RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
      RowBox[{"eps", "*", 
       RowBox[{"WaitAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"ParallelSubmit", "[", 
           RowBox[{
            RowBox[{"{", "i", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"OP3", "[", "nv", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"denE3", "[", 
                RowBox[{"nv", "-", "1"}], "]"}], ".", 
               RowBox[{"Adj", "[", " ", 
                RowBox[{
                 RowBox[{"OP3", "[", "nv", "]"}], "[", 
                 RowBox[{"[", "i", "]"}], "]"}], " ", "]"}]}], ")"}]}]}], " ",
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}], "]"}]}]}], 
     ")"}], ".", " ", 
    RowBox[{"(", 
     RowBox[{"Adj", "[", 
      RowBox[{"OPA", "[", "nv", "]"}], "]"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.496763792694566*^9, 
   3.496763802106386*^9}, {3.497290995884405*^9, 3.4972910228932858`*^9}, {
   3.497371859220502*^9, 3.497371865719393*^9}, 3.500327733617538*^9, 
   3.5003295076804447`*^9, {3.500331342361352*^9, 3.5003313567718887`*^9}, {
   3.500331471234221*^9, 3.500331474583988*^9}, {3.5003326701731358`*^9, 
   3.5003326818468933`*^9}, {3.500332768462654*^9, 3.500332804399489*^9}, {
   3.500372231264516*^9, 3.500372267192891*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form  note <0| denE   |0>  is at lower \
left corner.",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}, {3.5003303601537313`*^9, 3.500330429029579*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"creal", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"denE3", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cim", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Im", "[", 
      RowBox[{"denE3", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"GraphicsRow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creal", "[", "i", "]"}], ",", 
       RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListAnimate", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.500331360502164*^9, 3.500331362883295*^9}, {3.5003722858632717`*^9, 
   3.5003722920690613`*^9}},
 CellID->857340578],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE3", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE3", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE3", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE3", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE3", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500331366907505*^9, 3.500331373306738*^9}, {3.500372298015786*^9, 
  3.500372309010448*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) check \
trace at  selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.500330444831482*^9, 
   3.500330449329584*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE3", "[", "1", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE3", "[", "2", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE3", "[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE3", "[", "nmax", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500329757720772*^9, 3.500329791292101*^9}, {3.500331376358115*^9, 
  3.500331385306431*^9}, {3.500372312550218*^9, 3.500372322698387*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE3", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
   3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
   3.499355664193726*^9}, 3.500331765822489*^9, {3.500372326536448*^9, 
   3.500372326912513*^9}}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE3", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}, 3.500331770137115*^9, {
   3.500372331703124*^9, 3.500372332073914*^9}}],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity =\>\"", ",", 
   RowBox[{"Re", "[", 
    RowBox[{"FidelityB", "[", 
     RowBox[{
      RowBox[{"denE3", "[", "0", "]"}], ",", 
      RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}]}], " ", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"Purity", "[", 
     RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495199587604671*^9, 3.4951996638892803`*^9}, {3.4951997532173223`*^9, 
   3.4951999049415827`*^9}, {3.495208997557293*^9, 3.495209016979753*^9}, {
   3.495209139314391*^9, 3.495209156943821*^9}, {3.495212758323049*^9, 
   3.495212760920166*^9}, {3.495224521415803*^9, 3.495224544766876*^9}, {
   3.495225671616219*^9, 3.495225717726474*^9}, 3.495225752691827*^9, {
   3.495225813304409*^9, 3.495225853327003*^9}, {3.4952259056424007`*^9, 
   3.4952259312027197`*^9}, {3.495226037181706*^9, 3.4952260538538837`*^9}, 
   3.49530350152936*^9, {3.495887848325262*^9, 3.495887848339428*^9}, {
   3.500372347225421*^9, 3.500372351661069*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi+\>\"", ",", 
     "\"\<PsiR-Test\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE3", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE3", "[", "i", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.495141960092395*^9, 
   3.495141979703484*^9}, {3.495142059456081*^9, 3.495142100706456*^9}, {
   3.495199487855076*^9, 3.495199516363948*^9}, {3.495199942831943*^9, 
   3.495199951604372*^9}, 3.495200008857607*^9, {3.4952004466636066`*^9, 
   3.495200462909317*^9}, 3.4952088520298433`*^9, {3.4952128916997957`*^9, 
   3.495212962635654*^9}, {3.495215094990451*^9, 3.495215100427023*^9}, {
   3.49521524854214*^9, 3.495215272391121*^9}, {3.495215723432747*^9, 
   3.495215742248632*^9}, {3.495215960336184*^9, 3.49521604611265*^9}, 
   3.495216376424021*^9, {3.495224376403467*^9, 3.495224416137032*^9}, {
   3.4952250849653873`*^9, 3.495225102432782*^9}, 3.495225205812263*^9, {
   3.495225244012205*^9, 3.495225251258906*^9}, {3.495225955104743*^9, 
   3.495225958328828*^9}, {3.495281090658483*^9, 3.495281093717545*^9}, {
   3.4952819676331167`*^9, 3.495281967917386*^9}, {3.4952842344970293`*^9, 
   3.4952842348446913`*^9}, {3.495284318409109*^9, 3.495284450621272*^9}, 
   3.495284485613636*^9, {3.4952845267740707`*^9, 3.495284551146998*^9}, {
   3.495284808611845*^9, 3.495284851082632*^9}, {3.49528493793608*^9, 
   3.495285047858371*^9}, {3.49528510149804*^9, 3.495285159731058*^9}, 
   3.495285200795356*^9, {3.49528534957242*^9, 3.4952853676204243`*^9}, {
   3.495285418560351*^9, 3.495285424844674*^9}, {3.49530351389007*^9, 
   3.4953035221642303`*^9}, {3.49530355420469*^9, 3.495303557888907*^9}, {
   3.4953053710694532`*^9, 3.495305375354546*^9}, {3.495305576011753*^9, 
   3.495305615300384*^9}, {3.495887848372353*^9, 3.495887848377862*^9}, {
   3.4958881474001293`*^9, 3.495888154263418*^9}, 3.497090651360447*^9, {
   3.4970907205286713`*^9, 3.4970907240335903`*^9}, 3.497213508256093*^9, {
   3.50033180922078*^9, 3.5003318108590803`*^9}, {3.500372359162572*^9, 
   3.50037236759933*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE3", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.4952089078944387`*^9, 
   3.495208953478641*^9}, {3.495209606127068*^9, 3.495209630073695*^9}, {
   3.495212827348857*^9, 3.495212834695804*^9}, {3.495215133201866*^9, 
   3.495215137339095*^9}, {3.495215206154755*^9, 3.4952152372280693`*^9}, {
   3.49521536874459*^9, 3.495215379441617*^9}, {3.495215460381509*^9, 
   3.495215474541823*^9}, {3.495215582558172*^9, 3.49521558629237*^9}, 
   3.495215684243957*^9, {3.495215823547577*^9, 3.4952158727327213`*^9}, 
   3.495216373623508*^9, 3.495225301929319*^9, 3.495225598925127*^9, {
   3.495285241969222*^9, 3.495285253844757*^9}, {3.4953115419385567`*^9, 
   3.495311545497931*^9}, {3.495887848381168*^9, 3.495887848391912*^9}, {
   3.495888160925668*^9, 3.495888165842348*^9}, {3.496070030385357*^9, 
   3.4960700497171173`*^9}, 3.496482644787977*^9, {3.496505782229088*^9, 
   3.4965057844770603`*^9}, 3.497090655045446*^9, 3.497090772861899*^9, 
   3.497213504091164*^9, {3.5003318140455427`*^9, 3.500331815421035*^9}, {
   3.500372371886993*^9, 3.500372376523752*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat6", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE3", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat5", ",", "dat6"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.4952127910241413`*^9, 
   3.495212818507793*^9}, {3.495215384254344*^9, 3.495215389178021*^9}, {
   3.495215616635469*^9, 3.4952156292927628`*^9}, 3.495215682458003*^9, {
   3.4952159119973593`*^9, 3.495215916994616*^9}, 3.495216370338541*^9, 
   3.495225294928844*^9, 3.495225592789659*^9, {3.495285258482171*^9, 
   3.495285268531568*^9}, {3.495311525610944*^9, 3.4953115376290503`*^9}, {
   3.495887848395203*^9, 3.495887848404827*^9}, {3.4958881709502*^9, 
   3.4958881789874783`*^9}, 3.497090658558374*^9, {3.4972134869336853`*^9, 
   3.4972134990929327`*^9}, {3.500331818645898*^9, 3.5003318202082157`*^9}, {
   3.5003723844367237`*^9, 3.500372387636362*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9, {3.495284860706128*^9, 3.495284890356498*^9}, {
   3.49530357050132*^9, 3.4953035762629337`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Repeat Process with simulated error correction (EC),  by which we \
mean that selected noise operators are set to unit operator s[0]    X  Y & Z \
errors off double click right up arrow to open",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}, {
   3.500330496330843*^9, 3.500330571929626*^9}, {3.5003715346235743`*^9, 
   3.5003715480967913`*^9}, {3.5004846305015507`*^9, 3.500484631177895*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "ss", "]"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
   "reset", " ", "noise", " ", "operators", " ", "as", " ", "a", " ", "way", 
    " ", "to", " ", "simulate", " ", "EC"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{"set", " ", "the", " ", "single", " ", "qubit", " ", 
    RowBox[{"matrix", "--"}], "user", " ", "can", " ", "change"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "0", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], " ", ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "1", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "X"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "2", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Y"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "3", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], " ", ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Z"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", "off", "  ", 
     RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], "  ", "turn", " ", "on", " ", 
      RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
     RowBox[{"s", "[", "i", "]"}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.500328866392672*^9, 3.500328870865419*^9}, {
  3.5003309128217793`*^9, 3.5003309357820377`*^9}, {3.5003310654606113`*^9, 
  3.500331069906438*^9}, {3.500331200221654*^9, 3.500331264744377*^9}, {
  3.5003329820741863`*^9, 3.50033299444776*^9}, {3.500333116411603*^9, 
  3.500333122270935*^9}, {3.5003334753971567`*^9, 3.500333565272149*^9}, {
  3.50037204469928*^9, 3.500372045172164*^9}}],

Cell[BoxData[{"hits", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ops4", "[", "nt_", "]"}], ":=", 
   RowBox[{"Map", "[", 
    RowBox[{"ss", ",", 
     RowBox[{"hits", "[", 
      RowBox[{"[", "nt", "]"}], "]"}]}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"OP4", "[", "nt", "]"}], "=", 
     RowBox[{"ops4", "[", "nt", "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "1", ",", "nmax"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.500331452046872*^9, 3.5003314568443203`*^9}, {
  3.500331549748176*^9, 3.500331553219899*^9}, {3.500333470350136*^9, 
  3.5003334708401937`*^9}, {3.500372596077339*^9, 3.5003726059738092`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", "OP4", "}"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.4973718471252413`*^9, 3.497371847318022*^9}, 
   3.4976923531159782`*^9, {3.500331460369585*^9, 3.500331464669223*^9}, {
   3.500372621798835*^9, 3.5003726220600967`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Density matrix evolves on each processor with it particular noise \
scenario.\nAfter each step an ensembel average is formed and used as the \
initial sate for the subsequent set of hits  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"denE4", "[", "0", "]"}], "=", 
  RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"denE4", "[", "nv_", "]"}], ":=", 
  RowBox[{
   RowBox[{"denE4", "[", "nv", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"prob", "*", 
       RowBox[{"denE4", "[", 
        RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
      RowBox[{"eps", "*", 
       RowBox[{"WaitAll", "[", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"ParallelSubmit", "[", 
           RowBox[{
            RowBox[{"{", "i", "}"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"OP4", "[", "nv", "]"}], "[", 
              RowBox[{"[", "i", "]"}], "]"}], ".", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"denE4", "[", 
                RowBox[{"nv", "-", "1"}], "]"}], ".", 
               RowBox[{"Adj", "[", " ", 
                RowBox[{
                 RowBox[{"OP4", "[", "nv", "]"}], "[", 
                 RowBox[{"[", "i", "]"}], "]"}], " ", "]"}]}], ")"}]}]}], " ",
            "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", "nprocs"}], "}"}]}], "]"}], "]"}]}]}], 
     ")"}], ".", " ", 
    RowBox[{"(", 
     RowBox[{"Adj", "[", 
      RowBox[{"OPA", "[", "nv", "]"}], "]"}], ")"}]}]}]}]}], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.496763792694566*^9, 
   3.496763802106386*^9}, {3.497290995884405*^9, 3.4972910228932858`*^9}, {
   3.497371859220502*^9, 3.497371865719393*^9}, 3.500327733617538*^9, 
   3.5003295076804447`*^9, {3.500331342361352*^9, 3.5003313567718887`*^9}, {
   3.500331471234221*^9, 3.500331474583988*^9}, {3.5003326701731358`*^9, 
   3.5003326818468933`*^9}, {3.500332768462654*^9, 3.500332804399489*^9}, {
   3.500372626539065*^9, 3.50037265204947*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form  note <0| denE   |0>  is at lower \
left corner.",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}, {3.5003303601537313`*^9, 3.500330429029579*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"creal", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"denE4", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cim", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Im", "[", 
      RowBox[{"denE4", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"GraphicsRow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creal", "[", "i", "]"}], ",", 
       RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListAnimate", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.500331360502164*^9, 3.500331362883295*^9}, {3.500372665300806*^9, 
   3.500372671662774*^9}},
 CellID->1855306723],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE4", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE4", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE4", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE4", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE4", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500331366907505*^9, 3.500331373306738*^9}, {3.5003726765864267`*^9, 
  3.500372684547662*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) check \
trace at  selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.500330444831482*^9, 
   3.500330449329584*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE4", "[", "1", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE4", "[", "2", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE4", "[", "3", "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"denE4", "[", "nmax", "]"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500329757720772*^9, 3.500329791292101*^9}, {3.500331376358115*^9, 
  3.500331385306431*^9}, {3.5003726885994473`*^9, 3.500372697160428*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE4", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
   3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
   3.499355664193726*^9}, 3.500331765822489*^9, {3.5003727021994762`*^9, 
   3.500372702610838*^9}}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE4", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}, 3.500331770137115*^9, {
   3.5003727069283*^9, 3.500372707277402*^9}}],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity =\>\"", ",", 
   RowBox[{"Re", "[", 
    RowBox[{"FidelityB", "[", 
     RowBox[{
      RowBox[{"denE4", "[", "0", "]"}], ",", 
      RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}]}], " ", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"Purity", "[", 
     RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495199587604671*^9, 3.4951996638892803`*^9}, {3.4951997532173223`*^9, 
   3.4951999049415827`*^9}, {3.495208997557293*^9, 3.495209016979753*^9}, {
   3.495209139314391*^9, 3.495209156943821*^9}, {3.495212758323049*^9, 
   3.495212760920166*^9}, {3.495224521415803*^9, 3.495224544766876*^9}, {
   3.495225671616219*^9, 3.495225717726474*^9}, 3.495225752691827*^9, {
   3.495225813304409*^9, 3.495225853327003*^9}, {3.4952259056424007`*^9, 
   3.4952259312027197`*^9}, {3.495226037181706*^9, 3.4952260538538837`*^9}, 
   3.49530350152936*^9, {3.495887848325262*^9, 3.495887848339428*^9}, {
   3.50037271472535*^9, 3.500372722224051*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi+\>\"", ",", 
     "\"\<PsiR-Test\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE4", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE4", "[", "i", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.495141960092395*^9, 
   3.495141979703484*^9}, {3.495142059456081*^9, 3.495142100706456*^9}, {
   3.495199487855076*^9, 3.495199516363948*^9}, {3.495199942831943*^9, 
   3.495199951604372*^9}, 3.495200008857607*^9, {3.4952004466636066`*^9, 
   3.495200462909317*^9}, 3.4952088520298433`*^9, {3.4952128916997957`*^9, 
   3.495212962635654*^9}, {3.495215094990451*^9, 3.495215100427023*^9}, {
   3.49521524854214*^9, 3.495215272391121*^9}, {3.495215723432747*^9, 
   3.495215742248632*^9}, {3.495215960336184*^9, 3.49521604611265*^9}, 
   3.495216376424021*^9, {3.495224376403467*^9, 3.495224416137032*^9}, {
   3.4952250849653873`*^9, 3.495225102432782*^9}, 3.495225205812263*^9, {
   3.495225244012205*^9, 3.495225251258906*^9}, {3.495225955104743*^9, 
   3.495225958328828*^9}, {3.495281090658483*^9, 3.495281093717545*^9}, {
   3.4952819676331167`*^9, 3.495281967917386*^9}, {3.4952842344970293`*^9, 
   3.4952842348446913`*^9}, {3.495284318409109*^9, 3.495284450621272*^9}, 
   3.495284485613636*^9, {3.4952845267740707`*^9, 3.495284551146998*^9}, {
   3.495284808611845*^9, 3.495284851082632*^9}, {3.49528493793608*^9, 
   3.495285047858371*^9}, {3.49528510149804*^9, 3.495285159731058*^9}, 
   3.495285200795356*^9, {3.49528534957242*^9, 3.4952853676204243`*^9}, {
   3.495285418560351*^9, 3.495285424844674*^9}, {3.49530351389007*^9, 
   3.4953035221642303`*^9}, {3.49530355420469*^9, 3.495303557888907*^9}, {
   3.4953053710694532`*^9, 3.495305375354546*^9}, {3.495305576011753*^9, 
   3.495305615300384*^9}, {3.495887848372353*^9, 3.495887848377862*^9}, {
   3.4958881474001293`*^9, 3.495888154263418*^9}, 3.497090651360447*^9, {
   3.4970907205286713`*^9, 3.4970907240335903`*^9}, 3.497213508256093*^9, {
   3.50033180922078*^9, 3.5003318108590803`*^9}, {3.500372727512445*^9, 
   3.500372729436955*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE4", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.4952089078944387`*^9, 
   3.495208953478641*^9}, {3.495209606127068*^9, 3.495209630073695*^9}, {
   3.495212827348857*^9, 3.495212834695804*^9}, {3.495215133201866*^9, 
   3.495215137339095*^9}, {3.495215206154755*^9, 3.4952152372280693`*^9}, {
   3.49521536874459*^9, 3.495215379441617*^9}, {3.495215460381509*^9, 
   3.495215474541823*^9}, {3.495215582558172*^9, 3.49521558629237*^9}, 
   3.495215684243957*^9, {3.495215823547577*^9, 3.4952158727327213`*^9}, 
   3.495216373623508*^9, 3.495225301929319*^9, 3.495225598925127*^9, {
   3.495285241969222*^9, 3.495285253844757*^9}, {3.4953115419385567`*^9, 
   3.495311545497931*^9}, {3.495887848381168*^9, 3.495887848391912*^9}, {
   3.495888160925668*^9, 3.495888165842348*^9}, {3.496070030385357*^9, 
   3.4960700497171173`*^9}, 3.496482644787977*^9, {3.496505782229088*^9, 
   3.4965057844770603`*^9}, 3.497090655045446*^9, 3.497090772861899*^9, 
   3.497213504091164*^9, {3.5003318140455427`*^9, 3.500331815421035*^9}, {
   3.500372734936677*^9, 3.5003727385742807`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat6", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE4", "[", "i", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat5", ",", "dat6"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.4952127910241413`*^9, 
   3.495212818507793*^9}, {3.495215384254344*^9, 3.495215389178021*^9}, {
   3.495215616635469*^9, 3.4952156292927628`*^9}, 3.495215682458003*^9, {
   3.4952159119973593`*^9, 3.495215916994616*^9}, 3.495216370338541*^9, 
   3.495225294928844*^9, 3.495225592789659*^9, {3.495285258482171*^9, 
   3.495285268531568*^9}, {3.495311525610944*^9, 3.4953115376290503`*^9}, {
   3.495887848395203*^9, 3.495887848404827*^9}, {3.4958881709502*^9, 
   3.4958881789874783`*^9}, 3.497090658558374*^9, {3.4972134869336853`*^9, 
   3.4972134990929327`*^9}, {3.500331818645898*^9, 3.5003318202082157`*^9}, {
   3.500372743286968*^9, 3.5003727461207113`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9, {3.495284860706128*^9, 3.495284890356498*^9}, {
   3.49530357050132*^9, 3.4953035762629337`*^9}}]
}, Closed]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat11", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat21", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"FidelityB", "[", 
        RowBox[{
         RowBox[{"denE", "[", "i", "]"}], ",", 
         RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat12", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE2", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat22", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"FidelityB", "[", 
        RowBox[{
         RowBox[{"denE2", "[", "i", "]"}], ",", 
         RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat13", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE3", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat23", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"FidelityB", "[", 
        RowBox[{
         RowBox[{"denE3", "[", "i", "]"}], ",", 
         RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat14", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"FidelityB", "[", 
       RowBox[{
        RowBox[{"denE4", "[", "0", "]"}], ",", 
        RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat24", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Re", "[", 
       RowBox[{"FidelityB", "[", 
        RowBox[{
         RowBox[{"denE4", "[", "i", "]"}], ",", 
         RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat11", ",", "dat21", ",", "dat12", ",", "dat22", ",", "dat13", ",", 
       "dat23", ",", "dat14", ",", "dat24"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.495141960092395*^9, 
   3.495141979703484*^9}, {3.495142059456081*^9, 3.495142100706456*^9}, {
   3.495199487855076*^9, 3.495199516363948*^9}, {3.495199942831943*^9, 
   3.495199951604372*^9}, 3.495200008857607*^9, {3.4952004466636066`*^9, 
   3.495200462909317*^9}, 3.4952088520298433`*^9, {3.4952128916997957`*^9, 
   3.495212962635654*^9}, {3.495215094990451*^9, 3.495215100427023*^9}, {
   3.49521524854214*^9, 3.495215272391121*^9}, {3.495215723432747*^9, 
   3.495215742248632*^9}, {3.495215960336184*^9, 3.49521604611265*^9}, 
   3.495216376424021*^9, {3.495224376403467*^9, 3.495224416137032*^9}, {
   3.4952250849653873`*^9, 3.495225102432782*^9}, 3.495225205812263*^9, {
   3.495225244012205*^9, 3.495225251258906*^9}, {3.495225955104743*^9, 
   3.495225958328828*^9}, {3.495281090658483*^9, 3.495281093717545*^9}, {
   3.4952819676331167`*^9, 3.495281967917386*^9}, {3.4952842344970293`*^9, 
   3.4952842348446913`*^9}, {3.495284318409109*^9, 3.495284450621272*^9}, 
   3.495284485613636*^9, {3.4952845267740707`*^9, 3.495284551146998*^9}, {
   3.495284808611845*^9, 3.495284851082632*^9}, {3.49528493793608*^9, 
   3.495285047858371*^9}, {3.49528510149804*^9, 3.495285159731058*^9}, 
   3.495285200795356*^9, {3.49528534957242*^9, 3.4952853676204243`*^9}, {
   3.495285418560351*^9, 3.495285424844674*^9}, {3.49530351389007*^9, 
   3.4953035221642303`*^9}, {3.49530355420469*^9, 3.495303557888907*^9}, {
   3.4953053710694532`*^9, 3.495305375354546*^9}, {3.495305576011753*^9, 
   3.495305615300384*^9}, {3.495887848372353*^9, 3.495887848377862*^9}, {
   3.4958881474001293`*^9, 3.495888154263418*^9}, 3.497090651360447*^9, {
   3.4970907205286713`*^9, 3.4970907240335903`*^9}, 3.497213508256093*^9, {
   3.50033180922078*^9, 3.5003318108590803`*^9}, {3.500372727512445*^9, 
   3.500372729436955*^9}, {3.50037300285192*^9, 3.500373113036862*^9}, 
   3.5003731989908047`*^9, 3.5003740501256638`*^9, {3.5003742703682957`*^9, 
   3.500374317838571*^9}, 3.500381126448461*^9, 3.500381267590438*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat31", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat41", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Purity", "[", 
        RowBox[{"denE", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat32", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat42", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Purity", "[", 
        RowBox[{"denE2", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat33", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat43", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Purity", "[", 
        RowBox[{"denE3", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat34", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Purity", "[", 
       RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat44", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"Purity", "[", 
        RowBox[{"denE4", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat31", ",", "dat41", ",", "dat32", ",", "dat42", ",", "dat33", ",", 
       "dat43", ",", "dat34", ",", "dat44"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.4952089078944387`*^9, 
   3.495208953478641*^9}, {3.495209606127068*^9, 3.495209630073695*^9}, {
   3.495212827348857*^9, 3.495212834695804*^9}, {3.495215133201866*^9, 
   3.495215137339095*^9}, {3.495215206154755*^9, 3.4952152372280693`*^9}, {
   3.49521536874459*^9, 3.495215379441617*^9}, {3.495215460381509*^9, 
   3.495215474541823*^9}, {3.495215582558172*^9, 3.49521558629237*^9}, 
   3.495215684243957*^9, {3.495215823547577*^9, 3.4952158727327213`*^9}, 
   3.495216373623508*^9, 3.495225301929319*^9, 3.495225598925127*^9, {
   3.495285241969222*^9, 3.495285253844757*^9}, {3.4953115419385567`*^9, 
   3.495311545497931*^9}, {3.495887848381168*^9, 3.495887848391912*^9}, {
   3.495888160925668*^9, 3.495888165842348*^9}, {3.496070030385357*^9, 
   3.4960700497171173`*^9}, 3.496482644787977*^9, {3.496505782229088*^9, 
   3.4965057844770603`*^9}, 3.497090655045446*^9, 3.497090772861899*^9, 
   3.497213504091164*^9, {3.5003318140455427`*^9, 3.500331815421035*^9}, {
   3.500372734936677*^9, 3.5003727385742807`*^9}, {3.500373236739997*^9, 
   3.500373362866356*^9}, {3.500373824277553*^9, 3.500373828012834*^9}, 
   3.500374036412643*^9, 3.5003742551412*^9, 3.5003811228851557`*^9, 
   3.500381263131914*^9, {3.500381417349348*^9, 3.500381420450412*^9}, 
   3.500381471498188*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat51", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat61", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"EnTropy", "[", 
        RowBox[{"denE", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat52", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat62", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"EnTropy", "[", 
        RowBox[{"denE2", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat53", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE3", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat63", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"EnTropy", "[", 
        RowBox[{"denE3", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat54", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"EnTropy", "[", 
       RowBox[{"denE4", "[", "0", "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dat64", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"Chop", "[", 
       RowBox[{"EnTropy", "[", 
        RowBox[{"denE4", "[", "i", "]"}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat51", ",", "dat61", ",", "dat52", ",", "dat62", ",", "dat53", ",", 
       "dat63", ",", "dat54", ",", "dat64"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", 
      RowBox[{"{", "True", "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.4952127910241413`*^9, 
   3.495212818507793*^9}, {3.495215384254344*^9, 3.495215389178021*^9}, {
   3.495215616635469*^9, 3.4952156292927628`*^9}, 3.495215682458003*^9, {
   3.4952159119973593`*^9, 3.495215916994616*^9}, 3.495216370338541*^9, 
   3.495225294928844*^9, 3.495225592789659*^9, {3.495285258482171*^9, 
   3.495285268531568*^9}, {3.495311525610944*^9, 3.4953115376290503`*^9}, {
   3.495887848395203*^9, 3.495887848404827*^9}, {3.4958881709502*^9, 
   3.4958881789874783`*^9}, 3.497090658558374*^9, {3.4972134869336853`*^9, 
   3.4972134990929327`*^9}, {3.500331818645898*^9, 3.5003318202082157`*^9}, {
   3.500372743286968*^9, 3.5003727461207113`*^9}, {3.5003739202897577`*^9, 
   3.500374028649913*^9}, {3.500374145815651*^9, 3.500374176637293*^9}, {
   3.500374449002913*^9, 3.500374449625877*^9}, {3.5003810276352987`*^9, 
   3.500381054249902*^9}, {3.500381089436077*^9, 3.5003811021325073`*^9}, {
   3.500381221421671*^9, 3.500381239385668*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"GraphicsRow", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
    RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9, {3.495284860706128*^9, 3.495284890356498*^9}, {
   3.49530357050132*^9, 3.4953035762629337`*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat11", ",", "dat21", ",", "dat12", ",", " ", "dat22", ",", "dat13", 
       ",", "dat23"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[Psi]\), \(0\)]\)\>\"", ",", "Black", ",", 
        "Bold", ",", "24"}], "]"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Bold", ",", "Medium", ",", "Black"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"Steps", ",", "Bold", ",", "18"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"FIDELITY", ",", "Bold", ",", "18"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Thick", "}"}]}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "Medium"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat31", ",", "dat41", ",", "dat32", ",", "dat42", ",", "dat33", ",", 
       "dat43", ",", "dat34", ",", "dat44"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[Psi]\), \(0\)]\)\>\"", ",", "Black", ",", 
        "Bold", ",", "24"}], "]"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Bold", ",", "Medium", ",", "Black"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"Steps", ",", "Bold", ",", "18"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"PURITY", ",", "Bold", ",", "18"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Thick", "}"}]}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "Medium"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1.000001"}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", " ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "dat51", ",", "dat61", ",", "dat52", ",", "dat62", ",", "dat53", ",", 
       "dat63", ",", "dat54", ",", "dat64"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
       "\"\<\!\(\*SubscriptBox[\(\[Psi]\), \(0\)]\)\>\"", ",", "Black", ",", 
        "Bold", ",", "24"}], "]"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Bold", ",", "Medium", ",", "Black"}], "]"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Style", "[", 
         RowBox[{"Steps", ",", "Bold", ",", "18"}], "]"}], ",", 
        RowBox[{"Style", "[", 
         RowBox[{"ENTROPY", ",", "Bold", ",", "18"}], "]"}]}], "}"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", "Thick", "}"}]}], ",", 
     RowBox[{"PlotMarkers", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", "Medium"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "nq"}], "}"}]}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.50037451132583*^9, 3.5003745156361027`*^9}, {
  3.500374569826147*^9, 3.500374616962606*^9}, {3.500374650655079*^9, 
  3.500374651468869*^9}, {3.500381765888077*^9, 3.500381804722278*^9}, {
  3.5003818360495243`*^9, 3.500381843045794*^9}, {3.500381882464446*^9, 
  3.500381905023815*^9}, {3.500382019988069*^9, 3.500382039200313*^9}, {
  3.50038207765142*^9, 3.500382124235157*^9}, {3.500382198952808*^9, 
  3.5003822896909437`*^9}, {3.500382350501877*^9, 3.5003824306620903`*^9}, {
  3.5003824687140017`*^9, 3.500382507050755*^9}, {3.5003826124836683`*^9, 
  3.500382651294965*^9}, {3.500382797754344*^9, 3.5003828256417847`*^9}, {
  3.5003829692811728`*^9, 3.500383169804895*^9}, {3.500383375706915*^9, 
  3.500383452780158*^9}, {3.50038349249561*^9, 3.500383560120254*^9}, {
  3.500383647908332*^9, 3.500383746441759*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";", " ", 
  RowBox[{"Quit", "[", "]"}], "  "}]], "Input",
 CellChangeTimes->{{3.475246563382484*^9, 3.475246564579317*^9}, {
  3.475427610994915*^9, 3.4754276364185247`*^9}, {3.4947755770946608`*^9, 
  3.494775586591998*^9}, {3.494799990118042*^9, 3.494799997277807*^9}}]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1433, 804},
WindowMargins->{{55, Automatic}, {Automatic, 11}},
PrintingCopies->1,
PrintingStartingPageNumber->15,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "MacintoshRoman"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 19.580426`8.04439712024133}, {15, 
    15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 
    16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 
    17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 
    20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 22, 22, 22, 22, 22, 
    22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
    23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 
    25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 
    27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 
    28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 
    29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 
    31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 
    32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 
    33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
    35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 
    36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 
    37, 37, 38, 38, 38}, Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit) (November 6, 2010)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions", "Title"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, ScriptMinSize -> 
          9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          ScriptMinSize -> 12, FontSize -> 16], 
         Cell[
          StyleData[All, "SlideShow"], PageWidth -> WindowWidth, 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowCellBracket -> False, ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellBracketOptions -> {"Margins" -> {1, 1}, "Widths" -> {0, 5}}, 
          ScriptMinSize -> 8, FontSize -> 11], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, ScriptMinSize -> 
          7, FontSize -> 10, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, 
          PageHeaderLines -> {True, True}, 
          PrintingOptions -> {
           "FacingPages" -> True, "FirstPageHeader" -> False}, 
          CellFrameLabelMargins -> 6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 11}, CounterIncrements -> 
             "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             34, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{0, 0}, {0, 0}}, 
             CellFrameMargins -> {{12, 10}, {24, 24}}, LineSpacing -> {1, 0}, 
             FontSize -> 46], 
            Cell[
             StyleData["Title", "Condensed"], CellMargins -> {{0, 0}, {0, 0}},
              FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], CellMargins -> {{0, 0}, {0, 0}}, 
             FontSize -> 24, FontTracking -> "Plain", Background -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphIndent -> -96, 
             CounterIncrements -> "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 18, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{0, 0}, {4, 0}}, 
             CellFrameMargins -> {{12, 10}, {12, 8}}, LineSpacing -> {1, 6}, 
             ParagraphIndent -> -157, FontSize -> 28], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -78, 
             FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -85, 
             FontSize -> 16, Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {30, 10}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Subsubtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}}, FontFamily -> "Helvetica", FontSize -> 14, 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsubtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 8}}, FontSize -> 12], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{9, 10}, {50, 10}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{6, 0}, {0, 1}}, CellDingbat -> 
             None, CellMargins -> {{12, Inherited}, {4, 24}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> 6, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 16, FontWeight -> "Bold", 
             FontColor -> RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{15, 10}, {14, 32}}, 
             CellFrameMargins -> {{8, 10}, {10, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, FontSize -> 14, FontTracking -> 
             "Plain", FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], 
             CellMargins -> {{12, Inherited}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 13, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{15, 10}, {12, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {4, 40}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[FilledSquare]", 
             CellMargins -> {{25, Inherited}, {8, 12}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 9}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {18, 28}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{22, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{21, 0}, {4, 20}}, FontSize -> 11]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12},
              CounterIncrements -> "Text", FontFamily -> "Times"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {4, 4}},
              LineSpacing -> {1, 1}, ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{9, 0}, {4, 4}}, 
             Hyphenation -> True, ParagraphSpacing -> {0, 6}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 6}, 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {2, 2}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{9, 0}, {4, 4}}, Hyphenation -> True, FontSize -> 
             7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Inert"], StyleMenuListing -> None, Background -> 
             RGBColor[0.870588, 0.905882, 0.972549]], 
            Cell[
             StyleData["Inert", "Printout"], StyleMenuListing -> None, 
             Background -> GrayLevel[1]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, Evaluatable -> True, 
             CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{5, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", FormatType -> InputForm, ShowStringCharacters -> True,
              NumberMarks -> True, 
             LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
             "Input", FontWeight -> "Bold", Background -> 
             RGBColor[1, 0.700008, 0.4]], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 10}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, Inherited}, {1, 4}}], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{44, 0}, {2, 6}},
              Background -> GrayLevel[0.900008]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["InlineInput"], Evaluatable -> True, CellGroupingRules -> 
             "InputGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, FormatType -> InputForm, 
             ShowStringCharacters -> True, NumberMarks -> True, 
             CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["InlineInput", "Presentation"], FontSize -> 18], 
            Cell[
             StyleData["InlineInput", "Condensed"]], 
            Cell[
             StyleData["InlineInput", "Printout"], FontSize -> 10], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {12, 5}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{40, Inherited}, {4, 1}}], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{44, 0}, {6, 2}}, Background -> 
             GrayLevel[0.900008]]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontColor -> RGBColor[1, 0, 0]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{86, 20}, {10, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{86, 20}, {4, 4}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, FormatType -> 
             InputForm, CounterIncrements -> "Graphics", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             CellMargins -> {{86, 20}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             CellMargins -> {{52, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {175, 175}], 
            Cell[
             StyleData["Graphics", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {250, 250}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 11, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 8], 
            Cell[
             StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Unique Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {2, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16, FontSlant -> "Italic"], 
            Cell[
             StyleData["Author", "Presentation"], 
             CellMargins -> {{15, 10}, {4, 16}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 24], 
            Cell[
             StyleData["Author", "Condensed"], 
             CellMargins -> {{8, 10}, {1, 4}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}, FontSize -> 12], 
            Cell[
             StyleData["Author", "Printout"], 
             CellMargins -> {{9, 0}, {4, 12}}, ParagraphSpacing -> {0, 6}, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Copyright"], ShowCellBracket -> False, 
             CellMargins -> {{10, 10}, {40, 2}}, FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 4}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["Copyright", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 1}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Printout"], 
             CellMargins -> {{9, 0}, {72, 4}}, FontSize -> 7]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Example"], CellMargins -> {{12, 10}, {5, 12}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12}, 
             CounterIncrements -> "Example", FontFamily -> "Times", 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Example", "Presentation"], 
             CellMargins -> {{18, 10}, {8, 20}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Example", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Example", "Printout"], 
             CellMargins -> {{9, 0}, {4, 10}}, ParagraphSpacing -> {0, 6}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Definition"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Definition", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Definition", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Definition", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Definition", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Theorem"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Theorem", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Theorem", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Theorem", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Theorem", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseMain"], CellFrame -> {{6, 0}, {0, 1}}, 
             CellMargins -> {{12, Inherited}, {4, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[0.571389, 0.19675, 0.570504], 
             LineSpacing -> {1, 7}, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["ExerciseMain", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{18, 10}, {12, 32}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["ExerciseMain", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["ExerciseMain", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, CellFrameColor -> 
             GrayLevel[0.500008], FontSize -> 14, FontTracking -> "Plain", 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Exercise"], CellDingbat -> "\[FilledDownTriangle]", 
             CellMargins -> {{23, Inherited}, {4, 18}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Exercise", "Presentation"], 
             CellMargins -> {{28, 10}, {10, 34}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Exercise", "Condensed"], 
             CellMargins -> {{17, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Exercise", "Printout"], 
             CellFrame -> {{0, 0}, {0.5, 0}}, CellDingbat -> None, 
             CellMargins -> {{9, 0}, {6, 20}}, Hyphenation -> True, FontSize -> 
             11, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseText"], CellMargins -> {{62, 10}, {5, 5}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 8}, 
             CounterIncrements -> "ExerciseText", FontFamily -> "Times"], 
            Cell[
             StyleData["ExerciseText", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["ExerciseText", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 2}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["ExerciseText", "Printout"], 
             CellMargins -> {{54, 0}, {4, 4}}, Hyphenation -> True, 
             ParagraphSpacing -> {0, 6}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Formulas and Programming", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], CellMargins -> {{62, 10}, {2, 10}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             DefaultInputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
             True, HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 16}}, FontSize -> 18], 
            Cell[
             StyleData["DisplayFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["DisplayFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChemicalFormula"], CellMargins -> {{62, 10}, {2, 10}},
              DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", AutoSpacing -> False, 
             ScriptBaselineShifts -> {0.6, Automatic}, ScriptLevel -> 1, 
             SingleLetterItalics -> False, ZeroWidthTimes -> True], 
            Cell[
             StyleData["ChemicalFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 12}}, FontSize -> 18], 
            Cell[
             StyleData["ChemicalFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["ChemicalFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellMargins -> {{12, 10}, {Inherited, 6}}, 
             Hyphenation -> False, LanguageCategory -> "Formula", FontFamily -> 
             "Courier"], 
            Cell[
             StyleData["Program", "Presentation"], 
             CellMargins -> {{20, 30}, {4, 4}}, FontSize -> 18], 
            Cell[
             StyleData["Program", "Condensed"], 
             CellMargins -> {{8, 10}, {Inherited, 4}}, FontSize -> 9.5], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{9, 0}, {Inherited, 4}}, FontSize -> 9.5]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Automatic Numbering", "Section"], 
         Cell[
         "The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedEquation"], 
             CellMargins -> {{62, 10}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, CounterIncrements -> 
             "NumberedEquation", FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedEquation", "Presentation"], 
             CellMargins -> {{100, 10}, {6, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedEquation", "Condensed"], 
             CellMargins -> {{52, 10}, {Inherited, Inherited}}], 
            Cell[
             StyleData["NumberedEquation", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigure"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"]}]], None}}, CounterIncrements -> 
             "NumberedFigure", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedFigure", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigure", "Condensed"]], 
            Cell[
             StyleData["NumberedFigure", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedTable"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"]}]], None}}, TextAlignment -> 
             Center, CounterIncrements -> "NumberedTable", 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedTable", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedTable", "Condensed"]], 
            Cell[
             StyleData["NumberedTable", "Printout"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 6], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontWeight -> "Bold"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "SlideShow"]], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
         "The following styles are for linking automatically to the on-line \
help system.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MainBookLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
            Cell[
             StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["MainBookLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["MainBookLink", "SlideShow"]], 
            Cell[
             StyleData["MainBookLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["AddOnsLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
            Cell[
             StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["AddOnsLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["AddOnsLink", "SlideShow"]], 
            Cell[
             StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLink", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLinkText"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLinkText", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLinkText", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLinkText", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLinkText", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["GettingStartedLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
            Cell[
             StyleData["GettingStartedLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["GettingStartedLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["GettingStartedLink", "SlideShow"]], 
            Cell[
             StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DemosLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Demos", #]}]& )}], 
            Cell[
             StyleData["DemosLink", "SlideShow"]], 
            Cell[
             StyleData["DemosLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TourLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Tour", #]}]& )}], 
            Cell[
             StyleData["TourLink", "SlideShow"]], 
            Cell[
             StyleData["TourLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OtherInformationLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
            Cell[
             StyleData["OtherInformationLink", "Presentation"], FontSize -> 
             16], 
            Cell[
             StyleData["OtherInformationLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["OtherInformationLink", "SlideShow"]], 
            Cell[
             StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MasterIndexLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}], 
            Cell[
             StyleData["MasterIndexLink", "SlideShow"]], 
            Cell[
             StyleData["MasterIndexLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Slide Show Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowNavigationBar"], Editable -> False, 
             CellFrame -> True, CellMargins -> {{0, 0}, {3, 3}}, 
             CellElementSpacings -> {"CellMinHeight" -> 0.8125}, 
             CellGroupingRules -> {"SectionGrouping", 30}, CellFrameMargins -> 
             False, CellFrameColor -> GrayLevel[1], CellFrameLabelMargins -> 
             False, TextAlignment -> Center, CounterIncrements -> 
             "SlideShowNavigationBar", StyleMenuListing -> None, FontSize -> 
             10, Magnification -> 1, Background -> GrayLevel[0.8], 
             GridBoxOptions -> {
              BaselinePosition -> Center, 
               GridBoxAlignment -> {
                "Columns" -> {
                  Center, Center, Center, Center, Center, Center, Right, {
                   Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
                 "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {
                "Columns" -> {3.5, 3.5, 3.5, 3.5, 13, 5, {4}}, 
                 "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.]}, 
                   Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {
                   Offset[0.2], {
                    Offset[0.]}, 
                   Offset[0.2]}, "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Presentation"]], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, ShowCellBracket -> False, 
             CellMargins -> {{-1, -1}, {-1, -1}}, PageBreakAbove -> True, 
             CellFrameMargins -> {{1, 1}, {0, 0}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Printout"], 
             CellMargins -> {{18, 4}, {4, 4}}, LineSpacing -> {1, 3}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{0, 0}, {10, 0}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> {{12, 4}, {6, 12}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             18, FontWeight -> "Plain", FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.408011, 0.440726, 0.8]], 
            Cell[
             StyleData["SlideShowSection", "Presentation"], 
             CellFrameMargins -> {{18, 10}, {10, 16}}, FontSize -> 27], 
            Cell[
             StyleData["SlideShowSection", "SlideShow"], ShowCellBracket -> 
             False, PageBreakAbove -> True], 
            Cell[
             StyleData["SlideShowSection", "Printout"], 
             CellMargins -> {{18, 30}, {0, 30}}, CellFrameMargins -> 5, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideHyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontSize -> 26, FontColor -> 
             GrayLevel[0.400015], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
               ButtonMinHeight -> 0.85, ButtonNote -> None}], 
            Cell[
             StyleData["SlideHyperlink", "Presentation"], 
             CellMargins -> {{10, 10}, {8, 12}}, FontSize -> 36], 
            Cell[
             StyleData["SlideHyperlink", "SlideShow"]], 
            Cell[
             StyleData["SlideHyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOCLink"], 
             CellMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, ButtonStyleMenuListing -> Automatic, 
             FontFamily -> "Helvetica", 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 1.5, 
               ButtonNote -> ButtonData}], 
            Cell[
             StyleData["SlideTOCLink", "Presentation"], 
             CellMargins -> {{35, 10}, {4, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOCLink", "SlideShow"]], 
            Cell[
             StyleData["SlideTOCLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOC"], CellDingbat -> "\[Bullet]", 
             CellMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["SlideTOC", "Presentation"], 
             CellMargins -> {{25, 10}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOC", "SlideShow"], FontSize -> 14], 
            Cell[
             StyleData["SlideTOC", "Printout"], FontSize -> 10, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]]}, Open]]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Mac OS X x86 (32-bit) (November 6, 2010)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "c:1"->{
  Cell[400, 13, 489, 8, 140, "Title",
   CellTags->"c:1"]},
 "c:6"->{
  Cell[6335, 175, 760, 16, 137, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}],
  Cell[7098, 193, 714, 14, 81, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}]},
 "b:5.1.2"->{
  Cell[6335, 175, 760, 16, 137, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}],
  Cell[7098, 193, 714, 14, 81, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}]},
 "b:5.0"->{
  Cell[12296, 318, 700, 15, 53, "Text",
   CellTags->"b:5.0"],
  Cell[14955, 399, 742, 16, 24, "Text",
   CellTags->"b:5.0"],
  Cell[17444, 466, 467, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[18035, 485, 548, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[19182, 512, 570, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[20489, 543, 714, 16, 24, "Text",
   CellTags->"b:5.0"],
  Cell[22618, 584, 749, 16, 24, "Text",
   CellTags->"b:5.0"],
  Cell[24983, 635, 1176, 22, 82, "Text",
   CellTags->"b:5.0"],
  Cell[28833, 737, 932, 19, 24, "Text",
   CellTags->"b:5.0"],
  Cell[31381, 788, 1044, 20, 24, "Text",
   CellTags->"b:5.0"],
  Cell[32428, 810, 1637, 30, 314, "Text",
   CellTags->"b:5.0"],
  Cell[35316, 870, 1115, 21, 24, "Text",
   CellTags->"b:5.0"],
  Cell[43714, 1078, 1180, 22, 24, "Text",
   CellTags->"b:5.0"],
  Cell[48836, 1208, 1219, 22, 24, "Text",
   CellTags->"b:5.0"],
  Cell[50468, 1243, 1251, 23, 82, "Text",
   CellTags->"b:5.0"],
  Cell[58583, 1442, 924, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[68069, 1617, 1127, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[72172, 1705, 1214, 19, 22, "Text",
   CellTags->"b:5.0"],
  Cell[78384, 1838, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[80266, 1876, 1108, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[82400, 1920, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[85366, 1995, 971, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[89683, 2098, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[94636, 2221, 915, 18, 53, "Text",
   CellTags->"b:5.0"],
  Cell[103261, 2441, 870, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[115179, 2708, 1167, 21, 24, "Text",
   CellTags->"b:5.0"],
  Cell[119564, 2823, 1127, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[123624, 2910, 1214, 19, 22, "Text",
   CellTags->"b:5.0"],
  Cell[126995, 2981, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[128931, 3020, 1108, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[131119, 3065, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[132530, 3095, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[139537, 3266, 870, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[150793, 3512, 1171, 21, 23, "Text",
   CellTags->"b:5.0"],
  Cell[155231, 3627, 1127, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[159341, 3715, 1214, 19, 22, "Text",
   CellTags->"b:5.0"],
  Cell[162765, 3787, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[164750, 3827, 1108, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[166984, 3872, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[168445, 3903, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[175502, 4075, 870, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[186909, 4324, 1178, 21, 23, "Text",
   CellTags->"b:5.0"],
  Cell[191404, 4440, 1127, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[195513, 4528, 1214, 19, 22, "Text",
   CellTags->"b:5.0"],
  Cell[198934, 4600, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[200921, 4640, 1108, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[203157, 4685, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[204620, 4716, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[211674, 4888, 870, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[223062, 5135, 870, 17, 23, "Text",
   CellTags->"b:5.0"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"c:1", 313553, 7097},
 {"c:6", 313623, 7100},
 {"b:5.1.2", 313797, 7105},
 {"b:5.0", 313969, 7110}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 489, 8, 140, "Title",
 CellTags->"c:1"],
Cell[892, 23, 152, 2, 34, "Subtitle"],
Cell[1047, 27, 306, 8, 20, "Abstract"],
Cell[1356, 37, 148, 2, 22, "Text"],
Cell[1507, 41, 239, 4, 22, "Text"],
Cell[CellGroupData[{
Cell[1771, 49, 354, 11, 51, "Section"],
Cell[2128, 62, 305, 5, 22, "Text"],
Cell[2436, 69, 249, 7, 43, "MathCaption"],
Cell[2688, 78, 340, 9, 43, "MathCaption"],
Cell[3031, 89, 289, 8, 60, "Input"],
Cell[3323, 99, 133, 1, 40, "MathCaption"],
Cell[3459, 102, 123, 2, 44, "Input"]
}, Open  ]],
Cell[3597, 107, 205, 4, 40, "MathCaption"],
Cell[3805, 113, 259, 4, 44, "Input"],
Cell[4067, 119, 302, 7, 43, "MathCaption"],
Cell[4372, 128, 714, 19, 105, "Input",
 CellID->425297121],
Cell[5089, 149, 333, 7, 44, "Input"],
Cell[5425, 158, 907, 15, 75, "Input"],
Cell[6335, 175, 760, 16, 137, "Subsection",
 CellTags->{"c:6", "b:5.1.2"}],
Cell[7098, 193, 714, 14, 81, "Subsection",
 CellTags->{"c:6", "b:5.1.2"}],
Cell[7815, 209, 4478, 107, 341, "Input"],
Cell[12296, 318, 700, 15, 53, "Text",
 CellTags->"b:5.0"],
Cell[12999, 335, 1953, 62, 60, "Input"],
Cell[14955, 399, 742, 16, 24, "Text",
 CellTags->"b:5.0"],
Cell[15700, 417, 1741, 47, 105, "Input"],
Cell[17444, 466, 467, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[17914, 481, 118, 2, 44, "Input"],
Cell[18035, 485, 548, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[18586, 500, 593, 10, 60, "Input"],
Cell[19182, 512, 570, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[19777, 529, 709, 12, 60, "Input"],
Cell[20489, 543, 714, 16, 24, "Text",
 CellTags->"b:5.0"],
Cell[21206, 561, 1409, 21, 60, "Input"],
Cell[22618, 584, 749, 16, 24, "Text",
 CellTags->"b:5.0"],
Cell[23370, 602, 1598, 30, 90, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[24983, 635, 1176, 22, 82, "Text",
 CellTags->"b:5.0"],
Cell[26162, 659, 2668, 76, 180, "Input"],
Cell[28833, 737, 932, 19, 24, "Text",
 CellTags->"b:5.0"],
Cell[29768, 758, 1610, 28, 90, "Input"],
Cell[31381, 788, 1044, 20, 24, "Text",
 CellTags->"b:5.0"],
Cell[32428, 810, 1637, 30, 314, "Text",
 CellTags->"b:5.0"],
Cell[34068, 842, 1245, 26, 60, "Input"],
Cell[35316, 870, 1115, 21, 24, "Text",
 CellTags->"b:5.0"],
Cell[36434, 893, 975, 26, 60, "Input"],
Cell[37412, 921, 1050, 28, 120, "Input"],
Cell[38465, 951, 5246, 125, 320, "Input"],
Cell[43714, 1078, 1180, 22, 24, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[44919, 1104, 2814, 70, 90, "Input"],
Cell[CellGroupData[{
Cell[47758, 1178, 1075, 28, 90, "Input"],
Cell[48836, 1208, 1219, 22, 24, "Text",
 CellTags->"b:5.0"],
Cell[50058, 1232, 383, 7, 105, "Input"]
}, Open  ]]
}, Open  ]],
Cell[50468, 1243, 1251, 23, 82, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[51744, 1270, 4236, 96, 165, "Input"],
Cell[55983, 1368, 2585, 71, 120, "Input"]
}, Open  ]],
Cell[58583, 1442, 924, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[59532, 1461, 6673, 102, 105, "Input"],
Cell[66208, 1565, 579, 13, 90, "Input"],
Cell[66790, 1580, 169, 2, 40, "MathCaption"],
Cell[66962, 1584, 848, 22, 75, "Input"],
Cell[67813, 1608, 241, 6, 44, "Input"]
}, Open  ]],
Cell[68069, 1617, 1127, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[69199, 1641, 2970, 62, 60, "Input"],
Cell[72172, 1705, 1214, 19, 22, "Text",
 CellTags->"b:5.0"],
Cell[73389, 1726, 2460, 54, 105, "Input",
 CellID->2131832492],
Cell[75852, 1782, 2529, 54, 105, "Input",
 CellID->21267],
Cell[78384, 1838, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[79454, 1859, 809, 15, 105, "Input"],
Cell[80266, 1876, 1108, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[81377, 1896, 1008, 21, 105, "Input"]
}, Open  ]],
Cell[82400, 1920, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[83392, 1938, 391, 10, 44, "Input"],
Cell[83786, 1950, 172, 2, 40, "MathCaption"],
Cell[83961, 1954, 548, 14, 44, "Input"],
Cell[84512, 1970, 122, 1, 40, "MathCaption"],
Cell[84637, 1973, 726, 20, 60, "Input"],
Cell[85366, 1995, 971, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[86340, 2012, 3340, 84, 390, "Input"],
Cell[89683, 2098, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[90650, 2115, 3983, 104, 150, "Input"],
Cell[94636, 2221, 915, 18, 53, "Text",
 CellTags->"b:5.0"],
Cell[95554, 2241, 2548, 71, 105, "Input"],
Cell[98105, 2314, 3175, 78, 105, "Input",
 CellID->1733570887],
Cell[101283, 2394, 1466, 30, 90, "Input"],
Cell[102752, 2426, 506, 13, 60, "Input"],
Cell[103261, 2441, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[104134, 2460, 4106, 81, 75, "Input"],
Cell[108243, 2543, 2810, 62, 75, "Input"],
Cell[111056, 2607, 2575, 59, 75, "Input"],
Cell[113634, 2668, 693, 13, 44, "Input"],
Cell[114330, 2683, 824, 21, 60, "Input"],
Cell[CellGroupData[{
Cell[115179, 2708, 1167, 21, 24, "Text",
 CellTags->"b:5.0"],
Cell[116349, 2731, 2264, 62, 135, "Input"],
Cell[118616, 2795, 682, 19, 75, "Input"],
Cell[119301, 2816, 260, 5, 44, "Input"],
Cell[119564, 2823, 1127, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[120694, 2847, 2927, 61, 60, "Input"],
Cell[123624, 2910, 1214, 19, 22, "Text",
 CellTags->"b:5.0"],
Cell[124841, 2931, 2151, 48, 90, "Input",
 CellID->1793255356],
Cell[126995, 2981, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[128065, 3002, 863, 16, 105, "Input"],
Cell[128931, 3020, 1108, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[130042, 3040, 1062, 22, 105, "Input"]
}, Open  ]],
Cell[131119, 3065, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[132111, 3083, 416, 10, 44, "Input"],
Cell[132530, 3095, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[133497, 3112, 4006, 104, 150, "Input"],
Cell[137506, 3218, 1519, 31, 90, "Input"],
Cell[139028, 3251, 506, 13, 60, "Input"],
Cell[139537, 3266, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[140410, 3285, 4159, 82, 75, "Input"],
Cell[144572, 3369, 2860, 62, 75, "Input"],
Cell[147435, 3433, 2625, 59, 75, "Input"],
Cell[150063, 3494, 693, 13, 44, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[150793, 3512, 1171, 21, 23, "Text",
 CellTags->"b:5.0"],
Cell[151967, 3535, 2215, 61, 135, "Input"],
Cell[154185, 3598, 730, 19, 75, "Input"],
Cell[154918, 3619, 310, 6, 44, "Input"],
Cell[155231, 3627, 1127, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[156361, 3651, 2977, 62, 60, "Input"],
Cell[159341, 3715, 1214, 19, 22, "Text",
 CellTags->"b:5.0"],
Cell[160558, 3736, 2204, 49, 90, "Input",
 CellID->857340578],
Cell[162765, 3787, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[163835, 3808, 912, 17, 105, "Input"],
Cell[164750, 3827, 1108, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[165861, 3847, 1108, 22, 105, "Input"]
}, Open  ]],
Cell[166984, 3872, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[167976, 3890, 466, 11, 44, "Input"],
Cell[168445, 3903, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[169412, 3920, 4056, 105, 150, "Input"],
Cell[173471, 4027, 1519, 31, 90, "Input"],
Cell[174993, 4060, 506, 13, 60, "Input"],
Cell[175502, 4075, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[176375, 4094, 4208, 83, 75, "Input"],
Cell[180586, 4179, 2910, 63, 75, "Input"],
Cell[183499, 4244, 2677, 60, 75, "Input"],
Cell[186179, 4306, 693, 13, 44, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[186909, 4324, 1178, 21, 23, "Text",
 CellTags->"b:5.0"],
Cell[188090, 4347, 2263, 62, 135, "Input"],
Cell[190356, 4411, 730, 19, 75, "Input"],
Cell[191089, 4432, 312, 6, 44, "Input"],
Cell[191404, 4440, 1127, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[192534, 4464, 2976, 62, 60, "Input"],
Cell[195513, 4528, 1214, 19, 22, "Text",
 CellTags->"b:5.0"],
Cell[196730, 4549, 2201, 49, 90, "Input",
 CellID->1855306723],
Cell[198934, 4600, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[200004, 4621, 914, 17, 105, "Input"],
Cell[200921, 4640, 1108, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[202032, 4660, 1110, 22, 105, "Input"]
}, Open  ]],
Cell[203157, 4685, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[204149, 4703, 468, 11, 44, "Input"],
Cell[204620, 4716, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[205587, 4733, 4054, 105, 150, "Input"],
Cell[209644, 4840, 1518, 31, 90, "Input"],
Cell[211165, 4873, 506, 13, 60, "Input"],
Cell[211674, 4888, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[212547, 4907, 4209, 83, 75, "Input"],
Cell[216759, 4992, 2912, 63, 75, "Input"],
Cell[219674, 5057, 2677, 60, 75, "Input"],
Cell[222354, 5119, 693, 13, 44, "Input"]
}, Closed]],
Cell[223062, 5135, 870, 17, 23, "Text",
 CellTags->"b:5.0"],
Cell[223935, 5154, 6828, 157, 240, "Input"],
Cell[230766, 5313, 5132, 127, 240, "Input"],
Cell[235901, 5442, 4990, 126, 255, "Input"],
Cell[240894, 5570, 693, 13, 44, "Input"],
Cell[241590, 5585, 4839, 112, 135, "Input"],
Cell[246432, 5699, 334, 6, 44, "Input"]
}
]
*)

