(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    227472,       5291]
NotebookOptionsPosition[    152514,       3650]
NotebookOutlinePosition[    221880,       5127]
CellTagsIndexPosition[    221734,       5119]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["Two qubits subject to random errors\nwith parallel \
multiverse version\nWith Algorithm  -Produce Bell state and then undoe Bell \
state case",
 FontSlant->"Italic"]], "Title",
 CellChangeTimes->{{3.492806618285582*^9, 3.492806633174077*^9}, {
  3.4939943752442827`*^9, 3.493994400790002*^9}, {3.49407708965654*^9, 
  3.494077110901979*^9}, {3.4941603453643*^9, 3.4941603718074207`*^9}, {
  3.494241061557054*^9, 3.4942410655927343`*^9}, {3.494879888764962*^9, 
  3.4948798931495667`*^9}, {3.500559392567027*^9, 3.50055946447418*^9}},
 CellTags->"c:1"],

Cell["     ", "Subtitle",
 CellChangeTimes->{{3.4942410718803663`*^9, 3.494241075592243*^9}}],

Cell[TextData[{
 "Version: Jan-2011--For ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 7.0-8.0"
}], "Abstract",
 CellChangeTimes->{{3.395090887981901*^9, 3.395090925377634*^9}, {
  3.489167453263467*^9, 3.489167474101137*^9}, {3.512218354372922*^9, 
  3.51221835576024*^9}, {3.512238522781186*^9, 3.512238532591263*^9}}],

Cell[TextData[ButtonBox["Click here to get the palette: QDENSpalette.nb",
 BaseStyle->"Hyperlink",
 ButtonData:>{"QDENSpalette.nb", None}]], "Text"],

Cell[TextData[StyleBox[" ",
 FontFamily->"Helvetica"]], "Text",
 CellChangeTimes->{{3.49280666738899*^9, 3.492806682586589*^9}, 
   3.494879878291086*^9},
 FontFamily->"Courier New"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Getting Kernels Started",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.4380164724409447`*^9, 3.438016476270412*^9}, {
  3.438016514512711*^9, 3.438016522205989*^9}}],

Cell["\<\
In the evaluation menu, you can find the status of all your currently running \
kernels, as well as configure new ones, through the Parallel Kernel Status \
and Parallel Kernel Configuration menu items, respectively:\
\>", "Text",
 CellChangeTimes->{{3.437841974124*^9, 3.4378420319852448`*^9}}],

Cell[TextData[{
 "You can shut down the kernels with the ",
 StyleBox["CloseKernels[]",
  FontFamily->"Courier"],
 StyleBox[" command:",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.4378420647868032`*^9, 3.4378420879104967`*^9}}],

Cell[TextData[{
 "The ",
 StyleBox["LaunchKernels[]",
  FontFamily->"Courier"],
 StyleBox[" command will explicitly launch all kernels that you have \
configured on your system",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.437841903753237*^9, 3.4378419554507647`*^9}, {
  3.4378420357789183`*^9, 3.437842036152274*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LaunchKernels", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.4947991480797777`*^9, {3.49539004994879*^9, 3.495390050397406*^9}}],

Cell["You can see a list of the running kernels:", "MathCaption",
 CellChangeTimes->{{3.4378420465580997`*^9, 3.437842057754449*^9}}],

Cell[BoxData[
 RowBox[{"Kernels", "[", "]"}]], "Input",
 CellChangeTimes->{{3.437842059559795*^9, 3.4378420617887697`*^9}}]
}, Open  ]],

Cell["\<\
Set up number of processors nprocs  use $KernelCount to include remote kernels\
\>", "MathCaption",
 CellChangeTimes->{{3.4378420465580997`*^9, 3.437842057754449*^9}, 
   3.4946782354493847`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nprocs", "=", "$KernelCount"}], 
  ";"}], "\[IndentingNewLine]", "nprocs"}], "Input",
 CellChangeTimes->{{3.438618048960599*^9, 3.4386180519334373`*^9}, {
   3.438618121691539*^9, 3.4386181402489443`*^9}, 3.4386963128318157`*^9, {
   3.495390061520997*^9, 3.495390062684062*^9}, {3.495413730068717*^9, 
   3.495413739968504*^9}}],

Cell[TextData[{
 "You can now setup Qdensity and QCWave on all the Kernels",
 StyleBox[":",
  FontFamily->"Utopia"]
}], "MathCaption",
 CellChangeTimes->{{3.4378420647868032`*^9, 3.4378420879104967`*^9}, {
  3.474736121218618*^9, 3.474736141389122*^9}, {3.494234199221211*^9, 
  3.494234205870905*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ParallelNeeds", "[", "\"\<QDENSITY`Qdensity`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Needs", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ParallelNeeds", "[", "\"\<QDENSITY`QCWave`\>\"", "]"}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<QDENSITY`Circuits`\>\"", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.4917425943682203`*^9, 3.4917426398034697`*^9}, {
  3.4947664217720346`*^9, 3.494766436919654*^9}},
 CellID->425297121],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
  "Set", " ", "up", " ", "processor", " ", "ip0", " ", "for", " ", 
   "processor", " ", "ID"}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.438618342745201*^9, 3.438618372365713*^9}, {
  3.438642528472526*^9, 3.438642537149721*^9}, {3.4948693259162397`*^9, 
  3.494869348426427*^9}}],

Cell[BoxData[{
 RowBox[{"ParallelEvaluate", "[", "$KernelID", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ip0", "=", 
  RowBox[{
   RowBox[{"ParallelEvaluate", "[", "$KernelID", "]"}], "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ip0", "+", "nprocs", "-", "1"}]}], "Input",
 CellChangeTimes->{{3.4747394288772*^9, 3.474739451000877*^9}, {
  3.474739508423588*^9, 3.4747395103105593`*^9}, {3.474813260709779*^9, 
  3.474813489498263*^9}, {3.474813525185297*^9, 3.474813533659933*^9}, {
  3.474813594435273*^9, 3.474813606499097*^9}, {3.474814074386547*^9, 
  3.474814083696747*^9}, {3.491861734901787*^9, 3.491861735800363*^9}, {
  3.494685881507721*^9, 3.4946858861679497`*^9}, {3.4946977841987534`*^9, 
  3.4946977885833693`*^9}, {3.494863775267818*^9, 3.494863789824148*^9}, {
  3.494863831089025*^9, 3.49486384269028*^9}, {3.4948693646287737`*^9, 
  3.4948693652891073`*^9}}],

Cell["\<\
Two  qubit storage case
Consider a state a00 | 00 > +....a11  | 1  1>  subject to errors
Just trying to store that state.
Do errors on various processors.
Then generate ensemble average density matrix\
\>", "Subsection",
 CellFrame->True,
 CellChangeTimes->{{3.491570824339962*^9, 3.4915708247366962`*^9}, 
   3.4916656416582127`*^9, {3.491683151861877*^9, 3.491683153234818*^9}, {
   3.491830688267021*^9, 3.491830694774911*^9}, {3.491830917303151*^9, 
   3.491831026625505*^9}, {3.4918617823491497`*^9, 3.491861832447604*^9}, {
   3.494160555234477*^9, 3.494160628958004*^9}, 3.49418351449654*^9, {
   3.494234268533813*^9, 3.4942342729835367`*^9}, {3.4948628403810253`*^9, 
   3.4948628437416143`*^9}, {3.4953901006466093`*^9, 3.4953901232998753`*^9}},
 FontFamily->"Times",
 CellTags->{"c:6", "b:5.1.2"}],

Cell["\<\
Sample two  qubit circuit
On Master no noise
On other processors circuit shows sample noise cases
Actual noise generated at random--see circuit later\
\>", "Subsection",
 CellFrame->True,
 CellChangeTimes->{{3.491570824339962*^9, 3.4915708247366962`*^9}, 
   3.4916656416582127`*^9, {3.491683151861877*^9, 3.491683153234818*^9}, {
   3.491830688267021*^9, 3.491830694774911*^9}, {3.491830917303151*^9, 
   3.491831026625505*^9}, {3.4918617823491497`*^9, 3.491861832447604*^9}, {
   3.494160555234477*^9, 3.494160628958004*^9}, 3.49418351449654*^9, {
   3.494234268533813*^9, 3.4942342729835367`*^9}, {3.4948628403810253`*^9, 
   3.49486289337845*^9}, {3.4949389141401*^9, 3.4949389322613487`*^9}, {
   3.4953901335080843`*^9, 3.495390134145103*^9}, {3.496575073608148*^9, 
   3.496575086166994*^9}, {3.4976927467473392`*^9, 3.497692750327187*^9}},
 FontFamily->"Times",
 CellTags->{"c:6", "b:5.1.2"}],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{
   RowBox[{"nqset", "=", "2"}], ";", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"initialKets", "[", "matr_", "]"}], ":=", 
    RowBox[{
     RowBox[{"initialKetsA", "[", "matr", "]"}], "\[IndentingNewLine]", 
     RowBox[{"mat0", "=", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"BM", ",", "BM"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}]}]}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"encode0", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat0", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat1", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "X"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"X", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Z", ",", "Y"}], "}"}]}], "}"}], "]"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"encode1", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat1", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat2", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Y", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "X"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "Z"}], "}"}]}], "}"}], "]"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"encode2", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat2", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"mat3", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"Y", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}]}], "}"}], "]"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"encode3", "=", 
    RowBox[{"Circuit", "[", 
     RowBox[{"mat3", ",", 
      RowBox[{"{", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Show", "[", 
      RowBox[{"encode0", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< Two Qubits No Noise on Master \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], " ", 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode1", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< Two Qubits Noise on Processor 1 \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode2", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< Two Qubits Noise on Processor 2 \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Show", "[", 
      RowBox[{"encode3", ",", 
       RowBox[{"PlotLabel", "\[Rule]", 
        RowBox[{"Style", "[", 
         RowBox[{"\"\< Two Qubits Noise on Processor .... \>\"", ",", "18"}], 
         "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"ImageSize", "\[Rule]", "450"}]}], "]"}], 
     "\[IndentingNewLine]", 
     RowBox[{"initialKets", "[", "matr_", "]"}]}], ":=", 
    RowBox[{"initialKetsq", "[", "matr", "]"}]}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.493757200281439*^9, 3.493757237969617*^9}, {
   3.4937572895205297`*^9, 3.493757309291018*^9}, {3.493757350807509*^9, 
   3.493757351442051*^9}, 3.493805249864169*^9, {3.4938055262171507`*^9, 
   3.4938055508260403`*^9}, {3.493805582753765*^9, 3.49380575966317*^9}, {
   3.493805799540719*^9, 3.4938058741786833`*^9}, {3.493805998192298*^9, 
   3.4938060066903267`*^9}, {3.4938062992403183`*^9, 3.493806352737567*^9}, {
   3.4941610247518587`*^9, 3.49416108819816*^9}, 3.49419042031912*^9, {
   3.494688292496334*^9, 3.4946882955951757`*^9}, 3.494856798318976*^9, {
   3.49486190026408*^9, 3.4948624626327267`*^9}, 3.494862496460649*^9, {
   3.494862540024458*^9, 3.4948626028581743`*^9}, {3.49486265080289*^9, 
   3.494862657395893*^9}, {3.494862704449649*^9, 3.4948627832981243`*^9}, {
   3.494879911269306*^9, 3.494879911557067*^9}, {3.4948799792479143`*^9, 
   3.49488000494594*^9}, {3.494880044031947*^9, 3.4948800506538887`*^9}, {
   3.494880140570876*^9, 3.494880166894353*^9}, {3.494880237509489*^9, 
   3.4948803662436666`*^9}, {3.499269599298128*^9, 3.4992696036150103`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup density matrix for pure state for all processors\n  \
Includes check that state is a matrix--needed for tensor product definition",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.494321159991131*^9, 3.4943211792635403`*^9}, {3.494868404497671*^9, 
   3.494868450613071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Rho]", "[", "state_", "]"}], 
  StyleBox[
   RowBox[{":", 
    StyleBox["=",
     FontSize->12]}]], 
  StyleBox[" ",
   FontSize->12], 
  RowBox[{
   StyleBox["Module",
    FontSize->12], 
   StyleBox["[",
    FontSize->12], 
   StyleBox[" ",
    FontSize->12], 
   RowBox[{
    StyleBox[
     RowBox[{"{", 
      RowBox[{"rho", ",", " ", "stat"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"stat", "=", "state"}],
      FontSize->12], 
     StyleBox[";",
      FontSize->12], 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"MatrixQ", "[", "stat", "]"}], "\[Equal]", "True"}], ",", 
       RowBox[{"rho", "=", 
        RowBox[{
         StyleBox["stat",
          FontSize->12], " ", "\[CircleTimes]", " ", 
         StyleBox[
          RowBox[{"Adj", "[", "stat", "]"}],
          FontSize->12]}]}], 
       StyleBox[",",
        FontSize->12], 
       RowBox[{"rho", "=", 
        RowBox[{
         RowBox[{"{", 
          StyleBox["stat",
           FontSize->12], 
          StyleBox["}",
           FontSize->12]}], " ", "\[CircleTimes]", " ", 
         StyleBox[
          RowBox[{"Adj", "[", 
           RowBox[{"{", "stat", "}"}], "]"}],
          FontSize->12]}]}]}], "  ", "]"}], ";", "  ", "rho"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"DistributeDefinitions", "[", 
  RowBox[{"{", "\[Rho]", "}"}], "]"}]}], "Input",
 CellChangeTimes->{{3.494321336154468*^9, 3.494321336788484*^9}, {
   3.494862923734084*^9, 3.494862952756681*^9}, {3.494864762332388*^9, 
   3.494864782792903*^9}, {3.494864878782111*^9, 3.49486488521845*^9}, 
   3.494865811840151*^9, {3.494866044428823*^9, 3.494866049499946*^9}, {
   3.494866113916251*^9, 3.49486613897621*^9}, {3.4948662083039627`*^9, 
   3.4948662647279778`*^9}, {3.494866322129393*^9, 3.494866358852591*^9}, {
   3.4948664688428593`*^9, 3.494866490835557*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " New FidelityB Method  Using Eigenvalues of rho1.rho2"
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.494321159991131*^9, 3.4943211792635403`*^9}, {3.494868404497671*^9, 
   3.494868450613071*^9}, {3.495383360363735*^9, 3.495383397213029*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FidelityB", "[", 
   RowBox[{
    RowBox[{"O_", "?", "MatrixQ"}], ",", 
    RowBox[{"P_", "?", "MatrixQ"}]}], "]"}], ":=", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "}"}], ",", "\n", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "[", 
        RowBox[{
         RowBox[{"O", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
       RowBox[{"SQB", "=", 
        RowBox[{"SetAccuracy", "[", 
         RowBox[{
          RowBox[{"O", ".", "P"}], ",", "20"}], "]"}]}], ",", 
       RowBox[{"SQB", "=", 
        RowBox[{"O", ".", "P"}]}]}], "]"}], ";", "\n", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"NumberQ", "[", 
        RowBox[{
         RowBox[{"O", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], ",", 
       RowBox[{"FideB", "=", 
        RowBox[{"SetAccuracy", "[", 
         RowBox[{
          RowBox[{"Sqrt", "[", 
           RowBox[{"Eigenvalues", "[", "SQB", "]"}], "]"}], ",", "20"}], 
         "]"}]}], ",", 
       RowBox[{"FideB", "=", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"Eigenvalues", "[", "SQB", "]"}], "]"}]}]}], "]"}], ";", 
     "\n", 
     RowBox[{"Re", "[", 
      RowBox[{"Tr", "[", "FideB", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.495305113557213*^9, 3.495305113779478*^9}, {
   3.495311978326344*^9, 3.495311982497341*^9}, {3.495369613354203*^9, 
   3.4953696180294847`*^9}, 3.495383355067608*^9, {3.495385838746525*^9, 
   3.4953858393816023`*^9}, {3.499251907179097*^9, 3.499251908739435*^9}, {
   3.499251942190864*^9, 3.499251942677472*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 " ",
 StyleBox["Setup initial two qubits  ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.499344400131329*^9, 
   3.499344411018957*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"nq", "=", "2"}]], "Input",
 CellChangeTimes->{{3.495888299013968*^9, 3.4958883002551947`*^9}, {
  3.496767653437172*^9, 3.496767653871851*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial | 0 0 >  state",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, 3.494234718531823*^9, {
   3.494880387090537*^9, 3.494880387588076*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi0", "=", " ", 
   RowBox[{
    RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    RowBox[{"Ket", "[", "0", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.494235174126033*^9, 
   3.494235331826366*^9}, {3.494275837852777*^9, 3.494275838362171*^9}, 
   3.494277556428405*^9, {3.494865084847228*^9, 3.494865134133802*^9}, {
   3.494865873001933*^9, 3.4948658738243313`*^9}, {3.49486628490898*^9, 
   3.494866300453661*^9}, {3.494880426021151*^9, 3.494880490191003*^9}, {
   3.4948812021328783`*^9, 3.494881202706745*^9}, {3.49539018026392*^9, 
   3.495390208761018*^9}, {3.495390638414365*^9, 3.495390650611189*^9}, {
   3.504482360441988*^9, 3.504482363075471*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial random state = \[Alpha]00 |0 0 > + \[Alpha]01 |0 1 \
> + \[Alpha]10 |1 0 > + \[Alpha]11 |1 1 >\n  ",
  FontWeight->"Bold"],
 StyleBox["We prepare a random two qubit state. ", "DisplayText",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0},
  Background->None],
 StyleBox[" ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494880602451468*^9, 3.494880658226346*^9}, {3.494880877504518*^9, 
   3.494880888214096*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"phi", ",", "\[Psi]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"phi", "=", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Random", "[", 
       RowBox[{"Complex", ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "1"}], "-", "I"}], ",", 
          RowBox[{"1", "+", "I"}]}], "}"}]}], "]"}], "&"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "^", "2"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Norm2", "=", 
   RowBox[{"Re", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"Adj", "[", "phi", "]"}], ".", "phi"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psir", "=", 
   RowBox[{"phi", " ", "/", 
    RowBox[{
     RowBox[{"Norm2", " ", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"DForm", "[", "%", "]"}]}]}], "Input",
 CellChangeTimes->{{3.4386286825417423`*^9, 3.43862873130777*^9}, {
   3.438642673161892*^9, 3.438642717041432*^9}, {3.43881281157358*^9, 
   3.438812872892215*^9}, {3.4388129196422853`*^9, 3.4388129224837017`*^9}, {
   3.438812972748826*^9, 3.4388132249369183`*^9}, {3.4388132657511997`*^9, 
   3.438813301388896*^9}, {3.438813340709639*^9, 3.438813410386697*^9}, {
   3.4388579308067837`*^9, 3.4388580175353603`*^9}, {3.438858057431324*^9, 
   3.438858057991457*^9}, {3.438858098442521*^9, 3.4388581012462893`*^9}, {
   3.43885870351792*^9, 3.4388587192686768`*^9}, {3.438858852927211*^9, 
   3.4388589064907417`*^9}, {3.438858964818686*^9, 3.4388590022891197`*^9}, {
   3.438859116620388*^9, 3.438859139026813*^9}, {3.4388591751443567`*^9, 
   3.438859176882167*^9}, {3.4388592254160423`*^9, 3.4388593338994217`*^9}, {
   3.438859408586566*^9, 3.43885943728673*^9}, {3.438859483831682*^9, 
   3.438859501104269*^9}, 3.474984669972704*^9, {3.474998107988606*^9, 
   3.474998113684219*^9}, {3.4754075378910227`*^9, 3.475407539191668*^9}, 
   3.4754258856549377`*^9, {3.4754987222761707`*^9, 3.4754987263238277`*^9}, {
   3.475513513444189*^9, 3.475513516694405*^9}, {3.475514646958042*^9, 
   3.475514651656534*^9}, {3.475594469651238*^9, 3.47559448417516*^9}, {
   3.475933815590268*^9, 3.4759338412886047`*^9}, {3.475934267903139*^9, 
   3.475934283426684*^9}, {3.4759343753171673`*^9, 3.475934442862256*^9}, {
   3.475934540753324*^9, 3.475934589777287*^9}, {3.4759346219678783`*^9, 
   3.475934827264127*^9}, {3.4759348670057297`*^9, 3.4759351396415663`*^9}, {
   3.481706050583519*^9, 3.481706115248671*^9}, {3.4817061934205933`*^9, 
   3.4817061948070793`*^9}, {3.481706243670491*^9, 3.481706275919441*^9}, {
   3.481706315134181*^9, 3.481706324857215*^9}, {3.481706374261114*^9, 
   3.481706400420575*^9}, {3.481707846886155*^9, 3.481707874233832*^9}, {
   3.4817081926613703`*^9, 3.481708196733687*^9}, {3.481708233459076*^9, 
   3.481708247408731*^9}, {3.481734672770369*^9, 3.481734686868181*^9}, 
   3.481924815930072*^9, {3.4827920580032177`*^9, 3.482792119960168*^9}, {
   3.482792198675353*^9, 3.482792199523538*^9}, 3.4827923010389547`*^9, {
   3.483016162251617*^9, 3.483016163325083*^9}, {3.486027491033738*^9, 
   3.486027547005254*^9}, {3.4860379549536543`*^9, 3.486037955701158*^9}, {
   3.4860381649674397`*^9, 3.486038167227916*^9}, {3.4860385701176453`*^9, 
   3.486038577714788*^9}, {3.4948809240188313`*^9, 3.494880958178944*^9}, {
   3.494880990815792*^9, 3.494881010291678*^9}, {3.494881321681088*^9, 
   3.4948813221429567`*^9}, {3.495390227991465*^9, 3.495390228983988*^9}, {
   3.495390705328094*^9, 3.495390716361149*^9}, {3.50448262021274*^9, 
   3.504482754290387*^9}, {3.504482798641075*^9, 3.504482799526545*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["Initial pure random state --look at coefficients   ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, 3.4946978419189177`*^9, 
   3.494881025439501*^9, {3.497692775377246*^9, 3.497692776914604*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"\[Alpha]00", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Bra", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Bra", "[", "0", "]"}]}], ")"}], ".", 
   "psir"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]01", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Bra", "[", "0", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Bra", "[", "1", "]"}]}], ")"}], ".", 
   "psir"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[Alpha]10", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"Bra", "[", "1", "]"}], "\[CircleTimes]", " ", 
     RowBox[{"Bra", "[", "0", "]"}]}], ")"}], ".", 
   "psir"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]11", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"Bra", "[", "1", "]"}], "\[CircleTimes]", " ", 
      RowBox[{"Bra", "[", "1", "]"}]}], ")"}], ".", "psir"}]}], 
  "\[IndentingNewLine]", " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Abs", "[", "\[Alpha]00", "]"}], "^", "2"}], "+", 
   RowBox[{
    RowBox[{"Abs", "[", "\[Alpha]01", "]"}], "^", "2"}], "+", 
   RowBox[{
    RowBox[{"Abs", "[", "\[Alpha]10", "]"}], "^", "2"}], "+", 
   RowBox[{
    RowBox[{"Abs", "[", "\[Alpha]11", "]"}], "^", "2"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", " ", 
  RowBox[{
   RowBox[{"Adj", "[", "psir", "]"}], ".", "psir"}], "]"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.492807264602682*^9, 3.492807327026979*^9}, {
   3.492807366504911*^9, 3.4928074532645493`*^9}, {3.49280748769403*^9, 
   3.4928075629909077`*^9}, {3.492810424161002*^9, 3.492810424747387*^9}, 
   3.493852588827669*^9, 3.494161383447719*^9, {3.494161421238412*^9, 
   3.49416156459883*^9}, {3.49417084708389*^9, 3.494170871919129*^9}, {
   3.494170953646809*^9, 3.494170966394895*^9}, {3.4941730307223873`*^9, 
   3.494173099185758*^9}, {3.494182822896158*^9, 3.49418283418182*^9}, {
   3.494183352672758*^9, 3.494183353121208*^9}, {3.4941834381117764`*^9, 
   3.4941834717952623`*^9}, {3.4941835733087273`*^9, 3.494183582353105*^9}, {
   3.494183653324485*^9, 3.494183662933527*^9}, {3.494235481455099*^9, 
   3.49423551853916*^9}, {3.4942402191079817`*^9, 3.494240224905298*^9}, 
   3.494240296794969*^9, {3.494240427883011*^9, 3.494240441918215*^9}, 
   3.494241131501761*^9, {3.4948810302031317`*^9, 3.494881148441038*^9}, 
   3.494881341407667*^9, {3.504482785842577*^9, 3.504482787100803*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial | +  + >  state",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494880509900629*^9, 3.494880513788604*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"psip", "=", "  ", 
   RowBox[{
    RowBox[{"KetX", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
    RowBox[{"KetX", "[", "0", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.4942353564807997`*^9, 
   3.494235370073514*^9}, {3.494275469663225*^9, 3.494275481036162*^9}, {
   3.494275565126511*^9, 3.4942755825238132`*^9}, {3.494275846574936*^9, 
   3.49427584745072*^9}, 3.494277563107408*^9, {3.494865178723888*^9, 
   3.494865230285015*^9}, {3.494865271437023*^9, 3.4948653214347486`*^9}, {
   3.49486589042686*^9, 3.4948658912244062`*^9}, {3.4948805248928127`*^9, 
   3.494880593979307*^9}, 3.494941041419627*^9, {3.495390215696793*^9, 
   3.49539021694617*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup Initial Bell   state",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494880509900629*^9, 3.494880513788604*^9}, {
   3.494940990869872*^9, 3.494940993066121*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CN", "=", 
   RowBox[{"CNOT", "[", 
    RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psibell", "=", 
   RowBox[{"Op2", "[", 
    RowBox[{"CN", ",", "1", ",", "2", ",", 
     RowBox[{"Op1", "[", "  ", 
      RowBox[{"\[ScriptCapitalH]", ",", "1", ",", " ", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"Ket", "[", "0", "]"}], " ", "\[CircleTimes]", " ", 
         RowBox[{"Ket", "[", "0", "]"}]}], "]"}]}], " ", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", 
  RowBox[{"Transpose", "[", 
   RowBox[{"{", "psibell", "}"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.491861912220997*^9, 3.491861922012351*^9}, {
   3.491861985265422*^9, 3.4918620307525053`*^9}, {3.4942353564807997`*^9, 
   3.494235370073514*^9}, {3.494275469663225*^9, 3.494275481036162*^9}, {
   3.494275565126511*^9, 3.4942755825238132`*^9}, {3.494275846574936*^9, 
   3.49427584745072*^9}, 3.494277563107408*^9, {3.494865178723888*^9, 
   3.494865230285015*^9}, {3.494865271437023*^9, 3.4948653214347486`*^9}, {
   3.49486589042686*^9, 3.4948658912244062`*^9}, {3.4948805248928127`*^9, 
   3.494880593979307*^9}, {3.494941003469925*^9, 3.494941127283064*^9}, {
   3.49494118968587*^9, 3.494941243494751*^9}, {3.494941379149431*^9, 
   3.49494138699692*^9}, {3.494941521385968*^9, 3.4949415288722887`*^9}, {
   3.495390241836259*^9, 3.495390242546987*^9}, {3.504482839241399*^9, 
   3.50448286105154*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox["Select initial state.\n Here icase=2 selects initstate = psir \
random state, for example",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494869415551115*^9, 3.494869450063298*^9}, {3.495390280710413*^9, 
   3.49539028430811*^9}, {3.495887055684947*^9, 3.495887100021742*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"icase", "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Acase", "=", 
   RowBox[{"{", 
    RowBox[{"psi0", ",", "psir", ",", "psip", ",", "psibell"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"initstate", "=", 
   RowBox[{"Acase", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Psi]", "=", "  ", "initstate"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"DForm", "[", "\[Psi]", "]"}], "\[IndentingNewLine]", 
 RowBox[{"\[Rho]", "[", "\[Psi]", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  StyleBox[
   RowBox[{"Tr", "[", 
    RowBox[{"\[Rho]", "[", "\[Psi]", "]"}], "]"}],
   FontSize->12], 
  StyleBox["\[Equal]",
   FontSize->12], "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Chop", "[", 
   RowBox[{
    StyleBox["Tr",
     FontSize->12], 
    StyleBox["[",
     FontSize->12], 
    RowBox[{
     StyleBox[
      RowBox[{"\[Rho]", "[", "\[Psi]", "]"}],
      FontSize->12], 
     StyleBox[" ",
      FontSize->12], 
     StyleBox[".",
      FontSize->12], 
     RowBox[{"\[Rho]", "[", "\[Psi]", "]"}]}], 
    StyleBox["]",
     FontSize->12]}], 
   StyleBox["]",
    FontSize->12]}], 
  StyleBox["\[Equal]",
   FontSize->12], "1"}], "\[IndentingNewLine]", 
 RowBox[{"POLPA0", "=", 
  RowBox[{"Table", "[", 
   StyleBox[
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"s", "[", "i", "]"}], " ", "\[CircleTimes]", 
          RowBox[{"s", "[", "0", "]"}]}], ")"}], ".", 
        RowBox[{"\[Rho]", "[", "\[Psi]", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{"POLPB0", "=", 
  RowBox[{"Table", "[", 
   StyleBox[
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"s", "[", "0", "]"}], " ", "\[CircleTimes]", 
          RowBox[{"s", "[", "i", "]"}]}], ")"}], ".", 
        RowBox[{"\[Rho]", "[", "\[Psi]", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}]}]}], "Input",
 CellChangeTimes->{{3.495383544017717*^9, 3.495383596690431*^9}, 
   3.495383683752605*^9, {3.495390329287537*^9, 3.495390333073248*^9}, {
   3.495390369824273*^9, 3.495390377773707*^9}, {3.495390760253721*^9, 
   3.4953907606147623`*^9}, {3.495412979170079*^9, 3.495412979520796*^9}, {
   3.495886793414257*^9, 3.4958867939872437`*^9}, {3.4958868611651287`*^9, 
   3.495886861474655*^9}, {3.495886985777514*^9, 3.49588698603831*^9}, {
   3.4958870514650497`*^9, 3.49588705210098*^9}, 3.4976941553616657`*^9, {
   3.4993584214747953`*^9, 3.499358421747171*^9}, {3.499365465919537*^9, 
   3.499365466192305*^9}, {3.5003345940628233`*^9, 3.5003345943153353`*^9}}],

Cell["If Idebug=1 Turn on debugging:  ", "MathCaption",
 CellChangeTimes->{{3.494946446916541*^9, 3.494946451263776*^9}, {
  3.494946682154512*^9, 3.49494671282662*^9}}],

Cell[BoxData[{
 RowBox[{"Idebug", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", " ", 
      RowBox[{"Tracers", " ", "\[Rule]", " ", 
       RowBox[{"{", "SendReceive", "}"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", 
      RowBox[{"TraceHandler", " ", "\[Rule]", " ", 
       RowBox[{"(", "\"\<Save\>\"", ")"}]}]}], "]"}], ","}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.4949465438003683`*^9, 3.4949466171533813`*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Evaluate statef and density matrix of statef, after nv \
applications of operator s[ic]^n  to initial state= initstate\n on each \
processor, where Pauli components is ic=RandomInteger[{1, 3}], and power of \
Pauli n is random--0 or 1.\n ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494869415551115*^9, 3.494869450063298*^9}, {3.494941626982864*^9, 
   3.494941637418091*^9}, 3.495390412658552*^9},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ipo is first processor ID",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" get density matrix from processor ip=1.. nprocs, after  nmax \
repeats of noise",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.4955332462267447`*^9, 
   3.495533253681316*^9}, {3.495533292933372*^9, 3.495533317918971*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Assume 20% errors distributed over nprocs  ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"errors", "=", ".20"}], " "}], "\[IndentingNewLine]", 
 RowBox[{"prob1", "=", ".95"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"prob2", "=", 
   RowBox[{"1", "-", "prob1"}]}], "                          ", 
  RowBox[{"(*", "  ", 
   RowBox[{"Assume", " ", "20", " ", "%", " ", "noise"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"errors1", "=", 
   RowBox[{"prob1", "*", "errors"}]}], "      ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{
    "Assune", " ", "95", " ", "%", " ", "of", " ", "noise", " ", "is", " ", 
     "one"}], ",", " ", 
    RowBox[{"one", "-", 
     RowBox[{"qubit", " ", "operator"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"errors2", "=", 
   RowBox[{"prob2", "*", "errors"}]}], "      ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{
    "Assume", "  ", "5", " ", "%", " ", "of", " ", "noise", " ", "is", " ", 
     "two"}], ",", " ", 
    RowBox[{"one", "-", 
     RowBox[{"qubit", " ", "operators"}]}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"eps1", "=", 
  RowBox[{"errors1", "/", "nprocs"}]}], "\[IndentingNewLine]", 
 RowBox[{"eps2", "=", 
  RowBox[{"errors2", "/", "nprocs"}]}], "\[IndentingNewLine]", 
 RowBox[{"eps", "=", 
  RowBox[{"eps1", "+", "eps2"}]}], "\[IndentingNewLine]", 
 RowBox[{"prob", "=", 
  RowBox[{"1", "-", " ", 
   RowBox[{"eps1", "*", "nprocs"}], "-", " ", 
   RowBox[{"eps2", "*", "nprocs"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"nmax", "=", "20"}]}], "Input",
 CellChangeTimes->{{3.494240823139206*^9, 3.4942408261183434`*^9}, {
   3.4942409124334917`*^9, 3.494240921693565*^9}, 3.4942410057710333`*^9, {
   3.4942764766545687`*^9, 3.494276544889174*^9}, 3.494278674104209*^9, 
   3.494279066166169*^9, {3.494280280144734*^9, 3.4942803293928556`*^9}, {
   3.494515699896285*^9, 3.4945157066431026`*^9}, {3.49451598422097*^9, 
   3.494515984619083*^9}, {3.4945167249589853`*^9, 3.494516735594625*^9}, {
   3.4948695354542503`*^9, 3.49486953594088*^9}, {3.4948704149807673`*^9, 
   3.494870415180703*^9}, {3.494870467880206*^9, 3.494870521768282*^9}, 
   3.49538515111705*^9, {3.4958879064147*^9, 3.495887909573526*^9}, {
   3.496014770271083*^9, 3.496014771515738*^9}, {3.4990396208408833`*^9, 
   3.499039860483117*^9}, {3.499040495596874*^9, 3.499040496097397*^9}, {
   3.4990405389741373`*^9, 3.499040539996792*^9}, {3.499262667622736*^9, 
   3.499262667683248*^9}, {3.499276222801345*^9, 3.499276243236033*^9}, {
   3.499291731357757*^9, 3.499291731605418*^9}, {3.499344458872244*^9, 
   3.499344496346779*^9}, {3.499345872036479*^9, 3.499345894561718*^9}, {
   3.49935612183534*^9, 3.499356122970605*^9}, {3.499358768625023*^9, 
   3.4993587844599133`*^9}, {3.500237268023521*^9, 3.500237278168892*^9}, {
   3.500333759489428*^9, 3.500333763899022*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Generate sequence of hits on one qubit and associated \
operators---these are distributed over the processors",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.4965060321626577`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" ",
  FontWeight->"Bold"],
 " ",
 StyleBox["following produces random X,Y,Z errors  \n    set:hits=\n         \
RandomInteger[{1,1}] for X only;\n         RandomInteger[{2,2}] for Y only;\n \
         RandomInteger[{3,3}] for Z only; and\n         RandomInteger[{1,3}] \
for random X,Y & Z \n         RandomInteger[{0,3}] for random 1,X,Y & Z.\n    \
     User can generate other cases.\n           ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494869415551115*^9, 3.494869450063298*^9}, {3.495916201205608*^9, 
   3.495916225178462*^9}, {3.496500466543766*^9, 3.496500484993314*^9}, {
   3.496506051515377*^9, 3.496506058987205*^9}, {3.4976914339639053`*^9, 
   3.497691603663495*^9}, {3.4976929675176163`*^9, 3.497692972353252*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t1", ":=", " ", 
   RowBox[{"ReplacePart", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", "nq"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "nq"}], "}"}], "]"}], "->", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2", ":=", 
   RowBox[{
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{"0", ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", "nq"}], "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "->", "xx"}], ",", 
        RowBox[{"2", "\[Rule]", "yy"}]}], "}"}]}], "]"}], " ", "/.", 
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"xx", "\[Rule]", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}], "]"}]}], ",", " ", 
      RowBox[{"yy", "\[Rule]", 
       RowBox[{"RandomInteger", "[", 
        RowBox[{"{", 
         RowBox[{"1", ",", "3"}], "}"}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab", ":=", 
   RowBox[{"Flatten", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"t1", ",", "t2"}], "}"}], ",", 
       RowBox[{"{", "nprocs", "}"}]}], "]"}], ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hits", "=", 
   RowBox[{"Table", "[", " ", 
    RowBox[{"tab", ",", 
     RowBox[{"{", "nmax", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OP", "[", 
   RowBox[{"np_", ",", "nm_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"ss", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hits", "[", 
       RowBox[{"[", "nm", "]"}], "]"}], "[", 
      RowBox[{"[", "np", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[CircleTimes]", "  ", 
   RowBox[{"ss", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hits", "[", 
       RowBox[{"[", "nm", "]"}], "]"}], "[", 
      RowBox[{"[", "np", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", 
    RowBox[{"hits", ",", "OP"}], "}"}], "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.499072651258111*^9, 3.499072718091812*^9}, {
   3.499072752230529*^9, 3.4990728396923647`*^9}, {3.4990729159195223`*^9, 
   3.4990729289983*^9}, {3.499174467378454*^9, 3.499174584885306*^9}, {
   3.49917469116385*^9, 3.49917474015897*^9}, {3.4991747741741457`*^9, 
   3.499174804145088*^9}, 3.499174933641518*^9, {3.499176044824422*^9, 
   3.499176056596919*^9}, {3.499176105137813*^9, 3.499176129846861*^9}, {
   3.49917671565399*^9, 3.4991767663767443`*^9}, 3.499176803268259*^9, {
   3.499176946439619*^9, 3.4991769716493387`*^9}, {3.4991772680418863`*^9, 
   3.499177268501367*^9}, {3.499212727447063*^9, 3.49921273578479*^9}, {
   3.4992631678621397`*^9, 3.499263187984035*^9}, {3.499264003336808*^9, 
   3.499264035871903*^9}, {3.49926412133494*^9, 3.499264130834168*^9}, {
   3.4992644644872437`*^9, 3.499264478434504*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Display sequence of hits on each qubit---these are distributed \
over the processors",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868490571115*^9}, {3.4965059651095037`*^9, 
   3.496505995136351*^9}, {3.496765436830722*^9, 3.4967654378677464`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"mathits", "=", 
     RowBox[{"Transpose", "[", " ", 
      RowBox[{"Replace", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"hits", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "\[Rule]", "X"}], ",", 
          RowBox[{"2", "\[Rule]", "Y"}], ",", 
          RowBox[{"3", "\[Rule]", "Z"}], ",", 
          RowBox[{"0", "\[Rule]", "1"}]}], "}"}], ",", 
        RowBox[{"{", "3", "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"1", ",", "i_"}], "]"}], ":=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"mathits", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "]"}]}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cir", "[", "i_", "]"}], ":=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Circuit", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"1", ",", "i"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"1", ",", "i"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\< 1st Hits  on Processor\>\"", "  ", ",", 
           RowBox[{"IntegerPart", "[", 
            RowBox[{
             RowBox[{"i", "/", "2"}], "+", ".5"}], "]"}]}], "}"}], ",", 
         "18"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat1", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", "  ", 
       RowBox[{"{", 
        RowBox[{"BM", ",", "BM"}], "}"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Circuit", "[", 
      RowBox[{"mat1", ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\< No Hits on Processor\>\"", ",", "0"}], "}"}], ",", 
        "18"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "250"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"cir", "[", "i", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"2", "*", "nprocs"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.499212890270402*^9, 3.499212911968834*^9}, {
   3.499212969721204*^9, 3.499212976142846*^9}, {3.49921303188326*^9, 
   3.499213055143552*^9}, {3.4992131177971582`*^9, 3.499213230245373*^9}, {
   3.4992132825618677`*^9, 3.499213291784644*^9}, {3.499213425098678*^9, 
   3.499213427109146*^9}, {3.499213469384542*^9, 3.499213535443716*^9}, 
   3.499213652686829*^9, {3.499213784399294*^9, 3.499213798683619*^9}, {
   3.499213861574872*^9, 3.499213862347453*^9}, {3.4992140089043903`*^9, 
   3.499214031209537*^9}, {3.499214068523193*^9, 3.499214084243987*^9}, {
   3.499214122334567*^9, 3.499214122586081*^9}, {3.4992142141343117`*^9, 
   3.4992142844471397`*^9}, {3.499214340782651*^9, 3.499214344359681*^9}, {
   3.499214464998209*^9, 3.4992144704970007`*^9}, {3.4992145023351793`*^9, 
   3.499214557111556*^9}, {3.499214610675364*^9, 3.499214680834465*^9}, 
   3.499214836088149*^9}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"mathits", "=", 
     RowBox[{"Transpose", "[", " ", 
      RowBox[{"Replace", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"hits", "[", 
          RowBox[{"[", "2", "]"}], "]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"1", "\[Rule]", "X"}], ",", 
          RowBox[{"2", "\[Rule]", "Y"}], ",", 
          RowBox[{"3", "\[Rule]", "Z"}], ",", 
          RowBox[{"0", "\[Rule]", "1"}]}], "}"}], ",", 
        RowBox[{"{", "3", "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f", "[", 
     RowBox[{"1", ",", "i_"}], "]"}], ":=", 
    RowBox[{"Flatten", "[", 
     RowBox[{"mathits", "[", 
      RowBox[{"[", "i", "]"}], "]"}], "]"}]}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cir", "[", "i_", "]"}], ":=", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{"Circuit", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"1", ",", "i"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"f", "[", 
             RowBox[{"1", ",", "i"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", "}"}]}], "]"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", 
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\"\< 2nd Hits 1 on Processor\>\"", ",", 
           RowBox[{"IntegerPart", "[", 
            RowBox[{
             RowBox[{"i", "/", "2"}], "+", ".5"}], "]"}]}], "}"}], ",", 
         "18"}], "]"}]}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mat1", "=", 
     RowBox[{"Transpose", "[", 
      RowBox[{"{", "  ", 
       RowBox[{"{", 
        RowBox[{"BM", ",", "BM"}], "}"}], "}"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Circuit", "[", 
      RowBox[{"mat1", ",", 
       RowBox[{"{", "}"}]}], "]"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\< No Hits on Processor\>\"", ",", "0"}], "}"}], ",", 
        "18"}], "]"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "350"}]}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"cir", "[", "i", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"2", "*", "nprocs"}]}], "}"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.499212890270402*^9, 3.499212911968834*^9}, {
   3.499212969721204*^9, 3.499212976142846*^9}, {3.49921303188326*^9, 
   3.499213055143552*^9}, {3.4992131177971582`*^9, 3.499213230245373*^9}, {
   3.4992132825618677`*^9, 3.499213291784644*^9}, {3.499213425098678*^9, 
   3.499213427109146*^9}, {3.499213469384542*^9, 3.499213535443716*^9}, 
   3.499213652686829*^9, {3.499213784399294*^9, 3.499213798683619*^9}, {
   3.499213861574872*^9, 3.499213862347453*^9}, {3.4992140089043903`*^9, 
   3.499214031209537*^9}, {3.499214068523193*^9, 3.499214084243987*^9}, {
   3.499214122334567*^9, 3.499214122586081*^9}, {3.4992142141343117`*^9, 
   3.4992142844471397`*^9}, {3.499214340782651*^9, 3.499214344359681*^9}, {
   3.499214438062934*^9, 3.499214438311281*^9}, {3.499214473908173*^9, 
   3.499214496534618*^9}, {3.4992147991841917`*^9, 3.499214805909337*^9}, 
   3.4992148472137337`*^9}]
}, Open  ]],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Density matrix evolves on each processor with it particular noise \
scenario.\nAfter each step an ensemble average is formed and used as the \
initial sate for the subsequent set of hits  ",
  FontWeight->"Bold"],
 " "
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}, {3.499344542407469*^9, 3.499344543419269*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ss", "[", "0", "]"}], "=", 
  RowBox[{"s", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ss", "[", "1", "]"}], "=", 
  RowBox[{"s", "[", "1", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ss", "[", "2", "]"}], "=", 
  RowBox[{"s", "[", "2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ss", "[", "3", "]"}], "=", 
  RowBox[{"s", "[", "3", "]"}]}]}], "Input",
 CellChangeTimes->{{3.49921493331319*^9, 3.499214973000539*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" OPA  is a set of operators for a specific algorithm.\nFor \
example: \n Use OPSET to set op1 at stage 1, op2 at stage 2 by: OPSET = \
ReplacePart[Table[s[0]\[CircleTimes] s[0], {nmax}], {1 \[Rule] op1, 2 -> op2} \
]\n or\n  Use OPSET to set op1 at stage 1, op2 at stage 3 by: OPSET = \
ReplacePart[Table[s[0]\[CircleTimes] s[0], {nmax}], {1 \[Rule] op1, 3 -> op2} \
]\n  Here op1 could be the Hadamard on qubit 1 op1= ",
  FontWeight->"Bold"],
 "\[ScriptCapitalH]",
 StyleBox[" \[CircleTimes] s[0], followed by op2=CNOT[2,1,2},  which could be \
used to produce a noisy Bell state\n  Choice is controlled by iALG =1....\n  \
User can add more cases.",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.494870441031741*^9, 
   3.494870460816964*^9}, {3.494870687694311*^9, 3.494870688255261*^9}, {
   3.49588860129399*^9, 3.4958886249270477`*^9}, {3.497692380801696*^9, 
   3.497692473113985*^9}, {3.499344542407469*^9, 3.499344603406456*^9}, {
   3.49934467389463*^9, 3.499344694369218*^9}, {3.499344733543747*^9, 
   3.499344777244849*^9}, {3.499344831945719*^9, 3.499344932319859*^9}, {
   3.4993449698078833`*^9, 3.4993449873576107`*^9}, {3.4993578383639517`*^9, 
   3.499358058756569*^9}, {3.499358096863577*^9, 3.4993580991218157`*^9}, {
   3.4993643973905*^9, 3.499364411092806*^9}, {3.499365192240203*^9, 
   3.499365211951125*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"iALG", "=", "4"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"OPSET0", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{
          RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}], ",", 
        RowBox[{"2", "->", 
         RowBox[{
          RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}]}], "}"}]}], " ", "]"}]}], ";"}], 
  " ", 
  RowBox[{"(*", "  ", 
   RowBox[{"No", " ", "algorithm"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"OPSETX1Y1", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{
          RowBox[{"s", "[", "1", "]"}], "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}], ",", 
        RowBox[{"2", "->", 
         RowBox[{
          RowBox[{"s", "[", "2", "]"}], "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}]}], "}"}]}], " ", "]"}]}], ";"}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Y1", " ", "X1", " ", "algorithm"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"OPSETBell", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"\[ScriptCapitalH]", "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"CNOT", "[", 
          RowBox[{"2", ",", "1", ",", "2"}], "]"}]}]}], "}"}]}], " ", "]"}]}],
    ";"}], 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Hadamard", " ", "CNOT"}], "=", 
    RowBox[{"bell", " ", "state", " ", "case", " ", "algorithm"}]}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"OPSETBell34", "=", 
    RowBox[{"ReplacePart", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", " ", 
         RowBox[{"s", "[", "0", "]"}]}], ",", 
        RowBox[{"{", "nmax", "}"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"1", "\[Rule]", 
         RowBox[{"\[ScriptCapitalH]", "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}], ",", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"CNOT", "[", 
          RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ",", 
        RowBox[{"3", "\[Rule]", 
         RowBox[{"CNOT", "[", 
          RowBox[{"2", ",", "1", ",", "2"}], "]"}]}], ",", 
        RowBox[{"4", "\[Rule]", 
         RowBox[{"\[ScriptCapitalH]", "\[CircleTimes]", " ", 
          RowBox[{"s", "[", "0", "]"}]}]}]}], "}"}]}], " ", "]"}]}], ";"}], 
  RowBox[{"(*", "  ", 
   RowBox[{
   "Bellop", " ", "then", " ", "bellop", " ", "inverse", " ", "case"}], "  ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"OpSET", "=", 
    RowBox[{"{", " ", 
     RowBox[{
     "OPSET0", ",", " ", "OPSETX1Y1", ",", "OPSETBell", ",", "OPSETBell34"}], 
     "}"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OPA", "[", "i_", "]"}], ":=", 
  RowBox[{
   RowBox[{"OpSET", "[", 
    RowBox[{"[", "iALG", "]"}], "]"}], "[", 
   RowBox[{"[", "i", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "2", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{"OPA", "[", "4", "]"}]}], "Input",
 CellChangeTimes->{{3.4993647257935953`*^9, 3.499364744454376*^9}, {
   3.499364811407997*^9, 3.4993648116715918`*^9}, {3.4993648488668118`*^9, 
   3.499364890240953*^9}, {3.499364944582324*^9, 3.499364977907482*^9}, 
   3.49936502219632*^9, {3.4993650727854156`*^9, 3.499365166287236*^9}, {
   3.49936541002389*^9, 3.499365410621653*^9}, {3.499365532361596*^9, 
   3.499365532634253*^9}, {3.500334578581712*^9, 3.5003345789040403`*^9}, {
   3.50033470157899*^9, 3.500334752014131*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"probx", "[", "i_", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"EvenQ", "[", "i", "]"}], "\[Equal]", "True"}], ",", 
    RowBox[{"1", "-", "prob1"}], ",", "prob1"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", 
    RowBox[{"prob1", ",", "prob2", ",", "probx"}], "}"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"probx", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"probx", "[", "2", "]"}]}], "Input",
 CellChangeTimes->{{3.499290445206587*^9, 3.4992906336115503`*^9}, {
  3.499290739106222*^9, 3.4992907521038227`*^9}, {3.499290849304517*^9, 
  3.499290870590797*^9}, {3.499345136698457*^9, 3.499345140584269*^9}, {
  3.499345638964892*^9, 3.4993456455215397`*^9}, {3.4993457760371847`*^9, 
  3.4993457877722387`*^9}, {3.499355994107918*^9, 3.499356020919312*^9}, {
  3.49935622117218*^9, 3.4993562219573927`*^9}}],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"denE", "[", "0", "]"}], "=", 
     RowBox[{"\[Rho]", "[", "initstate", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"denE", "[", "nv_", "]"}], ":=", 
    RowBox[{
     RowBox[{"denE", "[", "nv", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"prob", "*", 
         RowBox[{"denE", "[", 
          RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
        RowBox[{"eps", "*", 
         RowBox[{"WaitAll", "[", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"ParallelSubmit", "[", 
             RowBox[{
              RowBox[{"{", "i", "}"}], ",", 
              RowBox[{
               RowBox[{"probx", "[", "i", "]"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"OP", "[", 
                   RowBox[{"i", ",", "nv"}], "]"}], " ", ".", 
                  RowBox[{"denE", "[", 
                   RowBox[{"nv", "-", "1"}], "]"}]}], ")"}], ".", " ", 
                RowBox[{"(", 
                 RowBox[{"Adj", "[", 
                  RowBox[{"OP", "[", 
                   RowBox[{"i", ",", "nv"}], "]"}], "]"}], ")"}]}]}]}], " ", 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"2", "*", "nprocs"}]}], "}"}]}], "]"}], "]"}]}]}], 
       ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"Adj", "[", 
        RowBox[{"OPA", "[", "nv", "]"}], "]"}], " ", ")"}], 
      "  "}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.4965749402077*^9, 
   3.496574958994316*^9}, {3.49657499154368*^9, 3.496575008971089*^9}, {
   3.496769218808721*^9, 3.496769240188826*^9}, {3.497191271840811*^9, 
   3.497191300136187*^9}, {3.499177962743702*^9, 3.499177983576462*^9}, {
   3.49917804943922*^9, 3.499178082029544*^9}, 3.499214910697928*^9, 
   3.499266292324667*^9, {3.4992663982277327`*^9, 3.499266428924205*^9}, 
   3.499266882127656*^9, {3.499267209928213*^9, 3.499267215212886*^9}, {
   3.499267342053955*^9, 3.4992673469508543`*^9}, {3.499270388718918*^9, 
   3.499270394555233*^9}, {3.4992725478608723`*^9, 3.499272559282855*^9}, {
   3.499273253136652*^9, 3.4992732541586723`*^9}, {3.499273814124613*^9, 
   3.499273918759251*^9}, {3.49927441990064*^9, 3.499274480851776*^9}, {
   3.499274564965135*^9, 3.499274572538554*^9}, {3.49927462768954*^9, 
   3.4992747182121983`*^9}, 3.4992748725893393`*^9, {3.4992764722714376`*^9, 
   3.4992764977496653`*^9}, {3.499290686757791*^9, 3.499290704217729*^9}, {
   3.499290801732761*^9, 3.499290802630093*^9}, {3.499290913342985*^9, 
   3.499290913867659*^9}, {3.499290972784871*^9, 3.499291044547327*^9}, 
   3.499291077894505*^9, {3.499291305008193*^9, 3.4992913070938787`*^9}, {
   3.499291422708664*^9, 3.499291483806286*^9}, 3.499291514431746*^9, {
   3.4993450364010143`*^9, 3.4993451065879097`*^9}, {3.499345451675395*^9, 
   3.499345486034979*^9}, {3.499346043212214*^9, 3.499346047834723*^9}, {
   3.499346124535919*^9, 3.499346125797477*^9}, {3.499355766335387*^9, 
   3.499355772220228*^9}, {3.499355973084511*^9, 3.499355973821692*^9}, {
   3.4993561882886457`*^9, 3.4993561947342787`*^9}, {3.499357237684842*^9, 
   3.499357246395097*^9}, {3.500333659828678*^9, 3.500333687400709*^9}, {
   3.500334239269206*^9, 3.500334242488505*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"creal", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"cim", "[", "nm_", "]"}], ":=", 
   RowBox[{"ListContourPlot", "[", 
    RowBox[{
     RowBox[{"Im", "[", 
      RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"GraphicsRow", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"creal", "[", "i", "]"}], ",", 
       RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListAnimate", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9},
 CellID->21267],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
  3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
  3.499355664193726*^9}}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Setup table  of polarizations and spin correltions for ensemble \
averaged density matrix for two qubits -- one run of nmax steps",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494698051733849*^9, 3.4946980651318197`*^9}, {3.4954574778560266`*^9, 
   3.4954575229423037`*^9}, {3.4955331324593067`*^9, 3.495533153505842*^9}, 
   3.495533190571176*^9, {3.497693375290378*^9, 3.4976934299162083`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"POLPFA", "[", "nv_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   StyleBox[
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"s", "[", "i", "]"}], "\[CircleTimes]", 
          RowBox[{"s", "[", "0", "]"}]}], ")"}], ".", 
        RowBox[{"denE", "[", "nv", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"POLPFB", "[", "nv_", "]"}], ":=", 
  RowBox[{"Table", "[", 
   StyleBox[
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"s", "[", "0", "]"}], "\[CircleTimes]", 
          RowBox[{"s", "[", "i", "]"}]}], ")"}], ".", 
        RowBox[{"denE", "[", "nv", "]"}]}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}]}],
    FontSize->12], 
   StyleBox["]",
    FontSize->12]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SpinC", "[", "nv_", "]"}], " ", ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    StyleBox[
     RowBox[{"Chop", "[", 
      RowBox[{"Tr", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"s", "[", "i", "]"}], "\[CircleTimes]", 
          RowBox[{"s", "[", "j", "]"}]}], ")"}], ".", 
        RowBox[{"denE", "[", "nv", "]"}]}], "]"}], "]"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    StyleBox[
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}],
     FontSize->12], 
    StyleBox[",",
     FontSize->12], 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], 
   StyleBox["]",
    FontSize->12]}]}]}], "Input",
 CellChangeTimes->{{3.495390945242648*^9, 3.4953909468165207`*^9}, {
   3.49539996394662*^9, 3.495399964325194*^9}, 3.495455283556385*^9, {
   3.495576817105145*^9, 3.495576853635247*^9}, {3.4955769168986597`*^9, 
   3.4955769275872507`*^9}, {3.495885195887536*^9, 3.495885232811248*^9}, 
   3.4958858307734003`*^9}],

Cell[BoxData[{
 RowBox[{"POLPA0", "=", 
  RowBox[{"POLPFA", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"POLPB0", "=", 
  RowBox[{"POLPFB", "[", "0", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"SpinC0", "=", 
  RowBox[{"SpinC", "[", "0", "]"}]}]}], "Input",
 CellChangeTimes->{{3.494869551804307*^9, 3.494869559942596*^9}, 
   3.494870373897645*^9, {3.494881417218561*^9, 3.494881506129421*^9}, {
   3.494881719107727*^9, 3.494881733218256*^9}, {3.494891456123768*^9, 
   3.494891555043672*^9}, {3.495390508637333*^9, 3.495390512836977*^9}, 
   3.495390952704438*^9, {3.4954138383714867`*^9, 3.4954138477894297`*^9}, {
   3.4954552944423437`*^9, 3.495455295828795*^9}}],

Cell[BoxData[
 RowBox[{"(*", "   ", 
  RowBox[{"nt", "=", 
   RowBox[{
    RowBox[{"1", "\[IndentingNewLine]", " ", 
     RowBox[{"Tr", "[", 
      RowBox[{
       RowBox[{"denE", "[", "nt", "]"}], ".", 
       RowBox[{"denE", "[", "nt", "]"}]}], "]"}], "\[IndentingNewLine]", 
     RowBox[{"POLPFA", "[", "nt", "]"}], "\[IndentingNewLine]", 
     RowBox[{"POLPFB", "[", "nt", "]"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"POLPFA", "[", "nt", "]"}], ".", 
      RowBox[{"POLPFA", "[", "nt", "]"}]}], "\[IndentingNewLine]", 
     RowBox[{"SpinC", "[", "nt", "]"}], "\[IndentingNewLine]", "nt"}], "=", 
    RowBox[{"5", "\[IndentingNewLine]", 
     RowBox[{"POLPFA", "[", "nt", "]"}], "\[IndentingNewLine]", 
     RowBox[{"POLPFB", "[", "nt", "]"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"POLPFA", "[", "nt", "]"}], ".", 
      RowBox[{"POLPFA", "[", "nt", "]"}]}], "\[IndentingNewLine]", 
     RowBox[{"SpinC", "[", "nt", "]"}]}]}]}], "  ", "*)"}]], "Input",
 CellChangeTimes->{{3.495399866071266*^9, 3.49539988560756*^9}, {
  3.495399973359055*^9, 3.4953999870192537`*^9}, {3.4954552873408318`*^9, 
  3.495455290091308*^9}, {3.495458146359104*^9, 3.495458167468966*^9}, {
  3.495885256560423*^9, 3.495885284259893*^9}, {3.495885845698448*^9, 
  3.495885851583765*^9}}],

Cell["If Idebug=1 Turn on debugging:", "MathCaption",
 CellChangeTimes->{{3.4949467574156513`*^9, 3.494946758665266*^9}, {
  3.4976934655932083`*^9, 3.497693465952642*^9}}],

Cell[BoxData[
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"Idebug", "\[Equal]", "1"}], ",", 
   RowBox[{"TableForm", "[", 
    RowBox[{
     RowBox[{"TraceList", "[", "]"}], ",", 
     RowBox[{"TableDepth", " ", "->", " ", "2"}], ",", 
     RowBox[{"TableHeadings", " ", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"{", 
         RowBox[{"\"\<Trigger\>\"", ",", "\"\<Event\>\""}], "}"}]}], 
       "}"}]}]}], "]"}], ","}], "]"}]], "Input",
 CellChangeTimes->{{3.4949466270302563`*^9, 3.49494663779139*^9}}],

Cell["If Idebug=1 Turn off debugging:", "MathCaption",
 CellChangeTimes->{{3.4949467574156513`*^9, 3.494946758665266*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"If", "[", " ", 
   RowBox[{
    RowBox[{"Idebug", "=", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", " ", 
      RowBox[{"Tracers", " ", "\[Rule]", " ", 
       RowBox[{"{", "}"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"If", "[", " ", 
   RowBox[{
    RowBox[{"Idebug", "=", "1"}], ",", 
    RowBox[{"SetOptions", "[", 
     RowBox[{"$Parallel", ",", 
      RowBox[{"TraceHandler", " ", "\[Rule]", " ", 
       RowBox[{"(", "\"\<Print\>\"", ")"}]}]}], "]"}], ","}], " ", "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.49494673089739*^9, 3.494946752942459*^9}, {
  3.4950456136740637`*^9, 3.495045621484417*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Display initial and final Polarization vectors for two \
qubits--also show spin correlations\nstarting in a pure state and subject to  \
errors   ",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.497693074818095*^9, 
   3.4976930808896008`*^9}, {3.4976934773542233`*^9, 3.4976935158532763`*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
   RowBox[{"av", "=", 
    RowBox[{"{", 
     RowBox[{"Red", ",", 
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "POLPA0"}], "}"}], 
       "]"}]}], "}"}]}], ";", "\[IndentingNewLine]", 
   RowBox[{"bv", "=", 
    RowBox[{"{", 
     RowBox[{"Blue", ",", 
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"POLPFA", "[", "60", "]"}]}], "}"}], "]"}]}], "}"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"cv", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Arrowheads", "[", "Large", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
         RowBox[{"POLPFA", "[", "100", "]"}]}], "}"}], "]"}]}], "}"}]}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"Graphics3D", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"av", ",", "bv", ",", "cv"}], "}"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "500"}]}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
       RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y", ",", "z"}], "}"}]}]}], "]"}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PopupWindow", "[", 
         RowBox[{
          RowBox[{
          "Button", "[", "\"\<Compare polarizations--click here\>\"", "]"}], 
          ",", "#"}], "]"}], "&"}], ")"}]}]}], "]"}]}], " ", "*)"}]], "Input",
 CellChangeTimes->{{3.494867727870942*^9, 3.494867736570022*^9}, {
  3.494867849372727*^9, 3.494867909334606*^9}, {3.49486826817771*^9, 
  3.494868270575214*^9}, {3.494869218203514*^9, 3.4948692199783573`*^9}, {
  3.494871212201182*^9, 3.494871217034082*^9}, {3.4948815128201017`*^9, 
  3.4948815245415497`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"av", "=", 
   RowBox[{"{", 
    RowBox[{"Red", ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "POLPA0"}], "}"}], 
      "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bv", "=", 
   RowBox[{"{", 
    RowBox[{"Sphere", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "  ", ".04"}], "]"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotA0", "[", "np_", "]"}], ":=", 
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"av", ",", "bv", ",", 
        RowBox[{"{", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"POLPFA", "[", "np", "]"}]}], "}"}], "]"}], "}"}]}], 
       "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "300"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<Polarization Qubit A\>\""}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.494276866940551*^9, 3.4942769281884117`*^9}, {
   3.49427740111581*^9, 3.49427747180373*^9}, {3.4942776241169024`*^9, 
   3.4942777108727283`*^9}, {3.494277867416295*^9, 3.494277927213951*^9}, {
   3.4942785988173237`*^9, 3.494278599293418*^9}, {3.494438106812636*^9, 
   3.494438108847288*^9}, {3.4944381803258247`*^9, 3.4944382699332542`*^9}, 
   3.4944390841896067`*^9, {3.494439135520074*^9, 3.494439345890506*^9}, {
   3.494439378375228*^9, 3.494439384060701*^9}, {3.494454003588603*^9, 
   3.494454009717636*^9}, {3.494524610587749*^9, 3.494524611423686*^9}, {
   3.494524650212845*^9, 3.494524699770535*^9}, {3.494524731889183*^9, 
   3.494524836061379*^9}, {3.494524866851424*^9, 3.494524893261972*^9}, {
   3.4945249367887897`*^9, 3.494524949426519*^9}, {3.4945253378161697`*^9, 
   3.494525533502933*^9}, {3.4945256042166758`*^9, 3.494525774402556*^9}, {
   3.494525814037311*^9, 3.494525845361929*^9}, {3.49467992731441*^9, 
   3.4946799318220882`*^9}, {3.494688264508417*^9, 3.494688265383964*^9}, {
   3.4947008858660603`*^9, 3.494700887841652*^9}, 3.4947021125582848`*^9, 
   3.49470586818433*^9, 3.4947062225600967`*^9, {3.494800844860025*^9, 
   3.494800856206389*^9}, {3.494867742085087*^9, 3.4948677489467983`*^9}, {
   3.494881536894021*^9, 3.494881547368078*^9}, 3.494881589478759*^9, {
   3.494882088993297*^9, 3.494882089250925*^9}, {3.4949385629289417`*^9, 
   3.4949385660756407`*^9}, {3.49493863725593*^9, 3.4949386412445917`*^9}},
 CellID->1733570887],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cv", "=", 
   RowBox[{"{", 
    RowBox[{"Green", ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "POLPB0"}], "}"}], 
      "]"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bv", "=", 
   RowBox[{"{", 
    RowBox[{"Sphere", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", "  ", ".04"}], "]"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plotB0", "[", "np_", "]"}], ":=", 
  RowBox[{"Graphics3D", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"cv", ",", "bv", ",", 
        RowBox[{"{", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"POLPFB", "[", "np", "]"}]}], "}"}], "]"}], "}"}]}], 
       "}"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "300"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y", ",", "z"}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<Polarization Qubit B\>\""}]}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.494276866940551*^9, 3.4942769281884117`*^9}, {
   3.49427740111581*^9, 3.49427747180373*^9}, {3.4942776241169024`*^9, 
   3.4942777108727283`*^9}, {3.494277867416295*^9, 3.494277927213951*^9}, {
   3.4942785988173237`*^9, 3.494278599293418*^9}, {3.494438106812636*^9, 
   3.494438108847288*^9}, {3.4944381803258247`*^9, 3.4944382699332542`*^9}, 
   3.4944390841896067`*^9, {3.494439135520074*^9, 3.494439345890506*^9}, {
   3.494439378375228*^9, 3.494439384060701*^9}, {3.494454003588603*^9, 
   3.494454009717636*^9}, {3.494524610587749*^9, 3.494524611423686*^9}, {
   3.494524650212845*^9, 3.494524699770535*^9}, {3.494524731889183*^9, 
   3.494524836061379*^9}, {3.494524866851424*^9, 3.494524893261972*^9}, {
   3.4945249367887897`*^9, 3.494524949426519*^9}, {3.4945253378161697`*^9, 
   3.494525533502933*^9}, {3.4945256042166758`*^9, 3.494525774402556*^9}, {
   3.494525814037311*^9, 3.494525845361929*^9}, {3.49467992731441*^9, 
   3.4946799318220882`*^9}, {3.494688264508417*^9, 3.494688265383964*^9}, {
   3.4947008858660603`*^9, 3.494700887841652*^9}, 3.4947021125582848`*^9, 
   3.49470586818433*^9, 3.4947062225600967`*^9, {3.494800844860025*^9, 
   3.494800856206389*^9}, {3.494867742085087*^9, 3.4948677489467983`*^9}, {
   3.494881536894021*^9, 3.494881547368078*^9}, {3.494881589478759*^9, 
   3.494881632731175*^9}, {3.494881749401085*^9, 3.494881750368779*^9}, {
   3.494882018891892*^9, 3.494882023635202*^9}, {3.494882083614231*^9, 
   3.494882083899516*^9}, {3.494938531430936*^9, 3.494938552487897*^9}, {
   3.494938644752883*^9, 3.494938645639337*^9}},
 CellID->1819215155],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pa", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"plotA0", ",", 
     RowBox[{"Range", "[", 
      RowBox[{"1", ",", "nmax", ",", "5"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pb", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"plotB0", ",", 
     RowBox[{"Range", "[", 
      RowBox[{"1", ",", "nmax", ",", "5"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{" "}]}], "Input",
 CellChangeTimes->{{3.4948023195467577`*^9, 3.4948023197829943`*^9}, {
   3.494868283410739*^9, 3.494868283571404*^9}, {3.494868357849944*^9, 
   3.494868358600131*^9}, {3.494869247712853*^9, 3.494869249088004*^9}, {
   3.494870164219657*^9, 3.494870164555201*^9}, 3.4948815957544813`*^9, {
   3.494881654231522*^9, 3.494881674829373*^9}, {3.4948818898301697`*^9, 
   3.494881915995612*^9}, 3.494881956874435*^9, {3.495399158384325*^9, 
   3.495399166744272*^9}, {3.4953992906446743`*^9, 3.495399297056342*^9}, {
   3.495453458991721*^9, 3.4954534722258873`*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "j", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"SpinC", "[", "nv", "]"}], "[", 
         RowBox[{"[", "i", "]"}], "]"}], "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "1", ",", "3"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4954139004556227`*^9, 3.495413905526888*^9}, 
   3.495455304081243*^9}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"plotBar", "[", "np_", "]"}], ":=", " ", 
  RowBox[{"ListPointPlot3D", "[", 
   RowBox[{
    RowBox[{"data", "[", "np", "]"}], ",", 
    RowBox[{"PlotStyle", "\[Rule]", 
     RowBox[{"PointSize", "[", "Large", "]"}]}], ",", 
    RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
    RowBox[{"FillingStyle", "\[Rule]", "Red"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"PlotLabel", "\[Rule]", "\"\<Spin Correlations\>\""}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pC", "=", 
   RowBox[{"Map", "[", 
    RowBox[{"plotBar", ",", 
     RowBox[{"Range", "[", 
      RowBox[{"1", ",", "nmax", ",", "5"}], "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.494928327055458*^9, 3.4949284664416122`*^9}, {
   3.494936613509671*^9, 3.4949366251402197`*^9}, 3.494936773753331*^9, {
   3.4949370383569193`*^9, 3.494937075854024*^9}, {3.494937124886724*^9, 
   3.4949371784370537`*^9}, {3.494937256923668*^9, 3.494937257208088*^9}, {
   3.494937524350957*^9, 3.494937528949946*^9}, {3.4949375750875607`*^9, 
   3.494937580671468*^9}, {3.49493767916214*^9, 3.494937682084887*^9}, {
   3.494937800324546*^9, 3.494937813422406*^9}, 3.494937865937002*^9, 
   3.494937900362794*^9, 3.4949382252159557`*^9, {3.4949383188263617`*^9, 
   3.494938329161455*^9}, {3.494938492164287*^9, 3.494938508449872*^9}, {
   3.4949388070518637`*^9, 3.494938807535972*^9}, {3.495399282046295*^9, 
   3.495399305293633*^9}, {3.4954534857893543`*^9, 3.495453488113721*^9}}],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"ListAnimate", "[", "pa", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"ListAnimate", "[", "pb", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", " ", 
   RowBox[{"ListAnimate", "[", "pC", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.49480175850875*^9, 3.4948017590316668`*^9}, {
  3.494881659304598*^9, 3.49488168382939*^9}, {3.494881758398921*^9, 
  3.494881763516657*^9}, {3.494881821537409*^9, 3.4948818255420713`*^9}, {
  3.494881882607727*^9, 3.494881886480513*^9}, {3.4948819745302467`*^9, 
  3.494881983430149*^9}, {3.494937127259715*^9, 3.494937128108081*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{
  "\"\<Fidelity= MatrixPower[ \
MatrixPower[Op1,1/2].Op2.MatrixPower[Op1,1/2],1/2]\>\"", 
   "\[IndentingNewLine]", "\"\<EnTropy = -Tr[ \[Rho].Log[\[Rho],2]]\>\"", 
   "\[IndentingNewLine]", "\"\<Purity=Tr[\[Rho].\[Rho]]\>\""}], " ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.495024962614641*^9, 3.495025062633832*^9}, {
  3.495044313038641*^9, 3.4950443607073393`*^9}, {3.495044562485962*^9, 
  3.495044583195142*^9}, {3.495045559752365*^9, 3.495045567270975*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi++\>\"", ",", 
     "\"\<Bell\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}, {3.4976935990010977`*^9, 3.497693605766968*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity = \>\"", ",", 
   RowBox[{"FidelityB", "[", 
    RowBox[{
     RowBox[{"denE", "[", "0", "]"}], ",", 
     RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Purity", "[", 
    RowBox[{"denE", "[", "0", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495400164938031*^9, 3.495400193314239*^9}, {3.49540022544767*^9, 
   3.495400249857633*^9}, 3.4954002869401083`*^9, {3.49545515338064*^9, 
   3.49545516269055*^9}, {3.4958854492122383`*^9, 3.495885449250128*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Re", "[", " ", 
        RowBox[{"FidelityB", "[", 
         RowBox[{
          RowBox[{"denE", "[", "0", "]"}], ",", 
          RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "   ", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Re", "[", " ", 
        RowBox[{"FidelityB", "[", 
         RowBox[{
          RowBox[{"denE", "[", "i", "]"}], ",", 
          RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "   ", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p1", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
      RowBox[{"Filling", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", "Orange"}], "}"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Joined", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "nmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", " ", 
  RowBox[{"(*", "  ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}], " ", "*)"}], 
  "  "}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.4954003234984407`*^9, 
   3.495400448895756*^9}, {3.49545349532736*^9, 3.495453503902313*^9}, 
   3.495455515904442*^9, 3.495455714563259*^9, {3.49545616039506*^9, 
   3.495456187971799*^9}, {3.4954563377049103`*^9, 3.495456436317849*^9}, {
   3.495456481932252*^9, 3.495456483266226*^9}, {3.4954565352842817`*^9, 
   3.495456578193838*^9}, {3.4954566216350822`*^9, 3.495456676920458*^9}, {
   3.495456734097867*^9, 3.495456795832139*^9}, {3.495456832998218*^9, 
   3.495456853620829*^9}, {3.495456922384615*^9, 3.495456990758113*^9}, {
   3.495457035186719*^9, 3.4954571698210497`*^9}, 3.495457425760043*^9, {
   3.4958854493313007`*^9, 3.495885449350432*^9}, 3.497693708047011*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"Purity", "[", 
         RowBox[{"denE", "[", "0", "]"}], "]"}], " ", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"Purity", "[", 
         RowBox[{"denE", "[", "i", "]"}], "]"}], " ", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "nmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.495400463373999*^9, 
   3.495400477557764*^9}, {3.495400515298451*^9, 3.4954005919158583`*^9}, {
   3.495413364156413*^9, 3.495413364440906*^9}, {3.495453509702026*^9, 
   3.4954535185398903`*^9}, {3.495454800067851*^9, 3.495454821528009*^9}, 
   3.495455510418124*^9, 3.495455704262683*^9, {3.495457197959338*^9, 
   3.495457282244776*^9}, {3.495457340297882*^9, 3.495457354508443*^9}, {
   3.495885449353063*^9, 3.495885449367937*^9}, 3.497693713290104*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"EnTropy", "[", 
         RowBox[{"denE", "[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat5", ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "nmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "nq"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.495400491973682*^9, 
   3.49540050174459*^9}, 3.495412665531603*^9, {3.495414240653161*^9, 
   3.495414274915968*^9}, {3.495414737007752*^9, 3.495414737927228*^9}, {
   3.495447152726569*^9, 3.495447171550321*^9}, {3.4954472143546333`*^9, 
   3.4954472149757957`*^9}, {3.495453522664588*^9, 3.495453524901823*^9}, {
   3.495454810103232*^9, 3.495454828302899*^9}, {3.495454936319166*^9, 
   3.495454967728812*^9}, 3.495455505480382*^9, {3.4954559723442097`*^9, 
   3.495455972768236*^9}, {3.495456079831859*^9, 3.4954560994674273`*^9}, {
   3.495457305845965*^9, 3.495457322208219*^9}, 3.495885449370513*^9, {
   3.496938389194847*^9, 3.49693839546673*^9}, 3.4976937180966463`*^9}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Repeat Process with simulated error correction (EC),  by which we \
mean that selected noise operators are set to unit operator s[0]",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}, {
   3.500330496330843*^9, 3.500330571929626*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "ss", "]"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
   "reset", " ", "noise", " ", "operators", " ", "as", " ", "a", " ", "way", 
    " ", "to", " ", "simulate", " ", "EC"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "  ", 
   RowBox[{"set", " ", "the", " ", "single", " ", "qubit", " ", 
    RowBox[{"matrix", "--"}], "user", " ", "can", " ", "change"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "0", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], " ", ";"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "1", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "X"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "2", "]"}], "=", 
    RowBox[{"s", "[", "0", "]"}]}], ";"}], "    ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Y"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"ss", "[", "3", "]"}], "=", 
    RowBox[{"s", "[", "3", "]"}]}], " ", ";"}], "   ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", 
     RowBox[{"on", "/", "off"}], " ", "Z"}], "-", "errors"}], " ", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"Turn", " ", "off", "  ", 
     RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"s", "[", "0", "]"}], "  ", "turn", " ", "on", " ", 
      RowBox[{"ss", "[", "i", "]"}]}], "\[Rule]", 
     RowBox[{"s", "[", "i", "]"}]}]}], " ", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.500328866392672*^9, 3.500328870865419*^9}, {
  3.5003309128217793`*^9, 3.5003309357820377`*^9}, {3.5003310654606113`*^9, 
  3.500331069906438*^9}, {3.500331200221654*^9, 3.500331264744377*^9}, {
  3.5003329820741863`*^9, 3.50033299444776*^9}, {3.500333116411603*^9, 
  3.500333122270935*^9}, {3.5003334753971567`*^9, 3.500333565272149*^9}, {
  3.500334774063962*^9, 3.500334774586108*^9}, {3.500334835413823*^9, 
  3.500334835986578*^9}}],

Cell[BoxData[{"hits", "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"OP2", "[", 
   RowBox[{"np_", ",", "nm_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"ss", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hits", "[", 
       RowBox[{"[", "nm", "]"}], "]"}], "[", 
      RowBox[{"[", "np", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[CircleTimes]", "  ", 
   RowBox[{"ss", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hits", "[", 
       RowBox[{"[", "nm", "]"}], "]"}], "[", 
      RowBox[{"[", "np", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DistributeDefinitions", "[", 
   RowBox[{"{", "OP2", "}"}], "]"}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.499072651258111*^9, 3.499072718091812*^9}, {
   3.499072752230529*^9, 3.4990728396923647`*^9}, {3.4990729159195223`*^9, 
   3.4990729289983*^9}, {3.499174467378454*^9, 3.499174584885306*^9}, {
   3.49917469116385*^9, 3.49917474015897*^9}, {3.4991747741741457`*^9, 
   3.499174804145088*^9}, 3.499174933641518*^9, {3.499176044824422*^9, 
   3.499176056596919*^9}, {3.499176105137813*^9, 3.499176129846861*^9}, {
   3.49917671565399*^9, 3.4991767663767443`*^9}, 3.499176803268259*^9, {
   3.499176946439619*^9, 3.4991769716493387`*^9}, {3.4991772680418863`*^9, 
   3.499177268501367*^9}, {3.499212727447063*^9, 3.49921273578479*^9}, {
   3.4992631678621397`*^9, 3.499263187984035*^9}, {3.499264003336808*^9, 
   3.499264035871903*^9}, {3.49926412133494*^9, 3.499264130834168*^9}, {
   3.4992644644872437`*^9, 3.499264478434504*^9}, {3.500334072330262*^9, 
   3.5003341159343452`*^9}}],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"denE2", "[", "0", "]"}], "=", 
     RowBox[{"\[Rho]", "[", "initstate", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"denE2", "[", "nv_", "]"}], ":=", 
    RowBox[{
     RowBox[{"denE2", "[", "nv", "]"}], "=", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"OPA", "[", "nv", "]"}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"prob", "*", 
         RowBox[{"denE2", "[", 
          RowBox[{"nv", "-", "1"}], "]"}]}], "+", " ", 
        RowBox[{"eps", "*", 
         RowBox[{"WaitAll", "[", 
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"ParallelSubmit", "[", 
             RowBox[{
              RowBox[{"{", "i", "}"}], ",", 
              RowBox[{
               RowBox[{"probx", "[", "i", "]"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"OP", "[", 
                   RowBox[{"i", ",", "nv"}], "]"}], " ", ".", 
                  RowBox[{"denE2", "[", 
                   RowBox[{"nv", "-", "1"}], "]"}]}], ")"}], ".", " ", 
                RowBox[{"(", 
                 RowBox[{"Adj", "[", 
                  RowBox[{"OP", "[", 
                   RowBox[{"i", ",", "nv"}], "]"}], "]"}], ")"}]}]}]}], " ", 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"2", "*", "nprocs"}]}], "}"}]}], "]"}], "]"}]}]}], 
       ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"Adj", "[", 
        RowBox[{"OPA", "[", "nv", "]"}], "]"}], " ", ")"}], 
      "  "}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.496406583105719*^9, 3.496406650190629*^9}, {
   3.4964067223561077`*^9, 3.496406731927796*^9}, {3.4964068159559383`*^9, 
   3.496406830878769*^9}, {3.496406886543371*^9, 3.496406887065668*^9}, {
   3.4964069176563*^9, 3.4964069179782553`*^9}, {3.496407041382015*^9, 
   3.496407041628806*^9}, {3.496481511983893*^9, 3.4964815614683857`*^9}, 
   3.496481699009281*^9, {3.4964818310848103`*^9, 3.496481967794002*^9}, {
   3.496482497774012*^9, 3.4964825297821903`*^9}, {3.49650177856174*^9, 
   3.496501787672716*^9}, {3.496501835175589*^9, 3.496501840999695*^9}, {
   3.4965018713382673`*^9, 3.4965022333489313`*^9}, {3.4965022857484922`*^9, 
   3.496502331310239*^9}, {3.496502430764228*^9, 3.496502442535905*^9}, {
   3.496502941277856*^9, 3.4965030042980967`*^9}, {3.496503180625772*^9, 
   3.496503190999483*^9}, {3.4965033377228327`*^9, 3.496503347037017*^9}, {
   3.496503690237163*^9, 3.4965037029988337`*^9}, {3.4965037447022867`*^9, 
   3.496503766126418*^9}, {3.496504068473029*^9, 3.4965041049105988`*^9}, {
   3.496505949240212*^9, 3.4965059497801447`*^9}, {3.4965749402077*^9, 
   3.496574958994316*^9}, {3.49657499154368*^9, 3.496575008971089*^9}, {
   3.496769218808721*^9, 3.496769240188826*^9}, {3.497191271840811*^9, 
   3.497191300136187*^9}, {3.499177962743702*^9, 3.499177983576462*^9}, {
   3.49917804943922*^9, 3.499178082029544*^9}, 3.499214910697928*^9, 
   3.499266292324667*^9, {3.4992663982277327`*^9, 3.499266428924205*^9}, 
   3.499266882127656*^9, {3.499267209928213*^9, 3.499267215212886*^9}, {
   3.499267342053955*^9, 3.4992673469508543`*^9}, {3.499270388718918*^9, 
   3.499270394555233*^9}, {3.4992725478608723`*^9, 3.499272559282855*^9}, {
   3.499273253136652*^9, 3.4992732541586723`*^9}, {3.499273814124613*^9, 
   3.499273918759251*^9}, {3.49927441990064*^9, 3.499274480851776*^9}, {
   3.499274564965135*^9, 3.499274572538554*^9}, {3.49927462768954*^9, 
   3.4992747182121983`*^9}, 3.4992748725893393`*^9, {3.4992764722714376`*^9, 
   3.4992764977496653`*^9}, {3.499290686757791*^9, 3.499290704217729*^9}, {
   3.499290801732761*^9, 3.499290802630093*^9}, {3.499290913342985*^9, 
   3.499290913867659*^9}, {3.499290972784871*^9, 3.499291044547327*^9}, 
   3.499291077894505*^9, {3.499291305008193*^9, 3.4992913070938787`*^9}, {
   3.499291422708664*^9, 3.499291483806286*^9}, 3.499291514431746*^9, {
   3.4993450364010143`*^9, 3.4993451065879097`*^9}, {3.499345451675395*^9, 
   3.499345486034979*^9}, {3.499346043212214*^9, 3.499346047834723*^9}, {
   3.499346124535919*^9, 3.499346125797477*^9}, {3.499355766335387*^9, 
   3.499355772220228*^9}, {3.499355973084511*^9, 3.499355973821692*^9}, {
   3.4993561882886457`*^9, 3.4993561947342787`*^9}, {3.499357237684842*^9, 
   3.499357246395097*^9}, {3.500333659828678*^9, 3.500333687400709*^9}, {
   3.500334219738337*^9, 3.500334225575549*^9}, {3.500334258348908*^9, 
   3.500334269536944*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged)  \
animated--see evolution to diagonal form",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}, {3.499349584463826*^9, 
   3.49934960372353*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
   "Matrix", " ", "Plot", "  ", "Note", "  ", "origin", " ", "at", " ", 
    "upper", " ", "LHS"}], "   ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"creal", "[", "nm_", "]"}], ":=", 
     RowBox[{"MatrixPlot", "[", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}]}], " ", 
      "]"}]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"cim", "[", "nm_", "]"}], ":=", 
     RowBox[{"MatrixPlot", "[", 
      RowBox[{
       RowBox[{"Im", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"GraphicsRow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"creal", "[", "i", "]"}], ",", 
         RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListAnimate", "[", "%", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.5035835993670387`*^9, 3.5035836084420652`*^9}, {3.503583696500198*^9, 
   3.503583703254157*^9}, {3.50358382690807*^9, 3.5035838554572783`*^9}, {
   3.503583929834236*^9, 3.5035839465549603`*^9}},
 CellID->2131832492],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "  ", 
   RowBox[{
   "Alternate", " ", "Contour", " ", "Plot", "  ", "Note", "  ", "origin", 
    " ", "at", " ", "lower", " ", "LHS"}], "   ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", "   ", 
   RowBox[{
    RowBox[{
     RowBox[{"creal", "[", "nm_", "]"}], ":=", 
     RowBox[{"ListContourPlot", "[", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Re[\[Rho]]\>\""}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<SolarColors\>\""}], ",", 
       RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], "  ", ";", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cim", "[", "nm_", "]"}], ":=", 
     RowBox[{"ListContourPlot", "[", 
      RowBox[{
       RowBox[{"Im", "[", 
        RowBox[{"denE", "[", "nm", "]"}], "]"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"PlotLabel", "\[Rule]", "\"\<Im[\[Rho]]\>\""}], ",", 
       RowBox[{"Contours", "\[Rule]", "10"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"GraphicsRow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"creal", "[", "i", "]"}], ",", 
         RowBox[{"cim", "[", "i", "]"}]}], "}"}], "]"}], " ", ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"ListAnimate", "[", "%", "]"}]}], "  ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.499346525261804*^9, 3.4993465304593487`*^9}, {
   3.499346617487892*^9, 3.499346635496849*^9}, {3.499346683462113*^9, 
   3.49934669608525*^9}, {3.4993469114630213`*^9, 3.4993469299850883`*^9}, {
   3.4993471105875893`*^9, 3.4993471252477694`*^9}, {3.499347265201784*^9, 
   3.4993472771229973`*^9}, {3.499347352088129*^9, 3.499347383810627*^9}, {
   3.499347436014101*^9, 3.499347436499845*^9}, {3.499347483013788*^9, 
   3.499347506024043*^9}, {3.4993476164895782`*^9, 3.49934764325624*^9}, {
   3.49934769495254*^9, 3.499347705762063*^9}, {3.499347843176564*^9, 
   3.499347961912217*^9}, {3.499347993402986*^9, 3.49934801838706*^9}, {
   3.499348161527664*^9, 3.499348280541847*^9}, 3.499349505181732*^9, {
   3.499355561374537*^9, 3.499355568133828*^9}, 3.499355601262392*^9, {
   3.503583614266103*^9, 3.503583644579988*^9}, {3.503583896054229*^9, 
   3.503583918367854*^9}, {3.5035840263967237`*^9, 3.5035840306058197`*^9}, {
   3.503584109586795*^9, 3.503584112759535*^9}, {3.5035841663796453`*^9, 
   3.503584172172667*^9}},
 CellID->694033936],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at \
selected  steps",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}, {
   3.497693342367776*^9, 3.497693349565559*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "0", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "2", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "3", "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Chop", "[", 
  RowBox[{"denE2", "[", "nmax", "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.496769383528083*^9, 3.4967694223249702`*^9}, {
  3.499215014797392*^9, 3.499215017307165*^9}, {3.4992628577601*^9, 
  3.4992628750077457`*^9}, {3.4992661537141447`*^9, 3.499266154473421*^9}, {
  3.499266304913126*^9, 3.499266311886023*^9}, {3.499291605637314*^9, 
  3.499291639741933*^9}, {3.4993461664493237`*^9, 3.499346171197092*^9}, {
  3.500334284297669*^9, 3.5003342919102783`*^9}}],

Cell[TextData[StyleBox["Look at density matrix (ensemble averaged) at each \
step",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692544164071*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[
 RowBox[{"(*", "  ", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"denE2", "[", "nt", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}], "  ", 
  "*)"}]], "Input",
 CellChangeTimes->{{3.499345545024352*^9, 3.4993455494594193`*^9}, {
   3.4993459597492933`*^9, 3.4993459688337708`*^9}, {3.499355659270159*^9, 
   3.499355664193726*^9}, 3.500334298860227*^9}],

Cell[TextData[StyleBox["Look at evolution of eigenvalues",
 FontFamily->"Helvetica",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494688996295663*^9, 
   3.494689071631935*^9}, {3.49469792485907*^9, 3.494697946530777*^9}, {
   3.494856286461944*^9, 3.49485641601269*^9}, {3.494856576849368*^9, 
   3.494856600324976*^9}, {3.494862977757186*^9, 3.4948629860411673`*^9}, {
   3.494868478722824*^9, 3.494868582309408*^9}, {3.497692185001598*^9, 
   3.49769223652595*^9}, {3.4976925096786327`*^9, 3.497692620600925*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ev", "[", "nr_", "]"}], ":=", 
  RowBox[{"Chop", "[", 
   RowBox[{"Eigenvalues", "[", 
    RowBox[{"denE2", "[", "nr", "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"evT", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ev", "[", "nt", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"data", "[", "i_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ev", "[", "nt", "]"}], "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"nt", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"dataT", "[", "nv_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{
        RowBox[{"data", "[", "nv", "]"}], "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lin", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"i", "-", "1"}], ",", 
       RowBox[{"1", "/", 
        RowBox[{"2", "^", "nq"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"nmax", "+", "1"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"lin", ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"dataT", "[", "i", "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"2", "^", "nq"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "1"}], "}"}]}], ",", 
     RowBox[{"Axes", " ", "\[Rule]", "True"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"n", ",", "\[Lambda]"}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"lp1", ",", "lp2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.497172289916358*^9, 3.497172343260339*^9}, {
   3.497172460113771*^9, 3.497172460972157*^9}, {3.497172653738881*^9, 
   3.497172811824019*^9}, {3.4971728522521343`*^9, 3.49717292094774*^9}, {
   3.497173157343364*^9, 3.4971732067907333`*^9}, {3.4971735003898487`*^9, 
   3.4971735215129433`*^9}, {3.497173566941059*^9, 3.497173629900584*^9}, {
   3.497173677241678*^9, 3.497173707567154*^9}, {3.497173766479066*^9, 
   3.497173809964135*^9}, {3.497173842040455*^9, 3.4971739074639063`*^9}, 
   3.49717394107917*^9, {3.497174571005823*^9, 3.497174573815905*^9}, {
   3.4971746168159857`*^9, 3.4971746600911207`*^9}, {3.497174740044112*^9, 
   3.497174778902294*^9}, {3.4971748547935123`*^9, 3.49717488902813*^9}, 
   3.497174963143914*^9, {3.4971750231819983`*^9, 3.49717536285328*^9}, {
   3.4971753956309967`*^9, 3.497175484554077*^9}, {3.49717551905907*^9, 
   3.497175550717045*^9}, 3.4971917988909473`*^9, {3.4976385801520452`*^9, 
   3.497638594410356*^9}, 3.4976387431274853`*^9, {3.497638796427791*^9, 
   3.4976388153758097`*^9}, {3.497638847350697*^9, 3.4976389764437532`*^9}, {
   3.4976390379296827`*^9, 3.497639051501234*^9}, 3.500334302139392*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Atitle", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<Psi0\>\"", ",", "\"\<PsiR\>\"", ",", "\"\<Psi++\>\"", ",", 
     "\"\<Bell\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"title", "=", 
   RowBox[{"Atitle", "[", 
    RowBox[{"[", "icase", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.495225314116672*^9, 3.4952254127474117`*^9}, {
  3.496764439243085*^9, 3.496764448772169*^9}, {3.4967645306946487`*^9, 
  3.496764538604837*^9}, {3.4976935990010977`*^9, 3.497693605766968*^9}}],

Cell[TextData[{
 StyleBox[" ",
  FontFamily->"Helvetica",
  FontWeight->"Bold"],
 StyleBox[" Plots for Fidelity Purity and EnTropy",
  FontWeight->"Bold"]
}], "Text",
 CellChangeTimes->{{3.4925195892338877`*^9, 3.492519624463415*^9}, {
   3.492519662405738*^9, 3.492519677676126*^9}, {3.492807229603579*^9, 
   3.492807242637725*^9}, 3.493805485454111*^9, 3.4938059679240217`*^9, {
   3.494182714182295*^9, 3.494182728942851*^9}, {3.494234718531823*^9, 
   3.494234739621595*^9}, {3.494234777323954*^9, 3.494234827885377*^9}, {
   3.494321284909939*^9, 3.4943212983142033`*^9}, {3.494321396165987*^9, 
   3.49432145217725*^9}, {3.4943214873037767`*^9, 3.4943215239272947`*^9}, {
   3.494700840400744*^9, 3.494700874912774*^9}, {3.495285484657586*^9, 
   3.495285519842141*^9}, {3.49538249397504*^9, 3.495382513801837*^9}},
 FontFamily->"Courier New",
 CellTags->"b:5.0"],

Cell[BoxData[{
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Fidelity = \>\"", ",", 
   RowBox[{"FidelityB", "[", 
    RowBox[{
     RowBox[{"denE2", "[", "0", "]"}], ",", 
     RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial EnTropy = \>\"", ",", 
   RowBox[{"Chop", "[", 
    RowBox[{"EnTropy", "[", 
     RowBox[{"denE2", "[", "0", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<initial Purity = \>\"", ",", 
   RowBox[{"Purity", "[", 
    RowBox[{"denE2", "[", "0", "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.495026599246011*^9, 3.495026740469912*^9}, 
   3.495026774074545*^9, {3.495026808723386*^9, 3.495026890969638*^9}, {
   3.495400164938031*^9, 3.495400193314239*^9}, {3.49540022544767*^9, 
   3.495400249857633*^9}, 3.4954002869401083`*^9, {3.49545515338064*^9, 
   3.49545516269055*^9}, {3.4958854492122383`*^9, 3.495885449250128*^9}, {
   3.500334449338925*^9, 3.500334453338007*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Re", "[", " ", 
        RowBox[{"FidelityB", "[", 
         RowBox[{
          RowBox[{"denE2", "[", "0", "]"}], ",", 
          RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "   ", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Re", "[", " ", 
        RowBox[{"FidelityB", "[", 
         RowBox[{
          RowBox[{"denE2", "[", "i", "]"}], ",", 
          RowBox[{"\[Rho]", "[", "initstate", "]"}]}], "]"}], "   ", "]"}]}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"p1", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
      RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Steps", ",", "FIDELITY"}], "}"}]}], ",", 
      RowBox[{"Filling", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"2", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", "1", "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Yellow", ",", "Orange"}], "}"}]}], "}"}]}], "}"}]}], ",", 
      RowBox[{"Joined", "\[Rule]", "True"}], ",", 
      RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "nmax"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", " ", 
  RowBox[{"(*", "  ", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat1", ",", "dat2"}], "}"}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}], " ", "*)"}], 
  "  "}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950278810001183`*^9, 3.495027959273287*^9}, {
   3.495027997285912*^9, 3.495028072174602*^9}, {3.4950281698130713`*^9, 
   3.495028230448262*^9}, {3.49502827012505*^9, 3.495028349521274*^9}, {
   3.495028501239682*^9, 3.495028535598329*^9}, {3.495044402736381*^9, 
   3.495044419245727*^9}, {3.4950462195502033`*^9, 3.495046246947321*^9}, {
   3.495046299195972*^9, 3.49504629946262*^9}, {3.4954003234984407`*^9, 
   3.495400448895756*^9}, {3.49545349532736*^9, 3.495453503902313*^9}, 
   3.495455515904442*^9, 3.495455714563259*^9, {3.49545616039506*^9, 
   3.495456187971799*^9}, {3.4954563377049103`*^9, 3.495456436317849*^9}, {
   3.495456481932252*^9, 3.495456483266226*^9}, {3.4954565352842817`*^9, 
   3.495456578193838*^9}, {3.4954566216350822`*^9, 3.495456676920458*^9}, {
   3.495456734097867*^9, 3.495456795832139*^9}, {3.495456832998218*^9, 
   3.495456853620829*^9}, {3.495456922384615*^9, 3.495456990758113*^9}, {
   3.495457035186719*^9, 3.4954571698210497`*^9}, 3.495457425760043*^9, {
   3.4958854493313007`*^9, 3.495885449350432*^9}, 3.497693708047011*^9, {
   3.5003344546511393`*^9, 3.500334456301281*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"Purity", "[", 
         RowBox[{"denE2", "[", "0", "]"}], "]"}], " ", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"Purity", "[", 
         RowBox[{"denE2", "[", "i", "]"}], "]"}], " ", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dat3", ",", "dat4"}], "}"}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "\[DoubleStruckCapitalP]URITY"}], "}"}]}], ",", 
     RowBox[{"Filling", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Yellow", ",", "Blue"}], "}"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "nmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "1."}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950444314334373`*^9, 3.495044437457388*^9}, 3.495046264213785*^9, {
   3.495046302986306*^9, 3.4950463031737223`*^9}, {3.495400463373999*^9, 
   3.495400477557764*^9}, {3.495400515298451*^9, 3.4954005919158583`*^9}, {
   3.495413364156413*^9, 3.495413364440906*^9}, {3.495453509702026*^9, 
   3.4954535185398903`*^9}, {3.495454800067851*^9, 3.495454821528009*^9}, 
   3.495455510418124*^9, 3.495455704262683*^9, {3.495457197959338*^9, 
   3.495457282244776*^9}, {3.495457340297882*^9, 3.495457354508443*^9}, {
   3.495885449353063*^9, 3.495885449367937*^9}, 3.497693713290104*^9, {
   3.500334461961506*^9, 3.500334463673585*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Chop", "[", 
        RowBox[{"EnTropy", "[", 
         RowBox[{"denE2", "[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "0", ",", "nmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat5", ",", 
     RowBox[{"PlotLabel", "\[Rule]", "title"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Steps", ",", "ENTROPY"}], "}"}]}], ",", 
     RowBox[{"Joined", "\[Rule]", "True"}], ",", 
     RowBox[{"Filling", "\[Rule]", "Axis"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "300"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "nmax"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "nq"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.495026298138522*^9, 3.4950263537952642`*^9}, 
   3.495026971398201*^9, {3.495027011849045*^9, 3.495027043132691*^9}, {
   3.495027142122157*^9, 3.4950272934824133`*^9}, {3.495027323910651*^9, 
   3.4950273611083813`*^9}, {3.495027591823965*^9, 3.4950276105582657`*^9}, {
   3.4950276551498632`*^9, 3.4950277126976757`*^9}, {3.495027799998569*^9, 
   3.495027843608789*^9}, {3.4950444631703863`*^9, 3.495044467968358*^9}, {
   3.495044996623918*^9, 3.495045014121483*^9}, 3.4950462671385098`*^9, {
   3.495046306397894*^9, 3.495046306586182*^9}, {3.495400491973682*^9, 
   3.49540050174459*^9}, 3.495412665531603*^9, {3.495414240653161*^9, 
   3.495414274915968*^9}, {3.495414737007752*^9, 3.495414737927228*^9}, {
   3.495447152726569*^9, 3.495447171550321*^9}, {3.4954472143546333`*^9, 
   3.4954472149757957`*^9}, {3.495453522664588*^9, 3.495453524901823*^9}, {
   3.495454810103232*^9, 3.495454828302899*^9}, {3.495454936319166*^9, 
   3.495454967728812*^9}, 3.495455505480382*^9, {3.4954559723442097`*^9, 
   3.495455972768236*^9}, {3.495456079831859*^9, 3.4954560994674273`*^9}, {
   3.495457305845965*^9, 3.495457322208219*^9}, 3.495885449370513*^9, {
   3.496938389194847*^9, 3.49693839546673*^9}, 3.4976937180966463`*^9, 
   3.500334467073348*^9}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1", ",", "p2", ",", "p3"}], "}"}], ",", 
   RowBox[{"Frame", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.495044472089488*^9, 3.495044480606395*^9}, {
   3.4950447820106564`*^9, 3.495044799919386*^9}, {3.4950448779358997`*^9, 
   3.495044881419589*^9}, {3.495044931660321*^9, 3.495044954457906*^9}, {
   3.4950457512116137`*^9, 3.49504575474586*^9}, {3.495045787236012*^9, 
   3.495045815686129*^9}, {3.495045868073801*^9, 3.495045886197667*^9}, 
   3.495045930724186*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";", " ", 
  RowBox[{"Quit", "[", "]"}], "  "}]], "Input",
 CellChangeTimes->{{3.475246563382484*^9, 3.475246564579317*^9}, {
  3.475427610994915*^9, 3.4754276364185247`*^9}, {3.4947755770946608`*^9, 
  3.494775586591998*^9}, {3.494799990118042*^9, 3.494799997277807*^9}}]
},
AutoGeneratedPackage->None,
WindowToolbars->{},
CellGrouping->Manual,
WindowSize->{1280, 668},
WindowMargins->{{Automatic, 188}, {79, Automatic}},
PrintingCopies->1,
PrintingStartingPageNumber->15,
PrintingPageRange->{1, Automatic},
PrintingOptions->{"Magnification"->1,
"PaperOrientation"->"Portrait",
"PaperSize"->{612, 792},
"PostScriptOutputFile":>FrontEnd`FileName[{"home", "bruno", "PITT", "QC"}, 
  "Test1.1.nb.ps", CharacterEncoding -> "MacintoshRoman"]},
ShowSelection->True,
TaggingRules:>{
 "PaginationCache" -> {{2005, 8, 9, 3, 36, 19.580426`8.04439712024133}, {15, 
    15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 16, 16, 16, 16, 16, 16, 
    16, 16, 16, 16, 16, 16, 16, 16, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 
    17, 17, 17, 17, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 18, 
    18, 18, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 20, 20, 20, 20, 
    20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 21, 21, 22, 22, 22, 22, 22, 
    22, 22, 22, 22, 22, 22, 22, 22, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 
    23, 23, 23, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 24, 25, 25, 25, 25, 
    25, 25, 25, 25, 25, 25, 25, 25, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 
    27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 27, 28, 28, 28, 28, 
    28, 28, 28, 28, 28, 28, 28, 28, 28, 29, 29, 29, 29, 29, 29, 29, 29, 29, 
    29, 29, 29, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 31, 31, 31, 
    31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 31, 32, 32, 32, 32, 32, 32, 
    32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 33, 33, 33, 33, 33, 33, 33, 33, 
    33, 33, 33, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
    35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 36, 36, 36, 36, 36, 
    36, 36, 36, 36, 36, 36, 36, 36, 37, 37, 37, 37, 37, 37, 37, 37, 37, 37, 
    37, 37, 38, 38, 38}, Automatic}},
CellLabelAutoDelete->True,
Magnification->1,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit) (November 6, 2010)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell["Style Definitions", "Title"], 
      Cell[
      "Modify the definitions below to change the default appearance of all \
cells in a given style.  Make modifications to any definition using commands \
in the Format menu.", "Text"], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Working"], PageWidth -> WindowWidth, ScriptMinSize -> 
          9], 
         Cell[
          StyleData[All, "Presentation"], PageWidth -> WindowWidth, 
          ScriptMinSize -> 12, FontSize -> 16], 
         Cell[
          StyleData[All, "SlideShow"], PageWidth -> WindowWidth, 
          ScrollingOptions -> {
           "PagewiseDisplay" -> True, "VerticalScrollRange" -> Fit}, 
          ShowCellBracket -> False, ScriptMinSize -> 9], 
         Cell[
          StyleData[All, "Condensed"], PageWidth -> WindowWidth, 
          CellBracketOptions -> {"Margins" -> {1, 1}, "Widths" -> {0, 5}}, 
          ScriptMinSize -> 8, FontSize -> 11], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, ScriptMinSize -> 
          7, FontSize -> 10, 
          PrivateFontOptions -> {"FontType" -> "Outline"}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          StyleData["Notebook"], PageHeaders -> {{
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"], None, 
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"]}, {
             Cell[
              TextData[{
                ValueBox["FileName"]}], "Header"], None, 
             Cell[
              TextData[{
                CounterBox["Page"]}], "PageNumber"]}}, 
          PageHeaderLines -> {True, True}, 
          PrintingOptions -> {
           "FacingPages" -> True, "FirstPageHeader" -> False}, 
          CellFrameLabelMargins -> 6, StyleMenuListing -> None]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 11}, CounterIncrements -> 
             "Title", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subtitle", 0}, {"Subsubtitle", 0}}, FontSize -> 
             34, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Title", "Presentation"], 
             CellMargins -> {{0, 0}, {0, 0}}, 
             CellFrameMargins -> {{12, 10}, {24, 24}}, LineSpacing -> {1, 0}, 
             FontSize -> 46], 
            Cell[
             StyleData["Title", "Condensed"], CellMargins -> {{0, 0}, {0, 0}},
              FontSize -> 20], 
            Cell[
             StyleData["Title", "Printout"], CellMargins -> {{0, 0}, {0, 0}}, 
             FontSize -> 24, FontTracking -> "Plain", Background -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphIndent -> -96, 
             CounterIncrements -> "Subtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}, {"Subsubtitle", 0}}, FontFamily -> "Helvetica", 
             FontSize -> 18, FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Subtitle", "Presentation"], 
             CellMargins -> {{0, 0}, {4, 0}}, 
             CellFrameMargins -> {{12, 10}, {12, 8}}, LineSpacing -> {1, 6}, 
             ParagraphIndent -> -157, FontSize -> 28], 
            Cell[
             StyleData["Subtitle", "Condensed"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -78, 
             FontSize -> 14], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{0, 0}, {0, 0}}, ParagraphIndent -> -85, 
             FontSize -> 16, Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {30, 10}}, PageBreakBelow -> False, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Subsubtitle", 
             CounterAssignments -> {{"Section", 0}, {"Equation", 0}, {
               "Figure", 0}}, FontFamily -> "Helvetica", FontSize -> 14, 
             FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsubtitle", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsubtitle", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 8}}, FontSize -> 12], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{9, 10}, {50, 10}}, FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{6, 0}, {0, 1}}, CellDingbat -> 
             None, CellMargins -> {{12, Inherited}, {4, 24}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> 6, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 16, FontWeight -> "Bold", 
             FontColor -> RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{15, 10}, {14, 32}}, 
             CellFrameMargins -> {{8, 10}, {10, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["Section", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, FontSize -> 14, FontTracking -> 
             "Plain", FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], 
             CellMargins -> {{12, Inherited}, {8, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsection", CounterAssignments -> {{"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 13, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsection", "Presentation"], 
             CellMargins -> {{15, 10}, {12, 32}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Subsection", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{9, 0}, {4, 40}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellDingbat -> "\[FilledSquare]", 
             CellMargins -> {{25, Inherited}, {8, 12}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 9}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubsection", "Presentation"], 
             CellMargins -> {{34, 10}, {18, 28}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Subsubsection", "Condensed"], 
             CellMargins -> {{22, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{21, 0}, {4, 20}}, FontSize -> 11]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12},
              CounterIncrements -> "Text", FontFamily -> "Times"], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Text", "Condensed"], CellMargins -> {{8, 10}, {4, 4}},
              LineSpacing -> {1, 1}, ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Text", "Printout"], CellMargins -> {{9, 0}, {4, 4}}, 
             Hyphenation -> True, ParagraphSpacing -> {0, 6}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SmallText"], CellMargins -> {{12, 10}, {5, 5}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 6}, 
             CounterIncrements -> "SmallText", FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Presentation"], 
             CellMargins -> {{15, 10}, {8, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["SmallText", "Condensed"], 
             CellMargins -> {{8, 10}, {2, 2}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["SmallText", "Printout"], 
             CellMargins -> {{9, 0}, {4, 4}}, Hyphenation -> True, FontSize -> 
             7]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell tag.", "Text"], 
         Cell[
          StyleData["RM"], StyleMenuListing -> None, FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], StyleMenuListing -> None, FontWeight -> "Bold"], 
         Cell[
          StyleData["IT"], StyleMenuListing -> None, FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], StyleMenuListing -> None, FontFamily -> "Times", 
          FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["MB"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], "TwoByteSyntaxCharacterAutoReplacement" -> True, 
          HyphenationOptions -> {"HyphenationCharacter" -> "\[Continuation]"},
           StyleMenuListing -> None, FontFamily -> "Courier", FontWeight -> 
          "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["SR"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["SB"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], StyleMenuListing -> None, FontFamily -> 
          "Helvetica", FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SO10"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 10, FontWeight -> "Plain", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["SO10", "Printout"], StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 7, FontWeight -> "Plain", 
             FontSlant -> "Italic"]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Inert"], StyleMenuListing -> None, Background -> 
             RGBColor[0.870588, 0.905882, 0.972549]], 
            Cell[
             StyleData["Inert", "Printout"], StyleMenuListing -> None, 
             Background -> GrayLevel[1]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
         "The cells in this section define styles used for input and output \
to the kernel.  Be careful when modifying, renaming, or removing these \
styles, because the front end associates special meanings with these style \
names.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, Evaluatable -> True, 
             CellGroupingRules -> "InputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{5, Inherited}, {Inherited, Inherited}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", FormatType -> InputForm, ShowStringCharacters -> True,
              NumberMarks -> True, 
             LinebreakAdjustments -> {0.85, 2, 10, 0, 1}, CounterIncrements -> 
             "Input", FontWeight -> "Bold", Background -> 
             RGBColor[1, 0.700008, 0.4]], 
            Cell[
             StyleData["Input", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 10}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Input", "Condensed"], 
             CellMargins -> {{40, Inherited}, {1, 4}}], 
            Cell[
             StyleData["Input", "Printout"], CellMargins -> {{44, 0}, {2, 6}},
              Background -> GrayLevel[0.900008]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["InlineInput"], Evaluatable -> True, CellGroupingRules -> 
             "InputGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, 
             AutoItalicWords -> {}, FormatType -> InputForm, 
             ShowStringCharacters -> True, NumberMarks -> True, 
             CounterIncrements -> "Input", FontWeight -> "Bold"], 
            Cell[
             StyleData["InlineInput", "Presentation"], FontSize -> 18], 
            Cell[
             StyleData["InlineInput", "Condensed"]], 
            Cell[
             StyleData["InlineInput", "Printout"], FontSize -> 10], 
            Cell[
             StyleData["Output", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {12, 5}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Output", "Condensed"], 
             CellMargins -> {{40, Inherited}, {4, 1}}], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{44, 0}, {6, 2}}, Background -> 
             GrayLevel[0.900008]]}, Open]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Message", StyleMenuListing -> 
             None, FontColor -> RGBColor[1, 0, 0]], 
            Cell[
             StyleData["Message", "Presentation"], 
             CellMargins -> {{86, 20}, {10, 10}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Message", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "OutputGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, DefaultFormatType -> DefaultOutputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, FormatType -> 
             InputForm, CounterIncrements -> "Print", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Print", "Presentation"], 
             CellMargins -> {{86, 20}, {4, 4}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Print", "Condensed"], 
             CellMargins -> {{50, Inherited}, {Inherited, Inherited}}], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], 
             CellMargins -> {{62, Inherited}, {Inherited, Inherited}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             DefaultFormatType -> DefaultOutputFormatType, FormatType -> 
             InputForm, CounterIncrements -> "Graphics", StyleMenuListing -> 
             None], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             CellMargins -> {{86, 20}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["Graphics", "Condensed"], 
             CellMargins -> {{52, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {175, 175}], 
            Cell[
             StyleData["Graphics", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             ImageSize -> {250, 250}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], StyleMenuListing -> None, FontFamily -> 
             "Helvetica", FontSize -> 11, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["CellLabel", "Condensed"], FontSize -> 8], 
            Cell[
             StyleData["CellLabel", "Printout"], FontSize -> 8, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Unique Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Author"], ShowCellBracket -> False, 
             CellMargins -> {{10, 4}, {2, 10}}, LineSpacing -> {1, 5}, 
             FontSize -> 16, FontSlant -> "Italic"], 
            Cell[
             StyleData["Author", "Presentation"], 
             CellMargins -> {{15, 10}, {4, 16}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 24], 
            Cell[
             StyleData["Author", "Condensed"], 
             CellMargins -> {{8, 10}, {1, 4}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}, FontSize -> 12], 
            Cell[
             StyleData["Author", "Printout"], 
             CellMargins -> {{9, 0}, {4, 12}}, ParagraphSpacing -> {0, 6}, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Copyright"], ShowCellBracket -> False, 
             CellMargins -> {{10, 10}, {40, 2}}, FontFamily -> "Helvetica", 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Presentation"], 
             CellMargins -> {{15, 10}, {50, 4}}, LineSpacing -> {1, 5}, 
             FontSize -> 14], 
            Cell[
             StyleData["Copyright", "Condensed"], 
             CellMargins -> {{8, 10}, {12, 1}}, LineSpacing -> {1, 2}, 
             FontSize -> 9], 
            Cell[
             StyleData["Copyright", "Printout"], 
             CellMargins -> {{9, 0}, {72, 4}}, FontSize -> 7]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Example"], CellMargins -> {{12, 10}, {5, 12}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 12}, 
             CounterIncrements -> "Example", FontFamily -> "Times", 
             FontWeight -> "Bold"], 
            Cell[
             StyleData["Example", "Presentation"], 
             CellMargins -> {{18, 10}, {8, 20}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["Example", "Condensed"], 
             CellMargins -> {{8, 10}, {4, 8}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["Example", "Printout"], 
             CellMargins -> {{9, 0}, {4, 10}}, ParagraphSpacing -> {0, 6}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Definition"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Definition", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> RGBColor[0.2, 0.700008, 0.700008]], 
            Cell[
             StyleData["Definition", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Definition", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Definition", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.6]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Theorem"], CellFrame -> {{3, 0}, {0, 0}}, 
             CellMargins -> {{52, 10}, {8, 8}}, PageBreakWithin -> False, 
             GroupPageBreakWithin -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             ShowStringCharacters -> True, CounterIncrements -> "Theorem", 
             FontFamily -> "Helvetica", FontWeight -> "Bold", FontColor -> 
             GrayLevel[1], Background -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Theorem", "Presentation"], 
             CellFrame -> {{5, 0}, {0, 0}}, 
             CellMargins -> {{74, 10}, {8, 12}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 0}, 
             FontSize -> 18], 
            Cell[
             StyleData["Theorem", "Condensed"], 
             CellMargins -> {{40, 10}, {1, 4}}], 
            Cell[
             StyleData["Theorem", "Printout"], 
             CellMargins -> {{44, 0}, {2, 6}}, Hyphenation -> True, 
             Background -> GrayLevel[0.4]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseMain"], CellFrame -> {{6, 0}, {0, 1}}, 
             CellMargins -> {{12, Inherited}, {4, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameColor -> RGBColor[0.571389, 0.19675, 0.570504], 
             LineSpacing -> {1, 7}, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 16, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["ExerciseMain", "Presentation"], 
             CellFrame -> {{8, 0}, {0, 2}}, 
             CellMargins -> {{18, 10}, {12, 32}}, 
             CellFrameMargins -> {{10, 10}, {14, 14}}, LineSpacing -> {1, 2}, 
             FontSize -> 24, FontTracking -> "Condensed"], 
            Cell[
             StyleData["ExerciseMain", "Condensed"], 
             CellMargins -> {{8, Inherited}, {2, 12}}, FontSize -> 12], 
            Cell[
             StyleData["ExerciseMain", "Printout"], 
             CellMargins -> {{9, 0}, {2, 50}}, CellFrameColor -> 
             GrayLevel[0.500008], FontSize -> 14, FontTracking -> "Plain", 
             FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Exercise"], CellDingbat -> "\[FilledDownTriangle]", 
             CellMargins -> {{23, Inherited}, {4, 18}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, LineSpacing -> {1, 7}, CounterIncrements -> 
             "Subsubsection", FontFamily -> "Times", FontSize -> 13, 
             FontWeight -> "Bold", FontColor -> 
             RGBColor[0.571389, 0.19675, 0.570504]], 
            Cell[
             StyleData["Exercise", "Presentation"], 
             CellMargins -> {{28, 10}, {10, 34}}, LineSpacing -> {1, 0}, 
             FontSize -> 22], 
            Cell[
             StyleData["Exercise", "Condensed"], 
             CellMargins -> {{17, Inherited}, {2, 12}}, FontSize -> 10], 
            Cell[
             StyleData["Exercise", "Printout"], 
             CellFrame -> {{0, 0}, {0.5, 0}}, CellDingbat -> None, 
             CellMargins -> {{9, 0}, {6, 20}}, Hyphenation -> True, FontSize -> 
             11, FontColor -> GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ExerciseText"], CellMargins -> {{62, 10}, {5, 5}}, 
             LineSpacing -> {1, 3}, ParagraphSpacing -> {0, 8}, 
             CounterIncrements -> "ExerciseText", FontFamily -> "Times"], 
            Cell[
             StyleData["ExerciseText", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 8}}, LineSpacing -> {1, 5}, 
             ParagraphSpacing -> {0, 12}, FontSize -> 18], 
            Cell[
             StyleData["ExerciseText", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 2}}, LineSpacing -> {1, 1}, 
             ParagraphSpacing -> {0, 4}], 
            Cell[
             StyleData["ExerciseText", "Printout"], 
             CellMargins -> {{54, 0}, {4, 4}}, Hyphenation -> True, 
             ParagraphSpacing -> {0, 6}]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Formulas and Programming", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], CellMargins -> {{62, 10}, {2, 10}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             DefaultInputFormatType, "TwoByteSyntaxCharacterAutoReplacement" -> 
             True, HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", ScriptLevel -> 0, SingleLetterItalics -> True, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 16}}, FontSize -> 18], 
            Cell[
             StyleData["DisplayFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["DisplayFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["ChemicalFormula"], CellMargins -> {{62, 10}, {2, 10}},
              DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, LanguageCategory -> 
             "Formula", AutoSpacing -> False, 
             ScriptBaselineShifts -> {0.6, Automatic}, ScriptLevel -> 1, 
             SingleLetterItalics -> False, ZeroWidthTimes -> True], 
            Cell[
             StyleData["ChemicalFormula", "Presentation"], 
             CellMargins -> {{100, 10}, {8, 12}}, FontSize -> 18], 
            Cell[
             StyleData["ChemicalFormula", "Condensed"], 
             CellMargins -> {{52, 10}, {2, 10}}, FontSize -> 10], 
            Cell[
             StyleData["ChemicalFormula", "Printout"], 
             CellMargins -> {{54, 10}, {2, 10}}, FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellMargins -> {{12, 10}, {Inherited, 6}}, 
             Hyphenation -> False, LanguageCategory -> "Formula", FontFamily -> 
             "Courier"], 
            Cell[
             StyleData["Program", "Presentation"], 
             CellMargins -> {{20, 30}, {4, 4}}, FontSize -> 18], 
            Cell[
             StyleData["Program", "Condensed"], 
             CellMargins -> {{8, 10}, {Inherited, 4}}, FontSize -> 9.5], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{9, 0}, {Inherited, 4}}, FontSize -> 9.5]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Automatic Numbering", "Section"], 
         Cell[
         "The following styles are useful for numbered equations, figures, \
etc.  They automatically give the cell a FrameLabel containing a reference to \
a particular counter, and also increment that counter.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedEquation"], 
             CellMargins -> {{62, 10}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             DefaultFormatType -> DefaultInputFormatType, 
             "TwoByteSyntaxCharacterAutoReplacement" -> True, 
             HyphenationOptions -> {
              "HyphenationCharacter" -> "\[Continuation]"}, CounterIncrements -> 
             "NumberedEquation", FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedEquation", "Presentation"], 
             CellMargins -> {{100, 10}, {6, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedEquation", "Condensed"], 
             CellMargins -> {{52, 10}, {Inherited, Inherited}}], 
            Cell[
             StyleData["NumberedEquation", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigure"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"]}]], None}}, CounterIncrements -> 
             "NumberedFigure", 
             ImageMargins -> {{43, Inherited}, {Inherited, 0}}, 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedFigure", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigure", "Condensed"]], 
            Cell[
             StyleData["NumberedFigure", "Printout"]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedTable"], 
             CellMargins -> {{62, 145}, {Inherited, Inherited}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"]}]], None}}, TextAlignment -> 
             Center, CounterIncrements -> "NumberedTable", 
             FormatTypeAutoConvert -> False], 
            Cell[
             StyleData["NumberedTable", "Presentation"], 
             CellMargins -> {{100, 145}, {8, 8}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedTable", "Condensed"]], 
            Cell[
             StyleData["NumberedTable", "Printout"]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["Footer"], CellMargins -> {{0, 0}, {0, 4}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 6], 
         Cell[
          StyleData["PageNumber"], CellMargins -> {{0, 0}, {4, 1}}, 
          StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 9, 
          FontWeight -> "Bold"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Hyperlink Styles", "Section"], 
         Cell[
         "The cells below define styles useful for making hypertext \
ButtonBoxes.  The \"Hyperlink\" style is for links within the same Notebook, \
or between Notebooks.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Hyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonNote -> 
               ButtonData}], 
            Cell[
             StyleData["Hyperlink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["Hyperlink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["Hyperlink", "SlideShow"]], 
            Cell[
             StyleData["Hyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
         "The following styles are for linking automatically to the on-line \
help system.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MainBookLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MainBook", #]}]& )}], 
            Cell[
             StyleData["MainBookLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["MainBookLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["MainBookLink", "SlideShow"]], 
            Cell[
             StyleData["MainBookLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["AddOnsLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["AddOns", #]}]& )}], 
            Cell[
             StyleData["AddOnsLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["AddOnsLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["AddOnsLink", "SlideShow"]], 
            Cell[
             StyleData["AddOnsLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontFamily -> "Courier", 
             FontColor -> RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLink", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["RefGuideLinkText"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["RefGuide", #]}]& )}], 
            Cell[
             StyleData["RefGuideLinkText", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["RefGuideLinkText", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["RefGuideLinkText", "SlideShow"]], 
            Cell[
             StyleData["RefGuideLinkText", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["GettingStartedLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["GettingStarted", #]}]& )}], 
            Cell[
             StyleData["GettingStartedLink", "Presentation"], FontSize -> 16], 
            Cell[
             StyleData["GettingStartedLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["GettingStartedLink", "SlideShow"]], 
            Cell[
             StyleData["GettingStartedLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DemosLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Demos", #]}]& )}], 
            Cell[
             StyleData["DemosLink", "SlideShow"]], 
            Cell[
             StyleData["DemosLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["TourLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["Tour", #]}]& )}], 
            Cell[
             StyleData["TourLink", "SlideShow"]], 
            Cell[
             StyleData["TourLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["OtherInformationLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["OtherInformation", #]}]& )}], 
            Cell[
             StyleData["OtherInformationLink", "Presentation"], FontSize -> 
             16], 
            Cell[
             StyleData["OtherInformationLink", "Condensed"], FontSize -> 11], 
            Cell[
             StyleData["OtherInformationLink", "SlideShow"]], 
            Cell[
             StyleData["OtherInformationLink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MasterIndexLink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontColor -> 
             RGBColor[0.269993, 0.308507, 0.6], 
             ButtonBoxOptions -> {
              Active -> True, Appearance -> {Automatic, None}, 
               ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`HelpBrowserLookup["MasterIndex", #]}]& )}], 
            Cell[
             StyleData["MasterIndexLink", "SlideShow"]], 
            Cell[
             StyleData["MasterIndexLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Palette Styles", "Section"], 
         Cell[
         "The cells below define styles that define standard ButtonFunctions, \
for use in palette buttons.", "Text"], 
         Cell[
          StyleData["Paste"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, After]}]& )}], 
         Cell[
          StyleData["Evaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["EvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionMove[
                FrontEnd`InputNotebook[], All, Cell, 1], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluate"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluate[
                FrontEnd`InputNotebook[], All]}]& )}], 
         Cell[
          StyleData["CopyEvaluateCell"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> Automatic, 
          ButtonBoxOptions -> {ButtonFunction :> (FrontEndExecute[{
               FrontEnd`SelectionCreateCell[
                FrontEnd`InputNotebook[], All], 
               FrontEnd`NotebookApply[
                FrontEnd`InputNotebook[], #, All], 
               FrontEnd`SelectionEvaluateCreateCell[
                FrontEnd`InputNotebook[], All]}]& )}]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Slide Show Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowNavigationBar"], Editable -> False, 
             CellFrame -> True, CellMargins -> {{0, 0}, {3, 3}}, 
             CellElementSpacings -> {"CellMinHeight" -> 0.8125}, 
             CellGroupingRules -> {"SectionGrouping", 30}, CellFrameMargins -> 
             False, CellFrameColor -> GrayLevel[1], CellFrameLabelMargins -> 
             False, TextAlignment -> Center, CounterIncrements -> 
             "SlideShowNavigationBar", StyleMenuListing -> None, FontSize -> 
             10, Magnification -> 1, Background -> GrayLevel[0.8], 
             GridBoxOptions -> {
              BaselinePosition -> Center, 
               GridBoxAlignment -> {
                "Columns" -> {
                  Center, Center, Center, Center, Center, Center, Right, {
                   Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
                 "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {
                "Columns" -> {3.5, 3.5, 3.5, 3.5, 13, 5, {4}}, 
                 "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.]}, 
                   Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {
                   Offset[0.2], {
                    Offset[0.]}, 
                   Offset[0.2]}, "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Presentation"]], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, ShowCellBracket -> False, 
             CellMargins -> {{-1, -1}, {-1, -1}}, PageBreakAbove -> True, 
             CellFrameMargins -> {{1, 1}, {0, 0}}], 
            Cell[
             StyleData["SlideShowNavigationBar", "Printout"], 
             CellMargins -> {{18, 4}, {4, 4}}, LineSpacing -> {1, 3}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{0, 0}, {10, 0}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> {{12, 4}, {6, 12}}, 
             InputAutoReplacements -> {"TeX" -> StyleBox[
                 RowBox[{"T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "LaTeX" -> StyleBox[
                 RowBox[{"L", 
                   StyleBox[
                    AdjustmentBox[
                    "A", BoxMargins -> {{-0.36, -0.1}, {0, 0}}, 
                    BoxBaselineShift -> -0.2], FontSize -> Smaller], "T", 
                   AdjustmentBox[
                   "E", BoxMargins -> {{-0.075, -0.085}, {0, 0}}, 
                    BoxBaselineShift -> 0.5], "X"}]], "mma" -> "Mathematica", 
               "Mma" -> "Mathematica", "MMA" -> "Mathematica", 
               "gridMathematica" -> FormBox[
                 RowBox[{"grid", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               "webMathematica" -> FormBox[
                 RowBox[{"web", 
                   AdjustmentBox[
                    StyleBox["Mathematica", FontSlant -> "Italic"], 
                    BoxMargins -> {{-0.175, 0}, {0, 0}}]}], TextForm], 
               Inherited}, CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             18, FontWeight -> "Plain", FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.408011, 0.440726, 0.8]], 
            Cell[
             StyleData["SlideShowSection", "Presentation"], 
             CellFrameMargins -> {{18, 10}, {10, 16}}, FontSize -> 27], 
            Cell[
             StyleData["SlideShowSection", "SlideShow"], ShowCellBracket -> 
             False, PageBreakAbove -> True], 
            Cell[
             StyleData["SlideShowSection", "Printout"], 
             CellMargins -> {{18, 30}, {0, 30}}, CellFrameMargins -> 5, 
             FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideHyperlink"], StyleMenuListing -> None, 
             ButtonStyleMenuListing -> Automatic, FontSize -> 26, FontColor -> 
             GrayLevel[0.400015], 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 0.5, 
               ButtonMinHeight -> 0.85, ButtonNote -> None}], 
            Cell[
             StyleData["SlideHyperlink", "Presentation"], 
             CellMargins -> {{10, 10}, {8, 12}}, FontSize -> 36], 
            Cell[
             StyleData["SlideHyperlink", "SlideShow"]], 
            Cell[
             StyleData["SlideHyperlink", "Printout"], FontSize -> 10, 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOCLink"], 
             CellMargins -> {{24, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, ButtonStyleMenuListing -> Automatic, 
             FontFamily -> "Helvetica", 
             ButtonBoxOptions -> {
              Active -> True, ButtonFunction :> (FrontEndExecute[{
                  FrontEnd`NotebookLocate[#2]}]& ), ButtonMargins -> 1.5, 
               ButtonNote -> ButtonData}], 
            Cell[
             StyleData["SlideTOCLink", "Presentation"], 
             CellMargins -> {{35, 10}, {4, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOCLink", "SlideShow"]], 
            Cell[
             StyleData["SlideTOCLink", "Printout"], 
             FontVariations -> {"Underline" -> False}, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideTOC"], CellDingbat -> "\[Bullet]", 
             CellMargins -> {{18, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["SlideTOC", "Presentation"], 
             CellMargins -> {{25, 10}, {8, 6}}, FontSize -> 18], 
            Cell[
             StyleData["SlideTOC", "SlideShow"], FontSize -> 14], 
            Cell[
             StyleData["SlideTOC", "Printout"], FontSize -> 10, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]]}, Open]]}, Visible -> False, 
  FrontEndVersion -> "8.0 for Mac OS X x86 (32-bit) (November 6, 2010)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "b:5.0"->{
  Cell[13029, 335, 700, 15, 53, "Text",
   CellTags->"b:5.0"],
  Cell[15688, 416, 669, 15, 24, "Text",
   CellTags->"b:5.0"],
  Cell[18104, 482, 522, 14, 24, "Text",
   CellTags->"b:5.0"],
  Cell[18799, 503, 541, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[20223, 535, 940, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[24965, 632, 735, 15, 24, "Text",
   CellTags->"b:5.0"],
  Cell[28162, 709, 566, 13, 24, "Text",
   CellTags->"b:5.0"],
  Cell[29595, 741, 613, 14, 24, "Text",
   CellTags->"b:5.0"],
  Cell[31728, 789, 1064, 20, 53, "Text",
   CellTags->"b:5.0"],
  Cell[36695, 925, 1191, 22, 82, "Text",
   CellTags->"b:5.0"],
  Cell[37889, 949, 906, 18, 24, "Text",
   CellTags->"b:5.0"],
  Cell[38798, 969, 1058, 20, 24, "Text",
   CellTags->"b:5.0"],
  Cell[39859, 991, 875, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[43564, 1072, 1044, 20, 24, "Text",
   CellTags->"b:5.0"],
  Cell[44611, 1094, 1525, 28, 256, "Text",
   CellTags->"b:5.0"],
  Cell[49486, 1217, 1065, 20, 24, "Text",
   CellTags->"b:5.0"],
  Cell[57809, 1430, 1173, 22, 53, "Text",
   CellTags->"b:5.0"],
  Cell[59482, 1469, 2025, 35, 227, "Text",
   CellTags->"b:5.0"],
  Cell[71763, 1748, 1117, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[74980, 1817, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[76840, 1853, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[78226, 1883, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[83179, 2006, 1041, 19, 24, "Text",
   CellTags->"b:5.0"],
  Cell[89921, 2183, 986, 19, 53, "Text",
   CellTags->"b:5.0"],
  Cell[105260, 2565, 870, 17, 24, "Text",
   CellTags->"b:5.0"],
  Cell[116306, 2826, 1015, 19, 24, "Text",
   CellTags->"b:5.0"],
  Cell[125865, 3038, 1117, 18, 22, "Text",
   CellTags->"b:5.0"],
  Cell[132088, 3172, 1045, 17, 22, "Text",
   CellTags->"b:5.0"],
  Cell[134004, 3209, 989, 16, 22, "Text",
   CellTags->"b:5.0"],
  Cell[135415, 3239, 964, 15, 22, "Text",
   CellTags->"b:5.0"],
  Cell[140944, 3377, 870, 17, 24, "Text",
   CellTags->"b:5.0"]},
 "b:5.1.2"->{
  Cell[6434, 178, 818, 16, 137, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}],
  Cell[7255, 196, 910, 17, 101, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}]},
 "c:1"->{
  Cell[400, 13, 576, 9, 140, "Title",
   CellTags->"c:1"]},
 "c:6"->{
  Cell[6434, 178, 818, 16, 137, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}],
  Cell[7255, 196, 910, 17, 101, "Subsection",
   CellTags->{"c:6", "b:5.1.2"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"b:5.0", 219300, 5040},
 {"b:5.1.2", 221309, 5103},
 {"c:1", 221480, 5108},
 {"c:6", 221550, 5111}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[400, 13, 576, 9, 140, "Title",
 CellTags->"c:1"],
Cell[979, 24, 93, 1, 34, "Subtitle"],
Cell[1075, 27, 329, 8, 20, "Abstract"],
Cell[1407, 37, 148, 2, 22, "Text"],
Cell[1558, 41, 182, 4, 22, "Text"],
Cell[CellGroupData[{
Cell[1765, 49, 354, 11, 51, "Section"],
Cell[2122, 62, 305, 5, 22, "Text"],
Cell[2430, 69, 249, 7, 43, "MathCaption"],
Cell[2682, 78, 340, 9, 43, "MathCaption"],
Cell[3025, 89, 288, 8, 60, "Input"],
Cell[3316, 99, 133, 1, 40, "MathCaption"],
Cell[3452, 102, 123, 2, 44, "Input"]
}, Open  ]],
Cell[3590, 107, 205, 4, 40, "MathCaption"],
Cell[3798, 113, 365, 7, 60, "Input"],
Cell[4166, 122, 302, 7, 43, "MathCaption"],
Cell[4471, 131, 714, 19, 105, "Input",
 CellID->425297121],
Cell[5188, 152, 333, 7, 44, "Input"],
Cell[5524, 161, 907, 15, 75, "Input"],
Cell[6434, 178, 818, 16, 137, "Subsection",
 CellTags->{"c:6", "b:5.1.2"}],
Cell[7255, 196, 910, 17, 101, "Subsection",
 CellTags->{"c:6", "b:5.1.2"}],
Cell[8168, 215, 4858, 118, 311, "Input"],
Cell[13029, 335, 700, 15, 53, "Text",
 CellTags->"b:5.0"],
Cell[13732, 352, 1953, 62, 60, "Input"],
Cell[15688, 416, 669, 15, 24, "Text",
 CellTags->"b:5.0"],
Cell[16360, 433, 1741, 47, 105, "Input"],
Cell[18104, 482, 522, 14, 24, "Text",
 CellTags->"b:5.0"],
Cell[18629, 498, 167, 3, 44, "Input"],
Cell[18799, 503, 541, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[19343, 518, 877, 15, 60, "Input"],
Cell[20223, 535, 940, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[21166, 559, 3796, 71, 105, "Input"],
Cell[24965, 632, 735, 15, 24, "Text",
 CellTags->"b:5.0"],
Cell[25703, 649, 2456, 58, 135, "Input",
 InitializationCell->True],
Cell[28162, 709, 566, 13, 24, "Text",
 CellTags->"b:5.0"],
Cell[28731, 724, 861, 15, 60, "Input"],
Cell[29595, 741, 613, 14, 24, "Text",
 CellTags->"b:5.0"],
Cell[30211, 757, 1514, 30, 75, "Input"],
Cell[31728, 789, 1064, 20, 53, "Text",
 CellTags->"b:5.0"],
Cell[32795, 811, 2974, 86, 180, "Input"],
Cell[35772, 899, 169, 2, 40, "MathCaption"],
Cell[35944, 903, 748, 20, 75, "Input"],
Cell[36695, 925, 1191, 22, 82, "Text",
 CellTags->"b:5.0"],
Cell[37889, 949, 906, 18, 24, "Text",
 CellTags->"b:5.0"],
Cell[38798, 969, 1058, 20, 24, "Text",
 CellTags->"b:5.0"],
Cell[39859, 991, 875, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[40737, 1010, 2824, 60, 180, "Input"],
Cell[43564, 1072, 1044, 20, 24, "Text",
 CellTags->"b:5.0"],
Cell[44611, 1094, 1525, 28, 256, "Text",
 CellTags->"b:5.0"],
Cell[46139, 1124, 3344, 91, 135, "Input"],
Cell[49486, 1217, 1065, 20, 24, "Text",
 CellTags->"b:5.0"],
Cell[CellGroupData[{
Cell[50576, 1241, 3610, 92, 135, "Input"],
Cell[54189, 1335, 3605, 92, 135, "Input"]
}, Open  ]],
Cell[57809, 1430, 1173, 22, 53, "Text",
 CellTags->"b:5.0"],
Cell[58985, 1454, 494, 13, 90, "Input"],
Cell[59482, 1469, 2025, 35, 227, "Text",
 CellTags->"b:5.0"],
Cell[61510, 1506, 4774, 128, 210, "Input"],
Cell[66287, 1636, 954, 21, 90, "Input"],
Cell[67244, 1659, 4516, 87, 75, "Input"],
Cell[71763, 1748, 1117, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[72883, 1768, 2094, 47, 90, "Input",
 CellID->21267],
Cell[74980, 1817, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[76028, 1836, 809, 15, 105, "Input"],
Cell[76840, 1853, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[77832, 1871, 391, 10, 44, "Input"],
Cell[78226, 1883, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[79193, 1900, 3983, 104, 150, "Input"],
Cell[83179, 2006, 1041, 19, 24, "Text",
 CellTags->"b:5.0"],
Cell[84223, 2027, 2137, 67, 75, "Input"],
Cell[86363, 2096, 676, 12, 75, "Input"],
Cell[87042, 2110, 1296, 26, 195, "Input"],
Cell[88341, 2138, 172, 2, 40, "MathCaption"],
Cell[88516, 2142, 548, 14, 44, "Input"],
Cell[89067, 2158, 122, 1, 40, "MathCaption"],
Cell[89192, 2161, 726, 20, 60, "Input"],
Cell[89921, 2183, 986, 19, 53, "Text",
 CellTags->"b:5.0"],
Cell[90910, 2204, 2604, 72, 105, "Input"],
Cell[CellGroupData[{
Cell[93539, 2280, 3184, 74, 90, "Input",
 CellID->1733570887],
Cell[96726, 2356, 3305, 76, 90, "Input",
 CellID->1819215155],
Cell[100034, 2434, 1021, 23, 75, "Input"]
}, Open  ]],
Cell[101070, 2460, 619, 18, 44, "Input"],
Cell[CellGroupData[{
Cell[101714, 2482, 1805, 39, 90, "Input"],
Cell[103522, 2523, 655, 12, 105, "Input"]
}, Open  ]],
Cell[104192, 2538, 512, 10, 75, "Input"],
Cell[104707, 2550, 550, 13, 60, "Input"],
Cell[105260, 2565, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[106133, 2584, 994, 22, 75, "Input"],
Cell[107130, 2608, 3707, 87, 120, "Input"],
Cell[110840, 2697, 2590, 64, 90, "Input"],
Cell[113433, 2763, 2293, 48, 60, "Input"],
Cell[115729, 2813, 574, 11, 44, "Input"],
Cell[116306, 2826, 1015, 19, 24, "Text",
 CellTags->"b:5.0"],
Cell[117324, 2847, 2313, 63, 135, "Input"],
Cell[119640, 2912, 1648, 34, 90, "Input"],
Cell[121291, 2948, 4571, 88, 90, "Input"],
Cell[125865, 3038, 1117, 18, 22, "Text",
 CellTags->"b:5.0"],
Cell[126985, 3058, 2460, 54, 105, "Input",
 CellID->2131832492],
Cell[129448, 3114, 2637, 56, 105, "Input",
 CellID->694033936],
Cell[132088, 3172, 1045, 17, 22, "Text",
 CellTags->"b:5.0"],
Cell[133136, 3191, 865, 16, 105, "Input"],
Cell[134004, 3209, 989, 16, 22, "Text",
 CellTags->"b:5.0"],
Cell[134996, 3227, 416, 10, 44, "Input"],
Cell[135415, 3239, 964, 15, 22, "Text",
 CellTags->"b:5.0"],
Cell[136382, 3256, 4006, 104, 150, "Input"],
Cell[140391, 3362, 550, 13, 60, "Input"],
Cell[140944, 3377, 870, 17, 24, "Text",
 CellTags->"b:5.0"],
Cell[141817, 3396, 1047, 23, 75, "Input"],
Cell[142867, 3421, 3761, 88, 120, "Input"],
Cell[146631, 3511, 2642, 65, 90, "Input"],
Cell[149276, 3578, 2320, 49, 60, "Input"],
Cell[151599, 3629, 574, 11, 44, "Input"],
Cell[152176, 3642, 334, 6, 44, "Input"]
}
]
*)

